'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _intlMessages = require('../utility/intlMessages');

var _intlMessages2 = _interopRequireDefault(_intlMessages);

var _input = require('../uielements/input');

var _deleteButton = require('./deleteButton');

var _deleteButton2 = _interopRequireDefault(_deleteButton);

var _propTypes = require('prop-types');

var _contactList = require('./contactList.style');

var _customScrollBar = require('../utility/customScrollBar');

var _customScrollBar2 = _interopRequireDefault(_customScrollBar);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function filterContacts(contacts, search) {
  search = search.toUpperCase();
  return search ? contacts.filter(function (contact) {
    return contact.name.toUpperCase().includes(search);
  }) : contacts;
}

var ContactList = function (_Component) {
  (0, _inherits3.default)(ContactList, _Component);

  function ContactList(props) {
    (0, _classCallCheck3.default)(this, ContactList);

    var _this = (0, _possibleConstructorReturn3.default)(this, (ContactList.__proto__ || (0, _getPrototypeOf2.default)(ContactList)).call(this, props));

    _this.singleContact = _this.singleContact.bind(_this);
    _this.onChange = _this.onChange.bind(_this);
    _this.state = {
      search: ''
    };
    return _this;
  }

  (0, _createClass3.default)(ContactList, [{
    key: 'singleContact',
    value: function singleContact(contact) {
      var _props = this.props,
          seectedId = _props.seectedId,
          deleteContact = _props.deleteContact,
          changeContact = _props.changeContact;

      var activeClass = seectedId === contact.id ? 'active' : '';
      var onChange = function onChange() {
        return changeContact(contact.id);
      };
      return _react2.default.createElement('div', {
        key: contact.id,
        className: activeClass + ' isoSingleContact',
        onClick: onChange
      }, _react2.default.createElement('div', { className: 'isoAvatar' }, contact.avatar ? _react2.default.createElement('img', { alt: '#', src: contact.avatar }) : ''), _react2.default.createElement('div', { className: 'isoContactName' }, _react2.default.createElement('h3', null, contact.name ? contact.name : 'No Name')), _react2.default.createElement(_deleteButton2.default, { deleteContact: deleteContact, contact: contact }));
    }
  }, {
    key: 'onChange',
    value: function onChange(event) {
      this.setState({ search: event.target.value });
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var search = this.state.search;

      var contacts = filterContacts(this.props.contacts, search);
      return _react2.default.createElement(_contactList.ContactListWrapper, { className: 'isoContactListWrapper' }, _react2.default.createElement(_input.InputSearch, {
        placeholder: this.context.intl.formatMessage({
          id: 'contactlist.searchContacts'
        }),
        value: search,
        onChange: this.onChange,
        className: 'isoSearchBar'
      }), contacts && contacts.length > 0 ? _react2.default.createElement('div', { className: 'isoContactList' }, _react2.default.createElement(_customScrollBar2.default, { className: 'contactListScrollbar' }, contacts.map(function (contact) {
        return _this2.singleContact(contact);
      }))) : _react2.default.createElement('span', { className: 'isoNoResultMsg' }, _react2.default.createElement(_intlMessages2.default, { id: 'Component.contacts.noOption' })));
    }
  }]);

  return ContactList;
}(_react.Component);

exports.default = ContactList;


ContactList.contextTypes = {
  intl: _propTypes.PropTypes.object.isRequired
};