'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _icon = require('antd/lib/icon');

var _icon2 = _interopRequireDefault(_icon);

var _toConsumableArray2 = require('babel-runtime/helpers/toConsumableArray');

var _toConsumableArray3 = _interopRequireDefault(_toConsumableArray2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _input = require('../uielements/input');

var _input2 = _interopRequireDefault(_input);

var _upload = require('../uielements/upload');

var _upload2 = _interopRequireDefault(_upload);

var _notification = require('../notification');

var _notification2 = _interopRequireDefault(_notification);

var _contactCard = require('./contactCard.style');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function beforeUpload(file) {
  var isJPG = file.type === 'image/jpeg';
  if (!isJPG) {
    (0, _notification2.default)('error', 'You can only upload JPG file!', '');
    return false;
  }
  var isLt2M = file.size / 1024 / 1024 < 2;
  if (!isLt2M) {
    (0, _notification2.default)('error', 'Image must smaller than 2MB!', '');
    return false;
  }
  (0, _notification2.default)('success', 'Image uploaded successfully!', '');
  return true;
}

var _class = function (_Component) {
  (0, _inherits3.default)(_class, _Component);

  function _class() {
    (0, _classCallCheck3.default)(this, _class);

    return (0, _possibleConstructorReturn3.default)(this, (_class.__proto__ || (0, _getPrototypeOf2.default)(_class)).apply(this, arguments));
  }

  (0, _createClass3.default)(_class, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          contact = _props.contact,
          otherAttributes = _props.otherAttributes;

      var name = contact.name ? contact.name : 'No Name';
      var extraInfos = [];
      var names = [{ value: 'firstName', title: 'First Name' }, { value: 'lastName', title: 'Last Name' }];
      [].concat(names, (0, _toConsumableArray3.default)(otherAttributes)).forEach(function (attribute) {
        var value = contact[attribute.value];
        var editContact = function editContact(event) {
          contact[attribute.value] = event.target.value;
          var name = '';
          if (contact.firstName) {
            name = contact.firstName + ' ';
          }
          if (contact.lastName) {
            name = '' + name + contact.lastName;
          }
          contact.name = name;
          _this2.props.editContact(contact);
        };
        if (attribute.value === 'note') {
          extraInfos.push(_react2.default.createElement('div', { className: 'isoContactCardInfos', key: attribute.value }, _react2.default.createElement('p', { className: 'isoInfoLabel' }, '' + attribute.title), _react2.default.createElement(_input2.default, {
            placeholder: '' + attribute.title,
            value: value,
            type: 'textarea',
            rows: 5,
            onChange: function onChange(event) {
              return editContact(event);
            }
          })));
        } else {
          extraInfos.push(_react2.default.createElement('div', { className: 'isoContactCardInfos', key: attribute.value }, _react2.default.createElement('p', { className: 'isoInfoLabel' }, '' + attribute.title), _react2.default.createElement(_input2.default, {
            placeholder: '' + attribute.title,
            value: value,
            onChange: function onChange(event) {
              return editContact(event);
            }
          })));
        }
      });
      return _react2.default.createElement(_contactCard.ContactCardWrapper, { className: 'isoContactCard' }, _react2.default.createElement('div', { className: 'isoContactCardHead' }, _react2.default.createElement('div', { className: 'isoPersonImage' }, _react2.default.createElement(_upload2.default, {
        className: 'avatar-uploader',
        name: 'avatar',
        showUploadList: false,
        beforeUpload: beforeUpload,
        action: ''
      }, contact.avatar ? _react2.default.createElement('img', { src: contact.avatar, alt: '', className: 'avatar' }) : '', _react2.default.createElement(_icon2.default, { type: 'plus', className: 'avatar-uploader-trigger' }))), _react2.default.createElement('h1', { className: 'isoPersonName' }, name)), _react2.default.createElement('div', { className: 'isoContactInfoWrapper' }, extraInfos));
    }
  }]);

  return _class;
}(_react.Component);

exports.default = _class;