'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _button = require('../uielements/button');

var _button2 = _interopRequireDefault(_button);

var _input = require('../uielements/input');

var _input2 = _interopRequireDefault(_input);

var _modal = require('../feedback/modal');

var _modal2 = _interopRequireDefault(_modal);

var _index = require('../index');

var _index2 = require('../../helpers/firebase/index');

var _index3 = _interopRequireDefault(_index2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _class = function (_Component) {
  (0, _inherits3.default)(_class, _Component);

  function _class() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, _class);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = _class.__proto__ || (0, _getPrototypeOf2.default)(_class)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      visible: false,
      email: 'demo@gmail.com',
      password: 'demodemo',
      confirmLoading: false
    }, _this.showModal = function () {
      _this.setState({
        visible: true
      });
    }, _this.handleCancel = function (e) {
      _this.setState({
        visible: false
      });
    }, _this.handleLogin = function () {
      var _this$state = _this.state,
          email = _this$state.email,
          password = _this$state.password;

      if (!(email && password)) {
        (0, _index.notification)('error', 'Please fill in email. and password');
        return;
      }
      _this.setState({
        confirmLoading: true
      });
      var self = _this;
      var isError = false;
      _index3.default.login(_index3.default.EMAIL, { email: email, password: password }).catch(function (result) {
        var message = result && result.message ? result.message : 'Sorry Some error occurs';
        (0, _index.notification)('error', message);
        self.setState({
          confirmLoading: false
        });
        isError = true;
      }).then(function (result) {
        if (isError) {
          return;
        }
        if (!result || result.message) {
          var message = result && result.message ? result.message : 'Sorry Some error occurs';
          (0, _index.notification)('error', message);
          self.setState({
            confirmLoading: false
          });
        } else {
          self.setState({
            visible: false,
            confirmLoading: false
          });
          _this.props.login();
        }
      });
    }, _this.resetPassword = function () {
      var email = _this.state.email;

      if (!email) {
        (0, _index.notification)('error', 'Please fill in email.');
        return;
      }
      _index3.default.resetPassword(email).then(function () {
        return (0, _index.notification)('success', 'Password reset email sent to ' + email + '.');
      }).catch(function (error) {
        return (0, _index.notification)('error', 'Email address not found.');
      });
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(_class, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      return _react2.default.createElement('div', null, _react2.default.createElement(_button2.default, { type: 'primary', onClick: this.showModal, className: 'btnFirebase' }, this.props.signup ? 'Sign up with Firebase' : 'Sign in with Firebase'), _react2.default.createElement(_modal2.default, {
        title: 'Sign in with Firebase',
        visible: this.state.visible,
        confirmLoading: this.state.confirmLoading,
        onCancel: this.handleCancel,
        onOk: this.handleLogin,
        className: 'isoFirebaseLoginModal',
        cancelText: 'Cancel',
        okText: 'Login'
      }, _react2.default.createElement('form', null, _react2.default.createElement('div', { className: 'isoInputWrapper' }, _react2.default.createElement('label', null, 'Email'), _react2.default.createElement(_input2.default, {
        size: 'large',
        placeholder: 'Email',
        value: this.state.email,
        onChange: function onChange(event) {
          _this2.setState({ email: event.target.value });
        }
      })), _react2.default.createElement('div', { className: 'isoInputWrapper', style: { marginBottom: 10 } }, _react2.default.createElement('label', null, 'Password'), _react2.default.createElement(_input2.default, {
        type: 'password',
        size: 'large',
        placeholder: 'Password',
        value: this.state.password,
        onChange: function onChange(event) {
          _this2.setState({ password: event.target.value });
        }
      })), _react2.default.createElement('span', { className: 'isoResetPass', onClick: this.resetPassword }, 'Reset Password'))));
    }
  }]);

  return _class;
}(_react.Component);

exports.default = _class;