'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (mails, selectMail, selectedMail, toggleListVisible) {
  var renderSingleMail = function renderSingleMail(mail, key) {
    var onClick = function onClick() {
      selectMail(mail.id);
      if (toggleListVisible) {
        toggleListVisible();
      }
    };
    var isSelected = selectedMail === mail.id;
    var recpName = mail.name;
    var signature = {
      splitLet: recpName.match(/\b(\w)/g).join('').split('', 2)
    };
    var activeClass = isSelected ? 'activeMail' : '';
    var unreadClass = !mail.read ? 'unreadMail' : '';
    var tagOption = mail.tags ? _mailTags.tagColor[_mailTags.tags.findIndex(function (tags) {
      return tags === mail.tags;
    })] : 'transparent';
    return _react2.default.createElement('div', {
      key: 'list' + key,
      onClick: onClick,
      className: activeClass + ' ' + unreadClass + ' isoMailList'
    }, _react2.default.createElement('span', {
      className: 'isoLabelIndicator'
      // style={{ borderTopColor: tagOption }}
      , style: _withDirection.rtl === 'rtl' ? { borderRightColor: tagOption } : { borderTopColor: tagOption }
    }), _react2.default.createElement('div', { className: 'isoRecipentsImg' }, mail.img ? _react2.default.createElement('img', { alt: '#', src: mail.img }) : _react2.default.createElement('span', null, signature.splitLet)), _react2.default.createElement('div', { className: 'isoMailInfo' }, _react2.default.createElement('div', { className: 'infoHead' }, _react2.default.createElement('p', { className: 'isoRecipents' }, mail.name), _react2.default.createElement('span', { className: 'isoReceiveDate' }, (0, _utility.timeDifference)(mail.date))), _react2.default.createElement('p', { className: 'isoSubject' }, mail.subject)));
  };
  return _react2.default.createElement(_mailList2.default, { className: 'isoMailListWrapper' }, mails.map(function (mail, index) {
    return renderSingleMail(mail, index);
  }));
};

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _utility = require('../../helpers/utility');

var _mailTags = require('./mailTags.js');

var _mailList = require('./mailList.style');

var _mailList2 = _interopRequireDefault(_mailList);

var _withDirection = require('../../config/withDirection');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }