'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.buckets = undefined;

exports.default = function (mails, filterAction, filterAttr, onDrawerClose) {
  var unread = getUnread(mails);
  var renderSinglebucket = function renderSinglebucket(bucket, key) {
    var onClick = function onClick() {
      filterAction({ bucket: bucket });
      if (onDrawerClose) {
        onDrawerClose();
      }
    };
    var selectedBucket = bucket === filterAttr.bucket;
    var activeClass = selectedBucket ? 'active' : '';
    return _react2.default.createElement('li', {
      key: 'bucket' + key,
      onClick: onClick,
      className: 'isoSingleBucket ' + activeClass
    }, _react2.default.createElement('span', null, bucket), _react2.default.createElement('span', { className: 'isoMailBadge' }, unread[bucket] ? unread[bucket] : ''));
  };
  return _react2.default.createElement(_mailBucket2.default, { className: 'isoBucketList' }, buckets.map(function (bucket, index) {
    return renderSinglebucket(bucket, index);
  }));
};

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _mailBucket = require('./mailBucket.style');

var _mailBucket2 = _interopRequireDefault(_mailBucket);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var buckets = ['Inbox', 'Sent', 'Drafts', 'Trash', 'Important', 'spam', 'Starred'];

function getUnread(mails) {
  var unread = {};
  mails.forEach(function (mail) {
    if (!unread[mail.bucket]) {
      unread[mail.bucket] = 0;
    }
    if (!mail.read) {
      unread[mail.bucket] += 1;
    }
  });
  return unread;
}

exports.buckets = buckets;