'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.tagColor = exports.tags = undefined;

exports.default = function (mails, filterAction, filterAttr, onDrawerClose) {
  var Tags = gettags(mails, filterAttr);
  var renderSingleTag = function renderSingleTag(tag, key) {
    var onClick = function onClick() {
      filterAction({ tag: tag });
      if (onDrawerClose) {
        onDrawerClose();
      }
    };
    var selectedTag = tag === filterAttr.tag;
    var activeClass = selectedTag ? 'active' : '';
    var background = tagColor[tags.findIndex(function (tags) {
      return tags === tag;
    })];
    return _react2.default.createElement('li', {
      key: 'tag' + key,
      onClick: onClick,
      className: 'isoMailTag ' + activeClass
    }, _react2.default.createElement('span', { className: 'isoLabelIndicatorColor', style: { background: background } }), _react2.default.createElement('span', null, tag));
  };
  return _react2.default.createElement(_mailTags2.default, { className: 'isoMailTagList' }, _react2.default.createElement('p', { className: 'isoSectionLabel' }, 'Label'), (0, _keys2.default)(Tags).map(function (tag, index) {
    return renderSingleTag(tag, index);
  }));
};

var _keys = require('babel-runtime/core-js/object/keys');

var _keys2 = _interopRequireDefault(_keys);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _mailTags = require('./mailTags.style');

var _mailTags2 = _interopRequireDefault(_mailTags);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var tags = ['Friend', 'Family', 'Colleague', 'Teachers', 'Students', 'ClassMates'];
var tagColor = ['#CD3131', '#74B49B', '#0962EA', '#141829', '#FFCD38', '#61105E'];

function gettags(mails, filterAttr) {
  var tags = {};
  mails.forEach(function (mail) {
    if (mail.tags && mail.bucket === filterAttr.bucket) {
      mail.tags.split(' ').forEach(function (tag) {
        return tags[tag] = 1;
      });
    }
  });
  return tags;
}

exports.tags = tags;
exports.tagColor = tagColor;