'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (allMail, filterMails, index, replyMail, changeReplyMail, selectMail, toggleListVisible) {
  var mail = allMail[index];
  var recpName = mail.name;
  var signature = {
    splitLet: recpName.match(/\b(\w)/g).join('').split('', 2)
  };

  var labelColor = mail.tags ? _mailTags.tagColor[_mailTags.tags.findIndex(function (tags) {
    return tags === mail.tags;
  })] : '';

  return _react2.default.createElement(_singleMail.SingleMailContents, { className: 'isoSingleMailContents' }, _react2.default.createElement(_singleMailActions2.default, {
    mail: mail,
    filterMails: filterMails,
    selectMail: selectMail,
    toggleListVisible: toggleListVisible
  }), _react2.default.createElement('div', { className: 'isoSingleMail' }, _react2.default.createElement(_singleMail.SingleMailHeader, { className: 'isoMailHeader' }, _react2.default.createElement('h2', null, mail.subject), _react2.default.createElement('span', { className: 'label', style: { backgroundColor: labelColor } }, mail.tags ? mail.tags : mail.bucket)), _react2.default.createElement(_singleMail.SingleMailInfo, { className: 'isoMailInfo' }, _react2.default.createElement('div', { className: 'isoRecipentsImg' }, mail.img ? _react2.default.createElement('img', { alt: '#', src: mail.img }) : _react2.default.createElement('span', null, signature.splitLet)), _react2.default.createElement('div', { className: 'isoMailAddress' }, _react2.default.createElement('div', { className: 'isoAddress' }, _react2.default.createElement('h3', null, mail.name, ' ', _react2.default.createElement('span', null, '<', mail.email, '>')), _react2.default.createElement('span', { className: 'mailDate' }, (0, _utility.timeDifference)(mail.date))), _react2.default.createElement('p', null, 'to ', _react2.default.createElement('span', null, 'me')))), _react2.default.createElement(_singleMail.SingleMailBody, { className: 'isoMailBody' }, _react2.default.createElement('p', null, mail.body)), _react2.default.createElement(_singleMail.SingleMailReply, { className: 'isoReplyMail' }, replyMail ? _react2.default.createElement(_composeMail2.default, { allMail: allMail }) : _react2.default.createElement('div', {
    onClick: function onClick(event) {
      return changeReplyMail(true);
    },
    className: 'isoReplyMailBtn'
  }, 'Click here to ', _react2.default.createElement('span', null, 'Reply')))));
};

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _composeMail = require('./composeMail');

var _composeMail2 = _interopRequireDefault(_composeMail);

var _utility = require('../../helpers/utility');

var _singleMailActions = require('./singleMailActions');

var _singleMailActions2 = _interopRequireDefault(_singleMailActions);

var _mailTags = require('./mailTags.js');

var _singleMail = require('./singleMail.style');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }