'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SingleMailReply = exports.SingleMailBody = exports.SingleMailInfo = exports.SingleMailHeader = exports.SingleMailContents = undefined;

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _styledTheme = require('styled-theme');

var _styleUtil = require('../../config/style-util');

var _withDirection = require('../../config/withDirection');

var _withDirection2 = _interopRequireDefault(_withDirection);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SingleMailContents = /*#__PURE__*/_styledComponents2.default.div.withConfig({
  displayName: 'singleMailstyle__SingleMailContents',
  componentId: 's6zqmrw-0'
})(['display:flex;flex-direction:column;flex-shrink:0;height:100%;.isoSingleMail{width:100%;display:flex;flex-direction:column;height:100%;overflow-y:auto;}']);

var WDSingleMailHeader = /*#__PURE__*/_styledComponents2.default.div.withConfig({
  displayName: 'singleMailstyle__WDSingleMailHeader',
  componentId: 's6zqmrw-1'
})(['width:100%;display:flex;align-items:center;padding:35px;flex-shrink:0;border-bottom:1px solid ', ';@media only screen and (max-width:767px){padding:35px 20px;}h2{font-size:18px;font-weight:400;color:', ';line-height:1.5;margin:0;text-align:left;}.label{font-size:12px;font-weight:400;color:#ffffff;line-height:1;padding:0 15px;height:25px;line-height:25px;background-color:', ';text-transform:capitalize;margin:', ';}'], (0, _styledTheme.palette)('border', 0), (0, _styledTheme.palette)('secondary', 2), (0, _styledTheme.palette)('primary', 0), function (props) {
  return props['data-rtl'] === 'rtl' ? '0 25px 0 0' : '0 0 0 25px';
});

var WDSingleMailInfo = /*#__PURE__*/_styledComponents2.default.div.withConfig({
  displayName: 'singleMailstyle__WDSingleMailInfo',
  componentId: 's6zqmrw-2'
})(['width:100%;display:flex;align-items:center;flex-shrink:0;padding:25px 35px;border-bottom:1px solid ', ';@media only screen and (max-width:767px){padding:25px 20px;}.isoRecipentsImg{width:48px;height:48px;display:-webkit-inline-flex;display:-ms-inline-flex;display:inline-flex;align-items:center;justify-content:center;overflow:hidden;flex-shrink:0;', ';img{width:100%;height:100%;object-fit:cover;}span{width:100%;height:100%;display:flex;align-items:center;justify-content:center;background-color:', ';font-size:16px;font-weight:300;color:#fff;letter-spacing:1px;}}.isoMailAddress{width:100%;padding:', ';display:flex;flex-direction:column;text-align:', ';.isoAddress{width:100%;display:flex;justify-content:space-between;align-items:baseline;position:relative;h3{font-size:14px;font-weight:700;color:', ';line-height:1.1;margin:0 0 8px;@media only screen and (max-width:767px){line-height:1.5;}span{font-size:inherit;font-weight:400;color:', ';padding:', ';display:-webkit-inline-flex;display:-ms-inline-flex;display:inline-flex;}}.mailDate{font-size:13px;font-weight:400;color:', ';flex-shrink:0;@media only screen and (max-width:767px){position:absolute;right:', ';left:', ';}}}p{font-size:13px;font-weight:400;color:', ';line-height:1.1;span{font-size:inherit;font-weight:700;color:', ';}}}'], (0, _styledTheme.palette)('border', 0), (0, _styleUtil.borderRadius)('50%'), (0, _styledTheme.palette)('color', 4), function (props) {
  return props['data-rtl'] === 'rtl' ? '0 20px 0 0' : '0 0 0 20px';
}, function (props) {
  return props['data-rtl'] === 'rtl' ? 'right' : 'left';
}, (0, _styledTheme.palette)('text', 0), (0, _styledTheme.palette)('secondary', 2), function (props) {
  return props['data-rtl'] === 'rtl' ? '0 5px 0 0' : '0 0 0 5px';
}, (0, _styledTheme.palette)('secondary', 2), function (props) {
  return props['data-rtl'] === 'rtl' ? 'inherit' : '0';
}, function (props) {
  return props['data-rtl'] === 'rtl' ? '0' : 'inherit';
}, (0, _styledTheme.palette)('secondary', 2), (0, _styledTheme.palette)('text', 0));

var WDSingleMailBody = /*#__PURE__*/_styledComponents2.default.div.withConfig({
  displayName: 'singleMailstyle__WDSingleMailBody',
  componentId: 's6zqmrw-3'
})(['padding:30px 35px;text-align:', ';flex-shrink:0;border-bottom:1px solid ', ';@media only screen and (max-width:767px){padding:30px 20px;}p{font-size:14px;font-weight:400;color:', ';line-height:1.5;margin-bottom:21px;}'], function (props) {
  return props['data-rtl'] === 'rtl' ? 'right' : 'left';
}, (0, _styledTheme.palette)('border', 0), (0, _styledTheme.palette)('text', 3));

var WDSingleMailReply = /*#__PURE__*/_styledComponents2.default.div.withConfig({
  displayName: 'singleMailstyle__WDSingleMailReply',
  componentId: 's6zqmrw-4'
})(['width:100%;display:flex;align-items:center;padding:35px;flex-shrink:0;@media only screen and (max-width:767px){padding:35px 20px;}.isoComposeMailWrapper{padding:0;height:auto;overflow:hidden;}.isoReplyMailBtn{width:100%;height:80px;display:-webkit-flex;display:-ms-flex;display:flex;justify-content:flex-start;align-items:flex-start;font-size:14px;color:', ';border:1px solid ', ';padding:10px 15px;span{font-size:inherit;color:', ';text-decoration:underline;padding:', ';cursor:pointer;', ';&:hover{color:', ';}}}'], (0, _styledTheme.palette)('text', 2), (0, _styledTheme.palette)('border', 0), (0, _styledTheme.palette)('text', 2), function (props) {
  return props['data-rtl'] === 'rtl' ? '0 3px 0 0' : '0 0 0 3px';
}, (0, _styleUtil.transition)(), (0, _styledTheme.palette)('primary', 0));

var SingleMailHeader = (0, _withDirection2.default)(WDSingleMailHeader);
var SingleMailInfo = (0, _withDirection2.default)(WDSingleMailInfo);
var SingleMailBody = (0, _withDirection2.default)(WDSingleMailBody);
var SingleMailReply = (0, _withDirection2.default)(WDSingleMailReply);

exports.SingleMailContents = SingleMailContents;
exports.SingleMailHeader = SingleMailHeader;
exports.SingleMailInfo = SingleMailInfo;
exports.SingleMailBody = SingleMailBody;
exports.SingleMailReply = SingleMailReply;