'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _popover = require('../uielements/popover');

var _popover2 = _interopRequireDefault(_popover);

var _popconfirm = require('../feedback/popconfirm');

var _popconfirm2 = _interopRequireDefault(_popconfirm);

var _notification = require('../notification');

var _notification2 = _interopRequireDefault(_notification);

var _mailBuckets = require('./mailBuckets');

var _mailTags = require('./mailTags');

var _singleMailActions = require('./singleMailActions.style');

var _withDirection = require('../../config/withDirection');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DeleteButton = function (_Component) {
  (0, _inherits3.default)(DeleteButton, _Component);

  function DeleteButton() {
    (0, _classCallCheck3.default)(this, DeleteButton);

    return (0, _possibleConstructorReturn3.default)(this, (DeleteButton.__proto__ || (0, _getPrototypeOf2.default)(DeleteButton)).apply(this, arguments));
  }

  (0, _createClass3.default)(DeleteButton, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(_popconfirm2.default, {
        title: 'Sure to delete This mail?',
        okText: 'DELETE',
        cancelText: 'No',
        onConfirm: function onConfirm() {
          (0, _notification2.default)('error', 'Deleted selected mail', '');
        }
      }, _react2.default.createElement('button', { type: 'button', className: 'mailDelete' }, _react2.default.createElement('i', { className: 'ion-android-delete' })));
    }
  }]);

  return DeleteButton;
}(_react.Component);

var MoveMailButton = function (_Component2) {
  (0, _inherits3.default)(MoveMailButton, _Component2);

  function MoveMailButton() {
    (0, _classCallCheck3.default)(this, MoveMailButton);

    return (0, _possibleConstructorReturn3.default)(this, (MoveMailButton.__proto__ || (0, _getPrototypeOf2.default)(MoveMailButton)).apply(this, arguments));
  }

  (0, _createClass3.default)(MoveMailButton, [{
    key: 'render',
    value: function render() {
      var bucketOptions = _mailBuckets.buckets.map(function (bucket) {
        return _react2.default.createElement('li', {
          onClick: function onClick() {
            (0, _notification2.default)('success', 'Massage Moved Successfully', '');
          },
          key: bucket
        }, bucket);
      });
      var content = _react2.default.createElement(_singleMailActions.MailActionDropdown, null, bucketOptions);
      return _react2.default.createElement(_popover2.default, {
        title: 'Move mail',
        content: content,
        overlayClassName: 'mailMoveDropdown'
      }, _react2.default.createElement('button', { type: 'button', className: 'mailArchive' }, _react2.default.createElement('i', { className: 'ion-android-folder' })));
    }
  }]);

  return MoveMailButton;
}(_react.Component);

var SelectTagButton = function (_Component3) {
  (0, _inherits3.default)(SelectTagButton, _Component3);

  function SelectTagButton() {
    (0, _classCallCheck3.default)(this, SelectTagButton);

    return (0, _possibleConstructorReturn3.default)(this, (SelectTagButton.__proto__ || (0, _getPrototypeOf2.default)(SelectTagButton)).apply(this, arguments));
  }

  (0, _createClass3.default)(SelectTagButton, [{
    key: 'render',
    value: function render() {
      var tagOptions = _mailTags.tags.map(function (tag) {
        return _react2.default.createElement('li', {
          onClick: function onClick() {
            (0, _notification2.default)('success', 'Label Added', '');
          },
          key: tag
        }, tag);
      });
      var content = _react2.default.createElement(_singleMailActions.MailActionDropdown, null, tagOptions);
      return _react2.default.createElement(_popover2.default, {
        title: 'Select tag',
        content: content,
        overlayClassName: 'mailMoveDropdown'
      }, _react2.default.createElement('button', { type: 'button', className: 'mailReport' }, _react2.default.createElement('i', { className: 'ion-pricetags' })));
    }
  }]);

  return SelectTagButton;
}(_react.Component);

var _class = function (_Component4) {
  (0, _inherits3.default)(_class, _Component4);

  function _class() {
    (0, _classCallCheck3.default)(this, _class);

    return (0, _possibleConstructorReturn3.default)(this, (_class.__proto__ || (0, _getPrototypeOf2.default)(_class)).apply(this, arguments));
  }

  (0, _createClass3.default)(_class, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          mail = _props.mail,
          filterMails = _props.filterMails,
          selectMail = _props.selectMail,
          toggleListVisible = _props.toggleListVisible;

      var index = filterMails.findIndex(function (filterMail) {
        return filterMail.id === mail.id;
      });
      var toggleView = function toggleView() {
        toggleListVisible();
      };
      return _react2.default.createElement(_singleMailActions.SingleMailActions, { className: 'isoMailActionsController' }, toggleListVisible ? _react2.default.createElement('button', { className: 'mailBackBtn', onClick: toggleView }, 'Inbox') : '', _react2.default.createElement(_singleMailActions.MailActionsWrapper, { className: 'isoMailActions' }, _react2.default.createElement('button', {
        type: 'button',
        className: 'mailArchive',
        onClick: function onClick() {
          (0, _notification2.default)('success', 'this mail archived');
        }
      }, _react2.default.createElement('i', { className: 'ion-android-archive' })), _react2.default.createElement('button', {
        type: 'button',
        className: 'mailReport',
        onClick: function onClick() {
          (0, _notification2.default)('success', 'Reported as spam');
        }
      }, _react2.default.createElement('i', { className: 'ion-android-alert' })), _react2.default.createElement(DeleteButton, null)), _react2.default.createElement(_singleMailActions.MailCategoryWrapper, { className: 'isoMailMove' }, _react2.default.createElement(MoveMailButton, null), _react2.default.createElement(SelectTagButton, null)), _react2.default.createElement(_singleMailActions.MailPaginationWrapper, { className: 'isoSingleMailPagination' }, index === 0 ? '' : _react2.default.createElement('button', {
        type: 'button',
        className: 'prevPage',
        onClick: function onClick() {
          return selectMail(filterMails[index - 1].id);
        }
      }, _react2.default.createElement('i', {
        className: _withDirection.rtl === 'rtl' ? 'ion-chevron-right' : 'ion-chevron-left'
      })), index + 1 === filterMails.length ? '' : _react2.default.createElement('button', {
        type: 'button',
        className: 'nextPage',
        onClick: function onClick() {
          return selectMail(filterMails[index + 1].id);
        }
      }, _react2.default.createElement('i', {
        className: _withDirection.rtl === 'rtl' ? 'ion-chevron-left' : 'ion-chevron-right'
      }))));
    }
  }]);

  return _class;
}(_react.Component);

exports.default = _class;