'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _intlMessages = require('../../components/utility/intlMessages');

var _intlMessages2 = _interopRequireDefault(_intlMessages);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
  var config = _ref.config,
      changeTheme = _ref.changeTheme,
      selectedId = _ref.selectedId;
  var id = config.id,
      label = config.label,
      options = config.options;

  return _react2.default.createElement('div', { className: 'themeSwitchBlock' }, _react2.default.createElement('h4', null, _react2.default.createElement(_intlMessages2.default, { id: label })), _react2.default.createElement('div', { className: 'themeSwitchBtnWrapper' }, options.map(function (option) {
    var themeName = option.themeName,
        buttonColor = option.buttonColor;

    var onClick = function onClick() {
      changeTheme(id, themeName);
    };
    var customClass = themeName === selectedId ? 'selectedTheme' : '';
    return _react2.default.createElement('button', {
      type: 'button',
      key: themeName,
      onClick: onClick,
      className: customClass,
      style: { backgroundColor: buttonColor }
    });
  })));
};