'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextAreaWrapper = exports.InputSearchWrapper = exports.InputGroupWrapper = exports.InputWrapper = undefined;

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _styledTheme = require('styled-theme');

var _styleUtil = require('../../../config/style-util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var InputWrapper = function InputWrapper(ComponentName) {
  return (0, _styledComponents2.default)(ComponentName).withConfig({
    displayName: 'inputstyle',
    componentId: 's1ecmzln-0'
  })(['&.ant-input{padding:4px 10px;width:100%;height:35px;cursor:text;text-align:', ';font-size:13px;line-height:1.5;color:', ';background-color:#fff;background-image:none;border:1px solid ', ';', ';', ';&:focus{border-color:', ';}&.ant-input-lg{height:42px;padding:6px 10px;}&.ant-input-sm{padding:1px 10px;height:30px;}&::-webkit-input-placeholder{text-align:', ';color:', ';}&:-moz-placeholder{text-align:', ';color:', ';}&::-moz-placeholder{text-align:', ';color:', ';}&:-ms-input-placeholder{text-align:', ';color:', ';}}'], function (props) {
    return props['data-rtl'] === 'rtl' ? 'right' : 'left';
  }, (0, _styledTheme.palette)('text', 1), (0, _styledTheme.palette)('border', 0), (0, _styleUtil.borderRadius)('4px'), (0, _styleUtil.transition)(), (0, _styledTheme.palette)('primary', 0), function (props) {
    return props['data-rtl'] === 'rtl' ? 'right' : 'left';
  }, (0, _styledTheme.palette)('grayscale', 0), function (props) {
    return props['data-rtl'] === 'rtl' ? 'right' : 'left';
  }, (0, _styledTheme.palette)('grayscale', 0), function (props) {
    return props['data-rtl'] === 'rtl' ? 'right' : 'left';
  }, (0, _styledTheme.palette)('grayscale', 0), function (props) {
    return props['data-rtl'] === 'rtl' ? 'right' : 'left';
  }, (0, _styledTheme.palette)('grayscale', 0));
};
var InputGroupWrapper = function InputGroupWrapper(ComponentName) {
  return (0, _styledComponents2.default)(ComponentName).withConfig({
    displayName: 'inputstyle',
    componentId: 's1ecmzln-1'
  })(['&.ant-input-group{margin-bottom:10px;.ant-select-auto-complete{margin-right:', ';}.ant-input{&:first-child{border-radius:', ';}}.ant-input-group-addon:not(:first-child):not(:last-child),.ant-input-group-wrap:not(:first-child):not(:last-child),> .ant-input:not(:first-child):not(:last-child){padding:0 7px;border-left-width:', ';margin-right:', ';}.ant-input-group-addon{padding:4px 7px;font-size:12px;color:', ';text-align:center;background-color:', ';border:1px solid ', ';', ';&:first-child{border-right-width:', ';border-left-width:', ';border-radius:', ';}&:last-child{border-right-width:', ';border-left-width:', ';border-radius:', ';}.ant-select{.ant-select-selection{background-color:inherit;margin:-1px;border:1px solid transparent;', ';}}}.ant-input-group-addon:not(:first-child):not(:last-child),.ant-input-group-wrap:not(:first-child):not(:last-child){border-left:0;border-right:0;}& > .ant-input:not(:first-child):not(:last-child){', ';}.ant-input:first-child:last-child{border-radius:4px;}&.ant-input-group-compact > *{border-right-width:', ';}&.ant-input-group-compact > .ant-select > .ant-select-selection,&.ant-input-group-compact > .ant-calendar-picker .ant-input,&.ant-input-group-compact > .ant-select-auto-complete .ant-input,&.ant-input-group-compact > .ant-cascader-picker .ant-input,&.ant-input-group-compact > .ant-mention-wrapper .ant-mention-editor,&.ant-input-group-compact > .ant-time-picker .ant-time-picker-input{border-right-width:', ';}&.ant-input-group-compact > *:first-child,&.ant-input-group-compact > .ant-select:first-child > .ant-select-selection,&.ant-input-group-compact > .ant-calendar-picker:first-child .ant-input,&.ant-input-group-compact > .ant-select-auto-complete:first-child .ant-input,&.ant-input-group-compact > .ant-cascader-picker:first-child .ant-input,&.ant-input-group-compact > .ant-mention-wrapper:first-child .ant-mention-editor,&.ant-input-group-compact > .ant-time-picker:first-child .ant-time-picker-input{border-radius:', ';border-left-width:1px ', ';}&.ant-input-group-compact > *:last-child,&.ant-input-group-compact > .ant-select:last-child > .ant-select-selection,&.ant-input-group-compact > .ant-calendar-picker:last-child .ant-input,&.ant-input-group-compact > .ant-select-auto-complete:last-child .ant-input,&.ant-input-group-compact > .ant-cascader-picker:last-child .ant-input,&.ant-input-group-compact > .ant-mention-wrapper:last-child .ant-mention-editor,&.ant-input-group-compact > .ant-time-picker:last-child .ant-time-picker-input{border-radius:', ';border-right-width:', ';}.ant-calendar-picker-clear,.ant-calendar-picker-icon{right:', ';left:', ';}}&.ant-input-group-lg{.ant-input,> .ant-input-group-addon{padding:6px 10px;height:35px;}}'], function (props) {
    return props['data-rtl'] === 'rtl' ? '-1px' : '0';
  }, function (props) {
    return props['data-rtl'] === 'rtl' ? '0 4px 4px 0' : '4px 0 0 4px';
  }, function (props) {
    return props['data-rtl'] === 'rtl' ? '0' : '1px';
  }, function (props) {
    return props['data-rtl'] === 'rtl' ? '-1px' : '0';
  }, (0, _styledTheme.palette)('text', 1), (0, _styledTheme.palette)('grayscale', 4), (0, _styledTheme.palette)('border', 0), (0, _styleUtil.transition)(), function (props) {
    return props['data-rtl'] === 'rtl' ? '1px' : '0';
  }, function (props) {
    return props['data-rtl'] === 'rtl' ? '0' : '1px';
  }, function (props) {
    return props['data-rtl'] === 'rtl' ? '0 4px 4px 0' : '4px 0 0 4px';
  }, function (props) {
    return props['data-rtl'] === 'rtl' ? '0' : '1px';
  }, function (props) {
    return props['data-rtl'] === 'rtl' ? '1px' : '0';
  }, function (props) {
    return props['data-rtl'] === 'rtl' ? '4px 0 0 4px' : '0 4px 4px 0';
  }, (0, _styleUtil.boxShadow)(), '' /* border-left: 0; */, function (props) {
    return props['data-rtl'] === 'rtl' ? '1px ' : '0';
  }, function (props) {
    return props['data-rtl'] === 'rtl' ? '1px ' : '0';
  }, function (props) {
    return props['data-rtl'] === 'rtl' ? '0 4px 4px 0' : '4px 0 0 4px';
  }, '' /* border-right-width: ${props =>
        props['data-rtl'] === 'rtl' ? '1px' : '0'}; */, function (props) {
    return props['data-rtl'] === 'rtl' ? '4px 0 0 4px' : '0 4px 4px 0';
  }, function (props) {
    return props['data-rtl'] === 'rtl' ? '0 ' : '1px';
  }, function (props) {
    return props['data-rtl'] === 'rtl' ? 'inherit' : '8px';
  }, function (props) {
    return props['data-rtl'] === 'rtl' ? '8px' : 'inherit';
  });
};

var TextAreaWrapper = function TextAreaWrapper(ComponentName) {
  return (0, _styledComponents2.default)(ComponentName).withConfig({
    displayName: 'inputstyle',
    componentId: 's1ecmzln-2'
  })(['&.ant-input{padding:4px 10px;width:100%;height:auto;cursor:text;font-size:13px;line-height:1.5;color:', ';background-color:#fff;background-image:none;border:1px solid ', ';', ';', ';&:focus{border-color:', ';}&::-webkit-input-placeholder{color:', ';}&:-moz-placeholder{color:', ';}&::-moz-placeholder{color:', ';}&:-ms-input-placeholder{color:', ';}}'], (0, _styledTheme.palette)('text', 1), (0, _styledTheme.palette)('border', 0), (0, _styleUtil.borderRadius)('4px'), (0, _styleUtil.transition)(), (0, _styledTheme.palette)('primary', 0), (0, _styledTheme.palette)('grayscale', 0), (0, _styledTheme.palette)('grayscale', 0), (0, _styledTheme.palette)('grayscale', 0), (0, _styledTheme.palette)('grayscale', 0));
};

var InputSearchWrapper = function InputSearchWrapper(ComponentName) {
  return (0, _styledComponents2.default)(ComponentName).withConfig({
    displayName: 'inputstyle',
    componentId: 's1ecmzln-3'
  })(['&.ant-input-affix-wrapper{.ant-input{padding:4px 10px;width:100%;height:35px;cursor:text;font-size:13px;line-height:1.5;color:', ';background-color:#fff;background-image:none;border:1px solid ', ';', ';', ';&:focus{border-color:', ';}&.ant-input-lg{height:42px;padding:6px 10px;}&.ant-input-sm{padding:1px 10px;height:30px;}&::-webkit-input-placeholder{color:', ';}&:-moz-placeholder{color:', ';}&::-moz-placeholder{color:', ';}&:-ms-input-placeholder{color:', ';}}.ant-input-suffix{right:', ';left:', ';}.ant-input-ant-input-prefix{right:', ';left:', ';}.ant-input-search-icon{color:', ';&:hover{color:', ';}}}'], (0, _styledTheme.palette)('text', 1), (0, _styledTheme.palette)('border', 0), (0, _styleUtil.borderRadius)('4px'), (0, _styleUtil.transition)(), (0, _styledTheme.palette)('primary', 0), (0, _styledTheme.palette)('grayscale', 0), (0, _styledTheme.palette)('grayscale', 0), (0, _styledTheme.palette)('grayscale', 0), (0, _styledTheme.palette)('grayscale', 0), function (props) {
    return props['data-rtl'] === 'rtl' ? 'inherit' : '7px';
  }, function (props) {
    return props['data-rtl'] === 'rtl' ? '7px' : 'inherit';
  }, function (props) {
    return props['data-rtl'] === 'rtl' ? '7px' : 'inherit';
  }, function (props) {
    return props['data-rtl'] === 'rtl' ? 'inherit' : '7px';
  }, (0, _styledTheme.palette)('grayscale', 0), (0, _styledTheme.palette)('primary', 0));
};

exports.InputWrapper = InputWrapper;
exports.InputGroupWrapper = InputGroupWrapper;
exports.InputSearchWrapper = InputSearchWrapper;
exports.TextAreaWrapper = TextAreaWrapper;