'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = uppyInit;

var _core = require('uppy/lib/core');

var _core2 = _interopRequireDefault(_core);

var _Dashboard = require('uppy/lib/plugins/Dashboard');

var _Dashboard2 = _interopRequireDefault(_Dashboard);

var _GoogleDrive = require('uppy/lib/plugins/GoogleDrive');

var _GoogleDrive2 = _interopRequireDefault(_GoogleDrive);

var _Dropbox = require('uppy/lib/plugins/Dropbox');

var _Dropbox2 = _interopRequireDefault(_Dropbox);

var _Instagram = require('uppy/lib/plugins/Instagram');

var _Instagram2 = _interopRequireDefault(_Instagram);

var _Webcam = require('uppy/lib/plugins/Webcam');

var _Webcam2 = _interopRequireDefault(_Webcam);

var _Tus = require('uppy/lib/plugins/Tus10');

var _Tus2 = _interopRequireDefault(_Tus);

var _MetaData = require('uppy/lib/plugins/MetaData');

var _MetaData2 = _interopRequireDefault(_MetaData);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SERVER = null;

function uppyInit(options, onSuccess) {
  var uppy = (0, _core2.default)({
    debug: true,
    autoProceed: options.autoProceed,
    restrictions: options.restrictions || ''
  });
  uppy.use(_Tus2.default, { endpoint: options.endpoint, resume: true });
  uppy.use(_Dashboard2.default, {
    trigger: options.trigger,
    inline: options.DashboardInline,
    target: options.target,
    note: options.restrictions || 'Images and video only, 300kb or less'
  });
  if (options.GoogleDrive) {
    uppy.use(_GoogleDrive2.default, { target: _Dashboard2.default, host: SERVER });
  }
  if (options.Dropbox) {
    uppy.use(_Dropbox2.default, { target: _Dashboard2.default, host: SERVER });
  }
  if (options.Instagram) {
    uppy.use(_Instagram2.default, { target: _Dashboard2.default, host: SERVER });
  }
  if (options.Webcam) {
    uppy.use(_Webcam2.default, { target: _Dashboard2.default });
  }
  uppy.use(_MetaData2.default, {
    fields: options.metaFields || []
  });
  uppy.on('core:success', function (fileList) {
    onSuccess(fileList);
  });
  uppy.run();
}