'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _loader = require('../utility/loader');

var _loader2 = _interopRequireDefault(_loader);

var _helperText = require('../utility/helper-text');

var _helperText2 = _interopRequireDefault(_helperText);

var _button = require('../uielements/button');

var _button2 = _interopRequireDefault(_button);

var _playYoutubeVideo = require('./playYoutubeVideo');

var _playYoutubeVideo2 = _interopRequireDefault(_playYoutubeVideo);

var _youtubeSearch = require('./youtubeSearch.style');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function SearchList(result, handleSelectedVideo) {
  return _react2.default.createElement(_youtubeSearch.YoutubeSearchListStyleWrapper, { className: 'isoYoutubeResultList' }, result.map(function (item) {
    var _item$snippet = item.snippet,
        publishedAt = _item$snippet.publishedAt,
        title = _item$snippet.title,
        description = _item$snippet.description,
        channelTitle = _item$snippet.channelTitle,
        thumbnails = _item$snippet.thumbnails,
        channelId = _item$snippet.channelId;

    var id = item.id.videoId;
    var updateDate = new Date(publishedAt).toDateString();
    var onClick = function onClick(event) {
      event.preventDefault();
      handleSelectedVideo(item);
    };
    var onChannelClick = function onChannelClick(event) {
      event.preventDefault();
      event.stopPropagation();
      window.open('https://www.youtube.com/channel/' + channelId, '_blank');
    };
    return _react2.default.createElement('div', { key: id, className: 'isoSingleVideoResult', onClick: onClick }, _react2.default.createElement('div', { className: 'videoThumb' }, _react2.default.createElement('img', { alt: '#', src: thumbnails.default.url })), _react2.default.createElement('div', { className: 'videoDescription' }, _react2.default.createElement('h3', { className: 'videoName' }, _react2.default.createElement('a', { href: '#' }, title + ' ')), _react2.default.createElement('div', { className: 'ChannelNameAndDate' }, _react2.default.createElement('a', { href: '#', onClick: onChannelClick, className: 'channelTitle' }, channelTitle + ' '), _react2.default.createElement('span', { className: 'uploadDate' }, updateDate)), description ? _react2.default.createElement('p', null, description) : ''));
  }));
}

var _class = function (_Component) {
  (0, _inherits3.default)(_class, _Component);

  function _class() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, _class);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = _class.__proto__ || (0, _getPrototypeOf2.default)(_class)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      selectedVideo: null
    }, _this.handleCancel = function () {
      _this.handleSelectedVideo(null);
    }, _this.handleSelectedVideo = function (selectedVideo) {
      _this.setState({ selectedVideo: selectedVideo });
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(_class, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          YoutubeSearch = _props.YoutubeSearch,
          onPageChange = _props.onPageChange;
      var selectedVideo = this.state.selectedVideo;
      var searcText = YoutubeSearch.searcText,
          result = YoutubeSearch.result,
          loading = YoutubeSearch.loading,
          error = YoutubeSearch.error,
          nextPageToken = YoutubeSearch.nextPageToken,
          prevPageToken = YoutubeSearch.prevPageToken,
          total_count = YoutubeSearch.total_count;

      if (!searcText) {
        return _react2.default.createElement('div', null);
      }
      if (loading) {
        return _react2.default.createElement(_loader2.default, null);
      }
      if (error || !total_count) {
        return _react2.default.createElement(_helperText2.default, { text: 'THERE ARE SOME ERRORS' });
      }
      if (result.length === 0) {
        return _react2.default.createElement(_helperText2.default, { text: 'No Result Found' });
      }
      return _react2.default.createElement(_youtubeSearch.YoutubeSearchStyleWrapper, { className: 'isoYoutubeSearchResult' }, _react2.default.createElement('p', { className: 'isoTotalResultFind' }, _react2.default.createElement('span', null, '' + total_count, ' videos found')), selectedVideo ? _react2.default.createElement(_playYoutubeVideo2.default, {
        selectedVideo: this.state.selectedVideo,
        handleCancel: this.handleCancel
      }) : '', SearchList(result, this.handleSelectedVideo), _react2.default.createElement('div', { className: 'youtubeSearchPagination' }, prevPageToken ? _react2.default.createElement(_button2.default, { onClick: function onClick() {
          return onPageChange(searcText, prevPageToken);
        } }, 'Previous') : '', nextPageToken ? _react2.default.createElement(_button2.default, { onClick: function onClick() {
          return onPageChange(searcText, nextPageToken);
        } }, 'Next') : ''));
    }
  }]);

  return _class;
}(_react.Component);

exports.default = _class;