'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var switchOptions = [{
  id: 'lineNumbers',
  title: 'Line Numbers',
  trueValue: true,
  falseValue: false,
  value: true
}, {
  id: 'readOnly',
  title: 'Read Only',
  trueValue: false,
  falseValue: true,
  value: true
}];
var selectOptions = [{
  id: 'tabSize',
  title: 'Tab Size',
  options: ['2', '4', '6', '8'],
  value: 2
}, {
  id: 'mode',
  title: 'Language',
  options: ['javascript', 'xml', 'markdown', 'php', 'python', 'ruby'],
  value: 'javascript'
}, {
  id: 'theme',
  title: 'Select themes',
  options: ['default', 'zenburn', 'solarized', 'rubyblue', 'paraiso-dark', 'midnight', 'material', 'hopscotch', 'twilight'],
  value: 'zenburn'
}];

var defaultValues = {
  basic: 'const component = {\n    name: \'Isomorphic\',\n    author: \'RedQ Team\',\n    website: \'https://isomorphic.redq.io/\'\n};',
  javascript: 'const component = {\n    name: \'Isomorphic\',\n    author: \'RedQ Team\',\n    website: \'https://isomorphic.redq.io/\'\n};',
  markdown: '# Isomorphic\n###This is a RedQ Team production\n[have a look](https://isomorphic.redq.io/)\n  ',
  xml: '<isomprphic>\n    <to>Tove</to>\n    <name>Isomorphic</name>\n    <author>RedQ Team</author>\n    <website>isomorphic.redq.io</website>\n</isomprphic>',
  php: '<html>\n <head>\n  <title> v</title>\n </head>\n <body>\n <h1>https://isomorphic.redq.io/</h1>\n <p>This is a RedQ Team production</p>\n <a href="https://isomorphic.redq.io/">visit ou site</a>\n </body>\n</html>\n',
  python: '\nprint("Isomorphic")\nprint("This is a RedQ Team production")\nprint("visit us https://isomorphic.redq.io ")\n',
  ruby: 'rint "Isomorphic"\nprint "This is a RedQ Team production"\nprint "visit us https://isomorphic.redq.io "\n'
};

exports.switchOptions = switchOptions;
exports.selectOptions = selectOptions;
exports.defaultValues = defaultValues;