'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _localeProvider = require('antd/lib/locale-provider');

var _localeProvider2 = _interopRequireDefault(_localeProvider);

var _layout = require('antd/lib/layout');

var _layout2 = _interopRequireDefault(_layout);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _reactWindowSizeListener = require('react-window-size-listener');

var _reactWindowSizeListener2 = _interopRequireDefault(_reactWindowSizeListener);

var _reactThrottle = require('react-throttle');

var _reactIntl = require('react-intl');

var _styledComponents = require('styled-components');

var _analytics = require('../../helpers/analytics');

var _Sidebar = require('../Sidebar/Sidebar');

var _Sidebar2 = _interopRequireDefault(_Sidebar);

var _ThemeSwitcher = require('../ThemeSwitcher');

var _ThemeSwitcher2 = _interopRequireDefault(_ThemeSwitcher);

var _Topbar = require('../Topbar/Topbar');

var _Topbar2 = _interopRequireDefault(_Topbar);

var _themes = require('../../config/themes');

var _themes2 = _interopRequireDefault(_themes);

var _index = require('../../config/index');

var _actions = require('../../redux/auth/actions');

var _actions2 = _interopRequireDefault(_actions);

var _actions3 = require('../../redux/app/actions');

var _actions4 = _interopRequireDefault(_actions3);

var _languageProvider = require('../../languageProvider');

var _languageProvider2 = _interopRequireDefault(_languageProvider);

var _commonStyle = require('./commonStyle');

var _commonStyle2 = _interopRequireDefault(_commonStyle);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var toggleAll = _actions4.default.toggleAll;
var Content = _layout2.default.Content,
    Footer = _layout2.default.Footer;

var Header = function (_Component) {
  (0, _inherits3.default)(Header, _Component);

  function Header() {
    (0, _classCallCheck3.default)(this, Header);

    return (0, _possibleConstructorReturn3.default)(this, (Header.__proto__ || (0, _getPrototypeOf2.default)(Header)).apply(this, arguments));
  }

  (0, _createClass3.default)(Header, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          locale = _props.locale,
          selectedTheme = _props.selectedTheme,
          isLoggedIn = _props.isLoggedIn;

      var currentAppLocale = _languageProvider2.default[locale];
      if (this.props.App.height === 0) {
        return _react2.default.createElement('div', null, _react2.default.createElement(_reactThrottle.Debounce, { time: '1000', handler: 'onResize' }, _react2.default.createElement(_reactWindowSizeListener2.default, {
          onResize: function onResize(windowSize) {
            return _this2.props.toggleAll(windowSize.windowWidth, windowSize.windowHeight);
          }
        })));
      }
      return _react2.default.createElement('header', null, _react2.default.createElement(_localeProvider2.default, { locale: currentAppLocale.antd }, _react2.default.createElement(_reactIntl.IntlProvider, {
        locale: currentAppLocale.locale,
        messages: currentAppLocale.messages
      }, _react2.default.createElement(_styledComponents.ThemeProvider, { theme: _themes2.default[selectedTheme] }, _react2.default.createElement(_commonStyle2.default, null, _react2.default.createElement(_layout2.default, { style: { height: '100vh' } }, _react2.default.createElement(_reactThrottle.Debounce, { time: '1000', handler: 'onResize' }, _react2.default.createElement(_reactWindowSizeListener2.default, {
        onResize: function onResize(windowSize) {
          return _this2.props.toggleAll(windowSize.windowWidth, windowSize.windowHeight);
        }
      })), _react2.default.createElement(_Topbar2.default, null), _react2.default.createElement(_layout2.default, { style: { flexDirection: 'row', overflowX: 'hidden' } }, _react2.default.createElement(_Sidebar2.default, null), _react2.default.createElement(_layout2.default, {
        className: 'isoContentMainLayout',
        style: {
          height: '100vh'
        }
      }, _react2.default.createElement(Content, {
        className: 'isomorphicContent',
        style: {
          padding: '70px 0 0',
          flexShrink: '0',
          background: '#f1f3f6',
          width: '100%'
        }
      }, this.props.children), _react2.default.createElement(Footer, {
        style: {
          background: '#ffffff',
          textAlign: 'center',
          borderTop: '1px solid #ededed'
        }
      }, _index.siteConfig.footerText))), _react2.default.createElement(_ThemeSwitcher2.default, null)))))));
    }
  }]);

  return Header;
}(_react.Component);

var mapStateToProps = function mapStateToProps(state) {
  return {
    App: state.App.toJS(),
    locale: state.LanguageSwitcher.toJS().language.locale,
    selectedTheme: state.ThemeSwitcher.toJS().changeThemes.themeName
  };
};
exports.default = (0, _reactRedux.connect)(mapStateToProps, { toggleAll: toggleAll })(Header);