'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _clone = require('clone');

var _clone2 = _interopRequireDefault(_clone);

var _notification = require('../../components/notification');

var _notification2 = _interopRequireDefault(_notification);

var _modalEvents = require('./modalEvents');

var _modalEvents2 = _interopRequireDefault(_modalEvents);

var _actions = require('../../redux/calendar/actions');

var _actions2 = _interopRequireDefault(_actions);

var _calendar = require('./calendar.style');

var _DnDCalendar = require('./DnDCalendar');

var _DnDCalendar2 = _interopRequireDefault(_DnDCalendar);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var changeView = _actions2.default.changeView,
    changeEvents = _actions2.default.changeEvents;

var getIndex = function getIndex(events, selectedEvent) {
  return events.findIndex(function (event) {
    return event.id === selectedEvent.id;
  });
};

var FullCalender = function (_Component) {
  (0, _inherits3.default)(FullCalender, _Component);

  function FullCalender() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, FullCalender);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = FullCalender.__proto__ || (0, _getPrototypeOf2.default)(FullCalender)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      view: _this.props.view,
      modalVisible: false,
      selectedData: undefined
    }, _this.onSelectEvent = function (selectedData) {
      _this.setState({ modalVisible: 'update', selectedData: selectedData });
    }, _this.onSelectSlot = function (selectedData) {
      _this.setState({ modalVisible: 'new', selectedData: selectedData });
    }, _this.onView = function (view) {
      _this.props.changeView(view);
    }, _this.onEventDrop = function (newOption) {
      var event = newOption.event,
          start = newOption.start,
          end = newOption.end;

      var events = (0, _clone2.default)(_this.props.events);
      var allDay = new Date(end).getTime() !== new Date(start).getTime();
      var updatedEvent = (0, _extends3.default)({}, event, { start: start, end: end, allDay: allDay });
      var index = getIndex(events, updatedEvent);
      events[index] = (0, _clone2.default)(updatedEvent);
      _this.props.changeEvents(events);
      (0, _notification2.default)('success', 'Move event successfully', event.title + ' was dropped onto ' + event.start);
    }, _this.setModalData = function (type, selectedData) {
      var changeEvents = _this.props.changeEvents;

      var events = (0, _clone2.default)(_this.props.events);
      var modalVisible = _this.state.modalVisible;

      if (type === 'cancel') {
        _this.setState({
          modalVisible: false,
          selectedData: undefined
        });
      } else if (type === 'delete') {
        var index = getIndex(events, selectedData);
        if (index > -1) {
          events.splice(index, 1);
        }
        changeEvents(events);
        _this.setState({
          modalVisible: false,
          selectedData: undefined
        });
      } else if (type === 'updateValue') {
        _this.setState({ selectedData: selectedData });
      } else {
        if (modalVisible === 'new') {
          events.push(selectedData);
        } else {
          var _index = getIndex(events, selectedData);
          if (_index > -1) {
            events[_index] = selectedData;
          }
        }
        changeEvents(events);
        _this.setState({
          modalVisible: false,
          selectedData: undefined
        });
      }
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(FullCalender, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          view = _props.view,
          events = _props.events;
      var _state = this.state,
          modalVisible = _state.modalVisible,
          selectedData = _state.selectedData;

      var calendarOptions = {
        events: events,
        view: view,
        selectedData: selectedData,
        onSelectEvent: this.onSelectEvent,
        onSelectSlot: this.onSelectSlot,
        onView: this.onView,
        onEventDrop: this.onEventDrop
      };
      return _react2.default.createElement(_calendar.CalendarStyleWrapper, { className: 'isomorphicCalendarWrapper' }, _react2.default.createElement(_modalEvents2.default, {
        modalVisible: modalVisible,
        selectedData: selectedData,
        setModalData: this.setModalData
      }), _react2.default.createElement(_DnDCalendar2.default, calendarOptions));
    }
  }]);

  return FullCalender;
}(_react.Component);

function mapStateToProps(state) {
  var _state$Calendar$toJS = state.Calendar.toJS(),
      events = _state$Calendar$toJS.events,
      view = _state$Calendar$toJS.view;

  return { events: events, view: view };
}
exports.default = (0, _reactRedux.connect)(mapStateToProps, { changeView: changeView, changeEvents: changeEvents })(FullCalender);