'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

var _input = require('../../components/uielements/input');

var _input2 = _interopRequireDefault(_input);

var _datePicker = require('../../components/uielements/datePicker');

var _modal = require('../../components/feedback/modal');

var _modal2 = _interopRequireDefault(_modal);

var _calendar = require('./calendar.style');

var _deleteButton = require('./deleteButton');

var _deleteButton2 = _interopRequireDefault(_deleteButton);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var RangePicker = _datePicker.DateRangepicker;

var localeDatePicker = {
  lang: {
    placeholder: 'Select date',
    rangePlaceholder: ['Start date', 'End date'],
    today: 'Today',
    now: 'Now',
    backToToday: 'Back to today',
    ok: 'Ok',
    clear: 'Clear',
    month: 'Month',
    year: 'Year',
    timeSelect: 'Select time',
    dateSelect: 'Select date',
    monthSelect: 'Choose a month',
    yearSelect: 'Choose a year',
    decadeSelect: 'Choose a decade',
    yearFormat: 'YYYY',
    dateFormat: 'M/D/YYYY',
    dayFormat: 'D',
    dateTimeFormat: 'M/D/YYYY HH:mm:ss',
    monthFormat: 'MMMM',
    monthBeforeYear: true,
    previousMonth: 'Previous month (PageUp)',
    nextMonth: 'Next month (PageDown)',
    previousYear: 'Last year (Control + left)',
    nextYear: 'Next year (Control + right)',
    previousDecade: 'Last decade',
    nextDecade: 'Next decade',
    previousCentury: 'Last century',
    nextCentury: 'Next century'
  },
  timePickerLocale: {
    placeholder: 'Select time'
  }
};

var ModalEvent = function (_Component) {
  (0, _inherits3.default)(ModalEvent, _Component);

  function ModalEvent() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, ModalEvent);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = ModalEvent.__proto__ || (0, _getPrototypeOf2.default)(ModalEvent)).call.apply(_ref, [this].concat(args))), _this), _this.handleOk = function () {
      _this.props.setModalData('ok', _this.props.selectedData);
    }, _this.handleCancel = function () {
      _this.props.setModalData('cancel');
    }, _this.handleDelete = function () {
      _this.props.setModalData('delete', _this.props.selectedData);
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(ModalEvent, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          modalVisible = _props.modalVisible,
          selectedData = _props.selectedData,
          setModalData = _props.setModalData;

      var visible = modalVisible ? true : false;
      if (!visible) {
        return _react2.default.createElement('div', null);
      }
      var title = selectedData && selectedData.title ? selectedData.title : '';
      var desc = selectedData && selectedData.desc ? selectedData.desc : '';
      var start = selectedData && selectedData.start ? (0, _moment2.default)(selectedData.start) : '';
      var end = selectedData && selectedData.end ? (0, _moment2.default)(selectedData.end) : '';
      var onChangeTitle = function onChangeTitle(event) {
        selectedData.title = event.target.value;
        setModalData('updateValue', selectedData);
      };
      var onChangeDesc = function onChangeDesc(event) {
        selectedData.desc = event.target.value;
        setModalData('updateValue', selectedData);
      };
      var onChangeFromTimePicker = function onChangeFromTimePicker(value) {
        try {
          selectedData.start = value[0].toDate();
          selectedData.end = value[1].toDate();
        } catch (e) {}
        setModalData('updateValue', selectedData);
      };
      return _react2.default.createElement('div', null, _react2.default.createElement(_modal2.default, {
        title: modalVisible === 'update' ? 'Update Event' : 'Set Event',
        visible: visible,
        onOk: this.handleOk,
        onCancel: this.handleCancel,
        okText: 'ok',
        cancelText: 'Cancel'
      }, _react2.default.createElement(_calendar.CalendarModalBody, null, _react2.default.createElement('div', { className: 'isoCalendarInputWrapper' }, _react2.default.createElement(_input2.default, {
        value: title,
        placeholder: 'Set Title',
        onChange: onChangeTitle
      })), _react2.default.createElement('div', { className: 'isoCalendarInputWrapper' }, _react2.default.createElement(_input2.default, {
        value: desc,
        placeholder: 'Set DEscription',
        onChange: onChangeDesc
      })), _react2.default.createElement('div', { className: 'isoCalendarDatePicker' }, _react2.default.createElement(RangePicker, {
        locale: localeDatePicker,
        ranges: {
          Today: [(0, _moment2.default)(), (0, _moment2.default)()],
          'This Month': [(0, _moment2.default)(), (0, _moment2.default)().endOf('month')]
        },
        value: [start, end],
        showTime: true,
        format: 'YYYY/MM/DD HH:mm:ss',
        onChange: onChangeFromTimePicker
      }), _react2.default.createElement(_deleteButton2.default, { handleDelete: this.handleDelete })))));
    }
  }]);

  return ModalEvent;
}(_react.Component);

exports.default = ModalEvent;