'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactVis = require('react-vis');

var _chart = require('../../chart.style');

var _chart2 = _interopRequireDefault(_chart);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var EXTENDED_DISCRETE_COLOR_RANGE = ['#19CDD7', '#DDB27C', '#88572C', '#FF991F', '#F15C17', '#223F9A', '#DA70BF', '#125C77', '#4DC19C', '#776E57', '#12939A', '#17B8BE', '#F6D18A', '#B7885E', '#FFCB99', '#F89570', '#829AE3', '#E79FD5', '#1E96BE', '#89DAC1', '#B3AD9E'];

function getKeyPath(node) {
  if (!node.parent) {
    return ['root'];
  }

  return [node.data && (node.data.name || node.name)].concat(getKeyPath(node.parent));
}

function updateData(data, keyPath) {
  if (data.children) {
    data.children.map(function (child) {
      return updateData(child, keyPath);
    });
  }
  if (!data.color) {
    data.style = {
      fill: EXTENDED_DISCRETE_COLOR_RANGE[5]
    };
  }
  data.style = (0, _extends3.default)({}, data.style, {
    fillOpacity: keyPath && !keyPath[data.name] ? 0.2 : 1
  });

  return data;
}

var decoratedData = function decoratedData(datas) {
  return updateData(datas, false);
};

var _class = function (_Component) {
  (0, _inherits3.default)(_class, _Component);

  function _class() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, _class);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = _class.__proto__ || (0, _getPrototypeOf2.default)(_class)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      pathValue: false,
      data: decoratedData(_this.props.datas)
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(_class, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _state = this.state,
          data = _state.data,
          pathValue = _state.pathValue;

      return _react2.default.createElement(_chart2.default, { className: 'isoChartWrapper' }, _react2.default.createElement(_reactVis.Sunburst, {
        className: 'basic-sunburst-example',
        hideRootNode: true,
        onValueMouseOver: function onValueMouseOver(node) {
          var path = getKeyPath(node).reverse();
          var pathAsMap = path.reduce(function (res, row) {
            res[row] = true;
            return res;
          }, {});
          _this2.setState({
            pathValue: path.join(' > '),
            data: updateData(decoratedData(_this2.props.datas), pathAsMap)
          });
        },
        onValueMouseOut: function onValueMouseOut() {
          return _this2.setState({
            pathValue: false,
            data: updateData(decoratedData(_this2.props.datas), false)
          });
        },
        style: {
          stroke: '#ddd',
          strokeOpacity: 0.3,
          strokeWidth: '0.5'
        },
        colorType: 'literal',
        data: data,
        height: this.props.height,
        width: this.props.width
      }), _react2.default.createElement('div', { className: 'basic-sunburst-example-path-name' }, pathValue));
    }
  }]);

  return _class;
}(_react.Component);

exports.default = _class;