'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactVis = require('react-vis');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var predefinedClassName = 'rv-xy-plot__series rv-xy-plot__series--candlestick';

var _class = function (_AbstractSeries) {
  (0, _inherits3.default)(_class, _AbstractSeries);

  function _class() {
    (0, _classCallCheck3.default)(this, _class);

    return (0, _possibleConstructorReturn3.default)(this, (_class.__proto__ || (0, _getPrototypeOf2.default)(_class)).apply(this, arguments));
  }

  (0, _createClass3.default)(_class, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          className = _props.className,
          data = _props.data,
          marginLeft = _props.marginLeft,
          marginTop = _props.marginTop;

      if (!data) {
        return null;
      }
      var xFunctor = this._getAttributeFunctor('x');
      var yFunctor = this._getAttributeFunctor('y');
      var strokeFunctor = this._getAttributeFunctor('stroke') || this._getAttributeFunctor('color');
      var fillFunctor = this._getAttributeFunctor('fill') || this._getAttributeFunctor('color');
      var opacityFunctor = this._getAttributeFunctor('opacity');

      var distance = Math.abs(xFunctor(data[1]) - xFunctor(data[0])) * 0.2;

      return _react2.default.createElement('g', {
        className: predefinedClassName + ' ' + className,
        ref: 'container',
        transform: 'translate(' + marginLeft + ',' + marginTop + ')'
      }, data.map(function (d, i) {
        var xTrans = xFunctor(d);
        var yHigh = yFunctor((0, _extends3.default)({}, d, { y: d.yHigh }));
        var yOpen = yFunctor((0, _extends3.default)({}, d, { y: d.yOpen }));
        var yClose = yFunctor((0, _extends3.default)({}, d, { y: d.yClose }));
        var yLow = yFunctor((0, _extends3.default)({}, d, { y: d.yLow }));

        var lineAttrs = {
          stroke: strokeFunctor && strokeFunctor(d)
        };

        var xWidth = distance * 2;
        return _react2.default.createElement('g', {
          transform: 'translate(' + xTrans + ')',
          opacity: opacityFunctor ? opacityFunctor(d) : 1,
          key: i,
          onClick: function onClick(e) {
            return _this2._valueClickHandler(d, e);
          },
          onMouseOver: function onMouseOver(e) {
            return _this2._valueMouseOverHandler(d, e);
          },
          onMouseOut: function onMouseOut(e) {
            return _this2._valueMouseOutHandler(d, e);
          }
        }, _react2.default.createElement('line', (0, _extends3.default)({
          x1: -xWidth,
          x2: xWidth,
          y1: yHigh,
          y2: yHigh
        }, lineAttrs)), _react2.default.createElement('line', (0, _extends3.default)({ x1: 0, x2: 0, y1: yHigh, y2: yLow }, lineAttrs)), _react2.default.createElement('line', (0, _extends3.default)({
          x1: -xWidth,
          x2: xWidth,
          y1: yLow,
          y2: yLow
        }, lineAttrs)), _react2.default.createElement('rect', {
          x: -xWidth,
          width: Math.max(xWidth * 2, 0),
          y: yOpen,
          height: Math.abs(yOpen - yClose),
          fill: fillFunctor && fillFunctor(d)
        }));
      }));
    }
  }]);

  return _class;
}(_reactVis.AbstractSeries);

exports.default = _class;