'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactVis = require('react-vis');

var _button = require('../../../../components/uielements/button');

var _button2 = _interopRequireDefault(_button);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FlexibleXYPlot = (0, _reactVis.makeWidthFlexible)(_reactVis.XYPlot);

var totalValues = Math.random() * 50;

function getRandomSeriesData(total) {
  var result = [];
  var lastY = Math.random() * 40 - 20;
  var y = void 0;
  var firstY = lastY;
  for (var i = 0; i < total; i++) {
    y = Math.random() * firstY - firstY / 2 + lastY;
    result.push({
      x: i,
      y: y
    });
    lastY = y;
  }
  return result;
}

var _class = function (_Component) {
  (0, _inherits3.default)(_class, _Component);

  function _class() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, _class);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = _class.__proto__ || (0, _getPrototypeOf2.default)(_class)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      crosshairValues: [],
      series: [{
        title: 'Apples',
        disabled: false,
        data: getRandomSeriesData(totalValues)
      }, {
        title: 'Bananas',
        disabled: false,
        data: getRandomSeriesData(totalValues)
      }]
    }, _this._updateButtonClicked = function () {
      var series = _this.state.series;

      series.forEach(function (s) {
        s.data = getRandomSeriesData(Math.random() * 50 + 5);
      });
      _this.setState({ series: series });
    }, _this._nearestXHandler = function (value, _ref2) {
      var index = _ref2.index;
      var series = _this.state.series;

      _this.setState({
        crosshairValues: series.map(function (s) {
          return s.data[index];
        })
      });
    }, _this._mouseLeaveHandler = function () {
      _this.setState({ crosshairValues: [] });
    }, _this._formatCrosshairTitle = function (values) {
      return {
        title: 'X',
        value: values[0].x
      };
    }, _this._formatCrosshairItems = function (values) {
      var series = _this.state.series;

      return values.map(function (v, i) {
        return {
          title: series[i].title,
          value: v.y
        };
      });
    }, _this._legendClickHandler = function (item, i) {
      var series = _this.state.series;

      series[i].disabled = !series[i].disabled;
      _this.setState({ series: series });
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(_class, [{
    key: 'render',
    value: function render() {
      var forFrontPage = this.props.forFrontPage;
      var _state = this.state,
          series = _state.series,
          crosshairValues = _state.crosshairValues;

      return _react2.default.createElement('div', { className: !forFrontPage ? 'example-with-click-me' : '' }, !forFrontPage && _react2.default.createElement('div', { className: 'legend' }, _react2.default.createElement(_reactVis.DiscreteColorLegend, {
        onItemClick: this._legendClickHandler,
        width: 180,
        items: series
      })), _react2.default.createElement('div', { className: 'chart' }, _react2.default.createElement(FlexibleXYPlot, {
        animation: true,
        onMouseLeave: this._mouseLeaveHandler,
        height: 300
      }, _react2.default.createElement(_reactVis.HorizontalGridLines, null), _react2.default.createElement(_reactVis.YAxis, { className: 'cool-custom-name' }), _react2.default.createElement(_reactVis.XAxis, { className: 'even-cooler-custom-name' }), _react2.default.createElement(_reactVis.VerticalBarSeries, (0, _extends3.default)({
        data: series[0].data,
        onNearestX: this._nearestXHandler
      }, series[0].disabled ? { opacity: 0.2 } : null)), _react2.default.createElement(_reactVis.LineSeries, (0, _extends3.default)({
        data: series[1].data,
        curve: 'curveMonotoneX'
      }, series[1].disabled ? { opacity: 0.2 } : null)), _react2.default.createElement(_reactVis.Crosshair, {
        itemsFormat: this._formatCrosshairItems,
        titleFormat: this._formatCrosshairTitle,
        values: crosshairValues
      }))), !forFrontPage && _react2.default.createElement(_button2.default, { className: 'click-me', onClick: this._updateButtonClicked }, 'Click to update'));
    }
  }]);

  return _class;
}(_react.Component);

exports.default = _class;