'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactVis = require('react-vis');

var _chart = require('../../chart.style');

var _chart2 = _interopRequireDefault(_chart);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function mapData(hoveredSection, datas) {
  return datas.map(function (row, index) {
    return (0, _extends3.default)({}, row, {
      innerRadius: hoveredSection === index + 1 ? row.radius - 1 : null,
      opacity: !hoveredSection || hoveredSection === index + 1 ? 1 : 0.6
    });
  });
}

var _class = function (_Component) {
  (0, _inherits3.default)(_class, _Component);

  function _class() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, _class);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = _class.__proto__ || (0, _getPrototypeOf2.default)(_class)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      hoveredSection: false
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(_class, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      var hoveredSection = this.state.hoveredSection;
      var _props = this.props,
          datas = _props.datas,
          width = _props.width,
          height = _props.height,
          radiusDomain = _props.radiusDomain,
          tickTotal = _props.tickTotal,
          rRange = _props.rRange;

      return _react2.default.createElement(_chart2.default, { className: 'isoChartWrapper' }, _react2.default.createElement(_reactVis.RadialChart, {
        animation: true,
        showLabels: true,
        radiusDomain: radiusDomain,
        data: mapData(hoveredSection, datas),
        labelsAboveChildren: true,
        onValueMouseOver: function onValueMouseOver(row) {
          return _this2.setState({ hoveredSection: row.id });
        },
        onMouseLeave: function onMouseLeave() {
          return _this2.setState({ hoveredSection: false });
        },
        width: width,
        height: height
      }, _react2.default.createElement(_reactVis.CircularGridLines, { tickTotal: tickTotal, rRange: rRange })));
    }
  }]);

  return _class;
}(_react.Component);

exports.default = _class;