'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactVis = require('react-vis');

var _button = require('../button');

var _button2 = _interopRequireDefault(_button);

var _chart = require('../../chart.style');

var _chart2 = _interopRequireDefault(_chart);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRandomData() {
  var totalLeaves = Math.random() * 20;
  var leaves = [];
  var title = void 0;
  for (var i = 0; i < totalLeaves; i++) {
    title = Math.random();
    if (Math.random() > 0.5) {
      title = _react2.default.createElement('b', null, title);
    }
    leaves.push({
      title: title,
      size: Math.random() * 1000,
      color: Math.random()
    });
  }
  return {
    title: '',
    color: 1,
    children: leaves
  };
}

var _class = function (_Component) {
  (0, _inherits3.default)(_class, _Component);

  function _class() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, _class);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = _class.__proto__ || (0, _getPrototypeOf2.default)(_class)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      hoveredNode: false,
      treemapData: _getRandomData(),
      useCirclePacking: false
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(_class, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _state = this.state,
          hoveredNode = _state.hoveredNode,
          useCirclePacking = _state.useCirclePacking;
      var _props = this.props,
          width = _props.width,
          height = _props.height;

      var treeProps = {
        animation: {
          damping: 9,
          stiffness: 300
        },
        data: this.state.treemapData,
        onLeafMouseOver: function onLeafMouseOver(x) {
          return _this2.setState({ hoveredNode: x });
        },
        onLeafMouseOut: function onLeafMouseOut() {
          return _this2.setState({ hoveredNode: false });
        },
        onLeafClick: function onLeafClick() {
          return _this2.setState({ treemapData: _getRandomData() });
        },
        height: height,
        mode: this.state.useCirclePacking ? 'circlePack' : 'squarify',
        width: width
      };
      return _react2.default.createElement(_chart2.default, { className: 'isoChartWrapper' }, _react2.default.createElement('div', { className: 'isoChartControl' }, _react2.default.createElement(_button2.default, {
        onClick: function onClick() {
          return _this2.setState({ useCirclePacking: !useCirclePacking });
        },
        buttonContent: 'TOGGLE CIRCLE PACK'
      })), _react2.default.createElement(_reactVis.Treemap, treeProps), 'click above to the update data', hoveredNode && hoveredNode.value);
    }
  }]);

  return _class;
}(_react.Component);

exports.default = _class;