'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _d3Shape = require('d3-shape');

var _d3Array = require('d3-array');

var _reactVis = require('react-vis');

var _button = require('../../../../components/uielements/button');

var _button2 = _interopRequireDefault(_button);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FlexibleXYPlot = (0, _reactVis.makeWidthFlexible)(_reactVis.XYPlot);

var NUMBER_OF_LAYERS = 20;
var SAMPLES_PER_LAYER = 200;
var BUMPS_PER_LAYER = 10;

var bump = function bump(aggregatingData, samplesPerLayer) {
  var x = 1 / (0.1 + Math.random());
  var y = 2 * Math.random() - 0.5;
  var z = 10 / (0.1 + Math.random());

  return aggregatingData.map(function (v, i) {
    var w = (i / samplesPerLayer - y) * z;
    return v + x * Math.exp(-w * w);
  });
};

function bumps(samplesPerLayer, bumpsPerLayer) {
  var dataOutline = new Array(samplesPerLayer).fill(0);
  return (0, _d3Array.range)(bumpsPerLayer).reduce(function (res) {
    return bump(res, samplesPerLayer);
  }, dataOutline);
}

function generateData() {
  var stack = (0, _d3Shape.stack)().keys((0, _d3Array.range)(NUMBER_OF_LAYERS)).offset(_d3Shape.stackOffsetWiggle);
  var transposed = (0, _d3Array.transpose)((0, _d3Array.range)(NUMBER_OF_LAYERS).map(function () {
    return bumps(SAMPLES_PER_LAYER, BUMPS_PER_LAYER);
  }));
  return stack(transposed).map(function (series) {
    return series.map(function (row, x) {
      return { x: x, y0: row[0], y: row[1] };
    });
  });
}

var _class = function (_Component) {
  (0, _inherits3.default)(_class, _Component);

  function _class() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, _class);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = _class.__proto__ || (0, _getPrototypeOf2.default)(_class)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      data: generateData(),
      hoveredIndex: false
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(_class, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      var forFrontPage = this.props.forFrontPage;
      var _state = this.state,
          data = _state.data,
          hoveredIndex = _state.hoveredIndex;

      return _react2.default.createElement('div', { className: 'streamgraph-example' }, !forFrontPage && _react2.default.createElement(_button2.default, {
        className: 'showcase-button',
        onClick: function onClick() {
          return _this2.setState({ data: generateData() });
        }
      }, 'Click me!'), _react2.default.createElement('div', { className: 'streamgraph' }, _react2.default.createElement(FlexibleXYPlot, {
        animation: true,
        onMouseLeave: function onMouseLeave() {
          return _this2.setState({ hoveredIndex: false });
        },
        height: 300
      }, data.map(function (series, index) {
        return _react2.default.createElement(_reactVis.AreaSeries, {
          key: index,
          curve: 'curveNatural',
          className: '' + (index === hoveredIndex ? 'highlighted-stream' : ''),
          onSeriesMouseOver: function onSeriesMouseOver() {
            return _this2.setState({ hoveredIndex: index });
          },
          data: series
        });
      }))));
    }
  }]);

  return _class;
}(_react.Component);

exports.default = _class;