'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _layout = require('antd/lib/layout');

var _layout2 = _interopRequireDefault(_layout);

var _icon = require('antd/lib/icon');

var _icon2 = _interopRequireDefault(_icon);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _actions = require('../../redux/contacts/actions');

var _actions2 = _interopRequireDefault(_actions);

var _button = require('../../components/uielements/button');

var _button2 = _interopRequireDefault(_button);

var _contactList = require('../../components/contacts/contactList');

var _contactList2 = _interopRequireDefault(_contactList);

var _singleView = require('../../components/contacts/singleView');

var _singleView2 = _interopRequireDefault(_singleView);

var _editView = require('../../components/contacts/editView');

var _editView2 = _interopRequireDefault(_editView);

var _deleteButton = require('../../components/contacts/deleteButton');

var _deleteButton2 = _interopRequireDefault(_deleteButton);

var _fakeData = require('./fakeData');

var _intlMessages = require('../../components/utility/intlMessages');

var _intlMessages2 = _interopRequireDefault(_intlMessages);

var _contacts = require('./contacts.style');

var _customScrollBar = require('../../components/utility/customScrollBar.js');

var _customScrollBar2 = _interopRequireDefault(_customScrollBar);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var changeContact = _actions2.default.changeContact,
    addContact = _actions2.default.addContact,
    editContact = _actions2.default.editContact,
    deleteContact = _actions2.default.deleteContact,
    viewChange = _actions2.default.viewChange;
var Sider = _layout2.default.Sider,
    Content = _layout2.default.Content;

var Contacts = function (_Component) {
  (0, _inherits3.default)(Contacts, _Component);

  function Contacts() {
    (0, _classCallCheck3.default)(this, Contacts);

    return (0, _possibleConstructorReturn3.default)(this, (Contacts.__proto__ || (0, _getPrototypeOf2.default)(Contacts)).apply(this, arguments));
  }

  (0, _createClass3.default)(Contacts, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          contacts = _props.contacts,
          seectedId = _props.seectedId,
          editView = _props.editView,
          changeContact = _props.changeContact,
          addContact = _props.addContact,
          editContact = _props.editContact,
          deleteContact = _props.deleteContact,
          viewChange = _props.viewChange;

      var selectedContact = seectedId ? contacts.filter(function (contact) {
        return contact.id === seectedId;
      })[0] : null;
      var onVIewChange = function onVIewChange() {
        return viewChange(!editView);
      };
      return _react2.default.createElement(_contacts.ContactsWrapper, {
        className: 'isomorphicContacts',
        style: { background: 'none' }
      }, _react2.default.createElement(Sider, { width: '300', className: 'isoContactListBar' }, _react2.default.createElement(_contactList2.default, {
        contacts: contacts,
        seectedId: seectedId,
        changeContact: changeContact,
        deleteContact: deleteContact
      })), _react2.default.createElement(_layout2.default, { className: 'isoContactBoxWrapper' }, selectedContact ? _react2.default.createElement(Content, { className: 'isoContactBox' }, _react2.default.createElement('div', { className: 'isoContactControl' }, _react2.default.createElement(_button2.default, { type: 'button', onClick: onVIewChange }, editView ? _react2.default.createElement(_icon2.default, { type: 'check' }) : _react2.default.createElement(_icon2.default, { type: 'edit' }), ' '), _react2.default.createElement(_deleteButton2.default, {
        deleteContact: deleteContact,
        contact: selectedContact
      }), _react2.default.createElement(_button2.default, {
        type: 'primary',
        onClick: addContact,
        className: 'isoAddContactBtn'
      }, _react2.default.createElement(_intlMessages2.default, { id: 'contactlist.addNewContact' }))), _react2.default.createElement(_customScrollBar2.default, { className: 'contactBoxScrollbar' }, editView ? _react2.default.createElement(_editView2.default, {
        contact: selectedContact,
        editContact: editContact,
        otherAttributes: _fakeData.otherAttributes
      }) : _react2.default.createElement(_singleView2.default, {
        contact: selectedContact,
        otherAttributes: _fakeData.otherAttributes
      }))) : _react2.default.createElement('div', { className: 'isoContactControl' }, _react2.default.createElement(_button2.default, {
        type: 'primary',
        onClick: addContact,
        className: 'isoAddContactBtn'
      }, _react2.default.createElement(_intlMessages2.default, { id: 'contactlist.addNewContact' })))));
    }
  }]);

  return Contacts;
}(_react.Component);

function mapStateToProps(state) {
  var _state$Contacts$toJS = state.Contacts.toJS(),
      contacts = _state$Contacts$toJS.contacts,
      seectedId = _state$Contacts$toJS.seectedId,
      editView = _state$Contacts$toJS.editView;

  return {
    contacts: contacts,
    seectedId: seectedId,
    editView: editView
  };
}
exports.default = (0, _reactRedux.connect)(mapStateToProps, {
  changeContact: changeContact,
  addContact: addContact,
  editContact: editContact,
  deleteContact: deleteContact,
  viewChange: viewChange
})(Contacts);