'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactInstantsearch = require('react-instantsearch');

var _contentElement = require('./contentElement');

var _contentElement2 = _interopRequireDefault(_contentElement);

var _emptyComponent = require('../../../components/emptyComponent.js');

var _emptyComponent2 = _interopRequireDefault(_emptyComponent);

var _algoliaComponent = require('../../../components/algolia/algoliaComponent.style');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (0, _reactInstantsearch.createConnector)({
  displayName: 'CustomResults',
  getProvidedProps: function getProvidedProps(props, searchState, searchResults) {
    var status = searchResults.results ? searchResults.results.nbHits === 0 : 'loading';
    return { query: searchState.query, status: status };
  }
})(function (_ref) {
  var status = _ref.status,
      query = _ref.query,
      props = (0, _objectWithoutProperties3.default)(_ref, ['status', 'query']);

  if (status === 'loading') {
    return _react2.default.createElement(_algoliaComponent.LoaderElement, { className: 'isoContentLoader' }, _react2.default.createElement('div', { className: 'loaderElement' }));
  } else if (status) {
    return _react2.default.createElement(_emptyComponent2.default, { value: 'No results for these filtering' });
  } else {
    return _react2.default.createElement(_contentElement2.default, props);
  }
});