'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _row = require('antd/lib/row');

var _row2 = _interopRequireDefault(_row);

var _col = require('antd/lib/col');

var _col2 = _interopRequireDefault(_col);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _clone = require('clone');

var _clone2 = _interopRequireDefault(_clone);

var _button = require('../../../components/uielements/button');

var _button2 = _interopRequireDefault(_button);

var _pageHeader = require('../../../components/utility/pageHeader');

var _pageHeader2 = _interopRequireDefault(_pageHeader);

var _box = require('../../../components/utility/box');

var _box2 = _interopRequireDefault(_box);

var _layoutWrapper = require('../../../components/utility/layoutWrapper');

var _layoutWrapper2 = _interopRequireDefault(_layoutWrapper);

var _card = require('../../../components/card');

var _card2 = _interopRequireDefault(_card);

var _basicStyle = require('../../../config/basicStyle');

var _basicStyle2 = _interopRequireDefault(_basicStyle);

var _actions = require('../../../redux/card/actions');

var _actions2 = _interopRequireDefault(_actions);

var _config = require('./config');

var _cardModal = require('../../../components/card/cardModal.style');

var _simpleView = require('../../Tables/antTables/tableViews/simpleView');

var _simpleView2 = _interopRequireDefault(_simpleView);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var addCard = _actions2.default.addCard,
    editCard = _actions2.default.editCard,
    deleteCard = _actions2.default.deleteCard,
    restoreCards = _actions2.default.restoreCards;

var Cards = function (_Component) {
  (0, _inherits3.default)(Cards, _Component);

  function Cards(props) {
    (0, _classCallCheck3.default)(this, Cards);

    var _this = (0, _possibleConstructorReturn3.default)(this, (Cards.__proto__ || (0, _getPrototypeOf2.default)(Cards)).call(this, props));

    _this.addColumn = _this.addColumn.bind(_this);
    _this.editColumn = _this.editColumn.bind(_this);
    _this.handleCancel = _this.handleCancel.bind(_this);
    _this.submitCard = _this.submitCard.bind(_this);
    _this.updateCard = _this.updateCard.bind(_this);

    _this.columns = (0, _config.createColumns)(_this.editColumn, _this.props.deleteCard);
    _this.state = {
      editView: false,
      selectedCard: null,
      modalType: ''
    };
    return _this;
  }

  (0, _createClass3.default)(Cards, [{
    key: 'editColumn',
    value: function editColumn(card) {
      this.setState({
        editView: true,
        selectedCard: (0, _clone2.default)(card),
        modalType: 'edit'
      });
    }
  }, {
    key: 'addColumn',
    value: function addColumn() {
      this.setState({
        editView: true,
        selectedCard: {
          id: new Date().getTime(),
          key: new Date().getTime(),
          number: '',
          name: '',
          expiry: '',
          cvc: ''
        },
        modalType: 'add'
      });
    }
  }, {
    key: 'handleCancel',
    value: function handleCancel() {
      this.setState({
        editView: false,
        selectedCard: null
      });
    }
  }, {
    key: 'submitCard',
    value: function submitCard(card) {
      if (this.state.modalType === 'edit') {
        this.props.editCard(this.state.selectedCard);
      } else {
        this.props.addCard(this.state.selectedCard);
      }
      this.setState({
        editView: false,
        selectedCard: null
      });
    }
  }, {
    key: 'updateCard',
    value: function updateCard(selectedCard) {
      this.setState({ selectedCard: selectedCard });
    }
  }, {
    key: 'render',
    value: function render() {
      var rowStyle = _basicStyle2.default.rowStyle,
          colStyle = _basicStyle2.default.colStyle,
          gutter = _basicStyle2.default.gutter;
      var _state = this.state,
          editView = _state.editView,
          selectedCard = _state.selectedCard,
          modalType = _state.modalType;

      var cards = (0, _clone2.default)(this.props.cards);
      var createNumber = function createNumber(number) {
        var length = number.length;
        var newNumber = '';
        for (var i = 0; i < length - 4; i++) {
          newNumber = '*' + newNumber;
        }
        for (var _i = length - 4; _i < length; _i++) {
          newNumber = '' + newNumber + number.charAt(_i);
        }
        return newNumber;
      };
      cards.forEach(function (card, index) {
        cards[index].number = createNumber(card.number);
      });
      return _react2.default.createElement(_layoutWrapper2.default, null, _react2.default.createElement(_pageHeader2.default, null, 'Cards'), _react2.default.createElement(_row2.default, { style: rowStyle, gutter: gutter, justify: 'start' }, _react2.default.createElement(_col2.default, { md: 24, sm: 24, xs: 24, style: colStyle }, _react2.default.createElement(_box2.default, null, _react2.default.createElement(_cardModal.ButtonWrapper, { className: 'isoButtonWrapper' }, _react2.default.createElement(_button2.default, { type: 'primary', className: '', onClick: this.addColumn }, 'Add New Card')), _react2.default.createElement(_simpleView2.default, { columns: this.columns, dataSource: cards }), selectedCard ? _react2.default.createElement(_card2.default, {
        editView: editView,
        modalType: modalType,
        selectedCard: selectedCard,
        handleCancel: this.handleCancel,
        submitCard: this.submitCard,
        updateCard: this.updateCard
      }) : ''))));
    }
  }]);

  return Cards;
}(_react.Component);

function mapStateToProps(state) {
  return (0, _extends3.default)({}, state.Cards.toJS());
}
exports.default = (0, _reactRedux.connect)(mapStateToProps, {
  addCard: addCard,
  editCard: editCard,
  deleteCard: deleteCard,
  restoreCards: restoreCards
})(Cards);