'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _link = require('next/dist/lib/link.js');

var _link2 = _interopRequireDefault(_link);

var _reactRedux = require('react-redux');

var _input = require('../../../components/uielements/input');

var _input2 = _interopRequireDefault(_input);

var _button = require('../../../components/uielements/button');

var _button2 = _interopRequireDefault(_button);

var _actions = require('../../../redux/ecommerce/actions');

var _actions2 = _interopRequireDefault(_actions);

var _singleCart = require('../../../components/cart/singleCart');

var _singleCart2 = _interopRequireDefault(_singleCart);

var _cartTable = require('./cartTable.style');

var _cartTable2 = _interopRequireDefault(_cartTable);

var _withDirection = require('../../../config/withDirection');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var changeProductQuantity = _actions2.default.changeProductQuantity;

var totalPrice = 0;

var CartTable = function (_Component) {
  (0, _inherits3.default)(CartTable, _Component);

  function CartTable(props) {
    (0, _classCallCheck3.default)(this, CartTable);

    var _this = (0, _possibleConstructorReturn3.default)(this, (CartTable.__proto__ || (0, _getPrototypeOf2.default)(CartTable)).call(this, props));

    _this.changeQuantity = _this.changeQuantity.bind(_this);
    _this.cancelQuantity = _this.cancelQuantity.bind(_this);
    return _this;
  }

  (0, _createClass3.default)(CartTable, [{
    key: 'renderItems',
    value: function renderItems() {
      var _this2 = this;

      var _props = this.props,
          productQuantity = _props.productQuantity,
          products = _props.products;

      totalPrice = 0;
      if (!productQuantity || productQuantity.length === 0) {
        return _react2.default.createElement('tr', { className: 'isoNoItemMsg' }, 'No item found');
      }
      return productQuantity.map(function (product) {
        totalPrice += product.quantity * products[product.objectID].price;
        return _react2.default.createElement(_singleCart2.default, (0, _extends3.default)({
          key: product.objectID,
          quantity: product.quantity,
          changeQuantity: _this2.changeQuantity,
          cancelQuantity: _this2.cancelQuantity
        }, products[product.objectID]));
      });
    }
  }, {
    key: 'changeQuantity',
    value: function changeQuantity(objectID, quantity) {
      var productQuantity = this.props.productQuantity;

      var newProductQuantity = [];
      productQuantity.forEach(function (product) {
        if (product.objectID !== objectID) {
          newProductQuantity.push(product);
        } else {
          newProductQuantity.push({
            objectID: objectID,
            quantity: quantity
          });
        }
      });
      this.props.changeProductQuantity(newProductQuantity);
    }
  }, {
    key: 'cancelQuantity',
    value: function cancelQuantity(objectID) {
      var productQuantity = this.props.productQuantity;

      var newProductQuantity = [];
      productQuantity.forEach(function (product) {
        if (product.objectID !== objectID) {
          newProductQuantity.push(product);
        }
      });
      this.props.changeProductQuantity(newProductQuantity);
    }
  }, {
    key: 'render',
    value: function render() {
      var style = this.props.style;

      var classname = style != null ? style : '';
      return _react2.default.createElement(_cartTable2.default, { className: 'isoCartTable ' + classname }, _react2.default.createElement('table', null, _react2.default.createElement('thead', null, _react2.default.createElement('tr', null, _react2.default.createElement('th', { className: 'isoItemRemove' }), _react2.default.createElement('th', { className: 'isoItemImage' }), _react2.default.createElement('th', { className: 'isoItemName' }, 'Name'), _react2.default.createElement('th', { className: 'isoItemPrice' }, 'Price'), _react2.default.createElement('th', { className: 'isoItemQuantity' }, 'Quantity'), _react2.default.createElement('th', { className: 'isoItemPriceTotal' }, 'Total'))), _react2.default.createElement('tbody', null, this.renderItems(), _react2.default.createElement('tr', { className: 'isoTotalBill' }, _react2.default.createElement('td', { className: 'isoItemRemove' }), _react2.default.createElement('td', { className: 'isoItemImage' }), _react2.default.createElement('td', { className: 'isoItemName' }), _react2.default.createElement('td', { className: 'isoItemPrice' }), _react2.default.createElement('td', { className: 'isoItemQuantity' }, 'Total'), _react2.default.createElement('td', { className: 'isoItemPriceTotal' }, '$', totalPrice.toFixed(2)))), _react2.default.createElement('tfoot', null, _react2.default.createElement('tr', null, _react2.default.createElement('td', {
        style: {
          width: '100%',
          paddingRight: '' + (_withDirection.rtl === 'rtl' ? '0' : '25px'),
          paddingLeft: '' + (_withDirection.rtl === 'rtl' ? '25px' : '0')
        }
      }, _react2.default.createElement(_input2.default, { size: 'large', placeholder: 'Discount Coupon' })), _react2.default.createElement('td', {
        style: {
          paddingRight: '' + (_withDirection.rtl === 'rtl' ? '0' : '25px'),
          paddingLeft: '' + (_withDirection.rtl === 'rtl' ? '25px' : '0')
        }
      }, _react2.default.createElement(_button2.default, null, 'Apply')), _react2.default.createElement('td', null, _react2.default.createElement(_button2.default, { type: 'primary' }, _react2.default.createElement(_link2.default, { href: '/dashboard/checkout' }, 'Checkout')))))));
    }
  }]);

  return CartTable;
}(_react.Component);

function mapStateToProps(state) {
  var _state$Ecommerce$toJS = state.Ecommerce.toJS(),
      productQuantity = _state$Ecommerce$toJS.productQuantity,
      products = _state$Ecommerce$toJS.products;

  return { productQuantity: productQuantity, products: products };
}
exports.default = (0, _reactRedux.connect)(mapStateToProps, { changeProductQuantity: changeProductQuantity })(CartTable);