'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InputBoxWrapper = exports.OrderTable = exports.BillingFormWrapper = exports.CheckoutContents = undefined;

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _styledTheme = require('styled-theme');

var _styleUtil = require('../../../config/style-util');

var _withDirection = require('../../../config/withDirection');

var _withDirection2 = _interopRequireDefault(_withDirection);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var WDCheckoutContents = /*#__PURE__*/_styledComponents2.default.div.withConfig({
  displayName: 'checkoutstyle__WDCheckoutContents',
  componentId: 's1oe8aes-0'
})(['.isoCheckoutPage{padding:50px 18px;.isoSectionTitle{font-size:16px;font-weight:500;color:', ';line-height:1.2;padding:', ';margin:20px 0 35px;}.isoLoginSection{width:100%;}.isoSectionSeperator{margin:40px 0;width:100%;display:flex;align-items:center;position:relative;&:before,&:after{content:\'\';width:100%;height:1px;display:flex;background-color:', ';}span{font-size:14px;font-weight:500;color:', ';line-height:1.2;padding:0 15px;}}.isoBillingAddressWrapper{width:100%;.isoBillingSection{display:flex;@media only screen and (max-width:767px){flex-direction:column;}}}}'], (0, _styledTheme.palette)('text', 0), function (props) {
  return props['data-rtl'] === 'rtl' ? '0 30px 0 0' : '0 0 0 30px';
}, (0, _styledTheme.palette)('grayscale', 4), (0, _styledTheme.palette)('text', 0));

var WDBillingFormWrapper = /*#__PURE__*/_styledComponents2.default.div.withConfig({
  displayName: 'checkoutstyle__WDBillingFormWrapper',
  componentId: 's1oe8aes-1'
})(['width:60%;padding:', ';display:flex;flex-direction:column;@media only screen and (max-width:767px){width:100%;padding:0;margin-bottom:50px;}.isoInputFieldset{width:100%;display:flex;margin-bottom:35px;&.vertical{flex-direction:column;}.isoInputBox{width:100%;display:flex;flex-direction:column;margin:', ';&:last-child{margin:0;}.ant-select{.ant-select-selection{&.ant-select-selection--single{height:42px;', ';}.ant-select-selection__rendered{line-height:42px;font-size:13px;}}}}input{', ';}}.ant-checkbox-wrapper{span{font-size:13px;font-weight:500;color:', ';line-height:1.2;}}'], function (props) {
  return props['data-rtl'] === 'rtl' ? '0 30px 0 20px' : '0 20px 0 30px';
}, function (props) {
  return props['data-rtl'] === 'rtl' ? '0 0 0 35px' : '0 35px 0 0';
}, (0, _styleUtil.borderRadius)(), (0, _styleUtil.borderRadius)(), (0, _styledTheme.palette)('text', 0));

var WDInputBoxWrapper = /*#__PURE__*/_styledComponents2.default.div.withConfig({
  displayName: 'checkoutstyle__WDInputBoxWrapper',
  componentId: 's1oe8aes-2'
})(['&.isoInputBox{width:100%;display:flex;flex-direction:column;margin-right:35px;&:last-child{margin-right:0;}label{font-size:14px;font-weight:500;color:', ';line-height:1.2;margin-bottom:17px;display:flex;position:relative;.asterisk{font-size:15px;font-weight:400;color:', ';line-height:1.2;margin:', ';}}input{', ';}}'], (0, _styledTheme.palette)('text', 0), (0, _styledTheme.palette)('color', 0), function (props) {
  return props['data-rtl'] === 'rtl' ? '0 3px 0 0' : '0 0 0 3px';
}, (0, _styleUtil.borderRadius)());

var WDOrderTable = /*#__PURE__*/_styledComponents2.default.div.withConfig({
  displayName: 'checkoutstyle__WDOrderTable',
  componentId: 's1oe8aes-3'
})(['width:40%;padding:', ';@media only screen and (max-width:767px){width:100%;padding:0;}.isoOrderTable{width:100%;display:flex;flex-direction:column;.isoOrderTableHead{width:100%;display:flex;justify-content:space-between;align-items:center;margin-bottom:20px;.tableHead{font-size:15px;font-weight:500;color:', ';line-height:1.2;}}.isoOrderTableBody{width:100%;display:flex;flex-direction:column;margin-bottom:10px;.isoSingleOrderInfo{width:100%;display:flex;justify-content:space-between;align-items:center;padding:10px 0;border-bottom:1px solid ', ';&:last-child{border-bottom:0;}p{padding-right:', ';span{font-size:13px;font-weight:400;color:', ';line-height:1.5;padding:0 3px;display:inline-block;&.isoQuantity{font-size:13px;font-weight:400;color:', ';line-height:1.5;display:inline-block;}}}.totalPrice{font-size:13px;font-weight:500;color:', ';line-height:1.5;}}}.isoOrderTableFooter{width:100%;display:flex;justify-content:space-between;align-items:center;margin-bottom:40px;span{font-size:14px;font-weight:500;color:', ';line-height:1.2;}}button{height:42px;', ';}}'], function (props) {
  return props['data-rtl'] === 'rtl' ? '0 20px 0 30px' : '0 30px 0 20px';
}, (0, _styledTheme.palette)('text', 0), (0, _styledTheme.palette)('border', 0), function (props) {
  return props['data-rtl'] === 'rtl' ? '0 0 0 35px' : '0 35px 0 0';
}, (0, _styledTheme.palette)('text', 2), (0, _styledTheme.palette)('text', 1), (0, _styledTheme.palette)('text', 2), (0, _styledTheme.palette)('text', 0), (0, _styleUtil.borderRadius)('2px'));

var CheckoutContents = (0, _withDirection2.default)(WDCheckoutContents);
var BillingFormWrapper = (0, _withDirection2.default)(WDBillingFormWrapper);
var OrderTable = (0, _withDirection2.default)(WDOrderTable);
var InputBoxWrapper = (0, _withDirection2.default)(WDInputBoxWrapper);

exports.CheckoutContents = CheckoutContents;
exports.BillingFormWrapper = BillingFormWrapper;
exports.OrderTable = OrderTable;
exports.InputBoxWrapper = InputBoxWrapper;