'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _row = require('antd/lib/row');

var _row2 = _interopRequireDefault(_row);

var _col = require('antd/lib/col');

var _col2 = _interopRequireDefault(_col);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _promise = require('babel-runtime/core-js/promise');

var _promise2 = _interopRequireDefault(_promise);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _button = require('../../../components/uielements/button');

var _button2 = _interopRequireDefault(_button);

var _pageHeader = require('../../../components/utility/pageHeader');

var _pageHeader2 = _interopRequireDefault(_pageHeader);

var _box = require('../../../components/utility/box');

var _box2 = _interopRequireDefault(_box);

var _layoutWrapper = require('../../../components/utility/layoutWrapper');

var _layoutWrapper2 = _interopRequireDefault(_layoutWrapper);

var _contentHolder = require('../../../components/utility/contentHolder');

var _contentHolder2 = _interopRequireDefault(_contentHolder);

var _basicStyle = require('../../../config/basicStyle');

var _basicStyle2 = _interopRequireDefault(_basicStyle);

var _intlMessages = require('../../../components/utility/intlMessages');

var _intlMessages2 = _interopRequireDefault(_intlMessages);

var _modal = require('../../../components/feedback/modal');

var _modal2 = _interopRequireDefault(_modal);

var _modal3 = require('./modal.style');

var _modal4 = _interopRequireDefault(_modal3);

var _withDirection = require('../../../config/withDirection');

var _withDirection2 = _interopRequireDefault(_withDirection);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var isoModal = (0, _modal4.default)(_modal2.default);
var Modal = (0, _withDirection2.default)(isoModal);

var confirm = _modal2.default.confirm;

function info() {
  _modal2.default.info({
    title: _react2.default.createElement('h3', null, 'This is a notification message'),
    content: _react2.default.createElement(_modal3.ModalContent, null, _react2.default.createElement('p', null, 'Far far away, behind the word mountains, far from the countries Vokalia and Consonantia, there live the blind texts. Separated they live in Bookmarksgrove right at the coast of the Semantics, a large language ocean.'), _react2.default.createElement('p', null, 'some messages...some messages...')),
    onOk: function onOk() {},

    okText: 'OK',
    cancelText: 'Cancel'
  });
}

function success() {
  _modal2.default.success({
    title: 'This is a success message',
    content: 'Far far away, behind the word mountains, far from the countries Vokalia and Consonantia, there live the blind texts. Separated they live in Bookmarksgrove right at the coast of the Semantics, a large language ocean.',
    okText: 'OK',
    cancelText: 'Cancel'
  });
}

function error() {
  _modal2.default.error({
    title: 'This is an error message',
    content: 'Far far away, behind the word mountains, far from the countries Vokalia and Consonantia, there live the blind texts. Separated they live in Bookmarksgrove right at the coast of the Semantics, a large language ocean.',
    okText: 'OK',
    cancelText: 'Cancel'
  });
}

function warning() {
  _modal2.default.warning({
    title: 'This is a warning message',
    content: 'Far far away, behind the word mountains, far from the countries Vokalia and Consonantia, there live the blind texts. Separated they live in Bookmarksgrove right at the coast of the Semantics, a large language ocean.',
    okText: 'OK',
    cancelText: 'Cancel'
  });
}

function showConfirm() {
  confirm({
    title: 'Want to delete these items?',
    content: 'When clicked the OK button, this dialog will be closed after 1 second',
    onOk: function onOk() {
      return new _promise2.default(function (resolve, reject) {
        setTimeout(Math.random() > 0.5 ? resolve : reject, 1000);
      }).catch(function () {});
    },
    onCancel: function onCancel() {},

    okText: 'OK',
    cancelText: 'Cancel'
  });
}

var _class = function (_Component) {
  (0, _inherits3.default)(_class, _Component);

  function _class() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, _class);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = _class.__proto__ || (0, _getPrototypeOf2.default)(_class)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      loading: false,
      visible: false
    }, _this.showModal = function () {
      _this.setState({
        visible: true
      });
    }, _this.handleOk = function () {
      _this.setState({ loading: true });
      setTimeout(function () {
        _this.setState({ loading: false, visible: false });
      }, 2000);
    }, _this.handleCancel = function () {
      _this.setState({ visible: false });
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(_class, [{
    key: 'render',
    value: function render() {
      var rowStyle = _basicStyle2.default.rowStyle,
          colStyle = _basicStyle2.default.colStyle,
          gutter = _basicStyle2.default.gutter;

      var marginStyle = { marginRight: '5px', marginBottom: '5px' };

      return _react2.default.createElement(_layoutWrapper2.default, null, _react2.default.createElement(_pageHeader2.default, null, _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.modalBlockTitle' })), _react2.default.createElement(_row2.default, { style: rowStyle, gutter: gutter, justify: 'start' }, _react2.default.createElement(_col2.default, { md: 12, sm: 12, xs: 24, style: colStyle }, _react2.default.createElement(_box2.default, {
        title: _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.modalTitle' }),
        subtitle: _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.modalSubTitle' })
      }, _react2.default.createElement(_contentHolder2.default, null, _react2.default.createElement(_button2.default, { type: 'primary', onClick: this.showModal }, _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.simpleModalDialogue' })), _react2.default.createElement(Modal, {
        visible: this.state.visible,
        title: 'Title',
        onOk: this.handleOk,
        onCancel: this.handleCancel,
        footer: [_react2.default.createElement(_button2.default, { key: 'back', size: 'large', onClick: this.handleCancel }, 'Return'), _react2.default.createElement(_button2.default, {
          key: 'submit',
          type: 'primary',
          size: 'large',
          loading: this.state.loading,
          onClick: this.handleOk
        }, 'Submit')]
      }, _react2.default.createElement('p', null, 'Far far away, behind the word mountains, far from the countries Vokalia and Consonantia, there live the blind texts. Separated they live in Bookmarksgrove right at the coast of the Semantics, a large language ocean.'), _react2.default.createElement('p', null, 'Some contents...'))))), _react2.default.createElement(_col2.default, { md: 12, sm: 12, xs: 24, style: colStyle }, _react2.default.createElement(_box2.default, {
        title: _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.modalTitle' }),
        subtitle: _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.modalSubTitle' })
      }, _react2.default.createElement(_contentHolder2.default, null, _react2.default.createElement(_button2.default, { onClick: info, style: marginStyle }, _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.infoTitle' })), _react2.default.createElement(_button2.default, { onClick: success, style: marginStyle }, _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.successTitle' })), _react2.default.createElement(_button2.default, { onClick: error, style: marginStyle }, _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.errorTitle' })), _react2.default.createElement(_button2.default, { onClick: warning }, _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.warningTitle' })))))), _react2.default.createElement(_row2.default, { style: rowStyle, gutter: gutter, justify: 'start' }, _react2.default.createElement(_col2.default, { md: 12, sm: 12, xs: 24, style: colStyle }, _react2.default.createElement(_box2.default, {
        title: _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.modalTitle' }),
        subtitle: _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.modalSubTitle' })
      }, _react2.default.createElement(_contentHolder2.default, null, _react2.default.createElement(_button2.default, { onClick: showConfirm }, _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.confirmationModalDialogue' })))))));
    }
  }]);

  return _class;
}(_react.Component);

exports.default = _class;