'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _row = require('antd/lib/row');

var _row2 = _interopRequireDefault(_row);

var _col = require('antd/lib/col');

var _col2 = _interopRequireDefault(_col);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _icon = require('antd/lib/icon');

var _icon2 = _interopRequireDefault(_icon);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _notification = require('../../../components/feedback/notification');

var _notification2 = _interopRequireDefault(_notification);

var _button = require('../../../components/uielements/button');

var _button2 = _interopRequireDefault(_button);

var _pageHeader = require('../../../components/utility/pageHeader');

var _pageHeader2 = _interopRequireDefault(_pageHeader);

var _box = require('../../../components/utility/box');

var _box2 = _interopRequireDefault(_box);

var _layoutWrapper = require('../../../components/utility/layoutWrapper');

var _layoutWrapper2 = _interopRequireDefault(_layoutWrapper);

var _contentHolder = require('../../../components/utility/contentHolder');

var _contentHolder2 = _interopRequireDefault(_contentHolder);

var _basicStyle = require('../../../config/basicStyle');

var _basicStyle2 = _interopRequireDefault(_basicStyle);

var _intlMessages = require('../../../components/utility/intlMessages');

var _intlMessages2 = _interopRequireDefault(_intlMessages);

var _notification3 = require('./notification.style');

var _notification4 = _interopRequireDefault(_notification3);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var openNotification = function openNotification() {
  var args = {
    message: 'Notification Title',
    description: _react2.default.createElement(_notification4.default, null, 'I will close after 2 seconds automatically. I will be close automatically. I will never close automatically.')
  };
  _notification2.default.open(args);
};

var customDurationNotification = function customDurationNotification() {
  var args = {
    message: 'Notification Title',
    description: 'I will never close automatically. Click the close button. I will be close automatically. I will never close automatically.',
    duration: 0
  };
  _notification2.default.open(args);
};

var openNotificationWithIcon = function openNotificationWithIcon(type) {
  _notification2.default[type]({
    message: 'Notification Title',
    description: 'This is the content of the notification. This is the content of the notification. This is the content of the notification.'
  });
};

var openNotificationCustomIcon = function openNotificationCustomIcon() {
  _notification2.default.open({
    message: 'Notification Title',
    description: 'This is the content of the notification. This is the content of the notification. This is the content of the notification.',
    icon: _react2.default.createElement(_icon2.default, { type: 'smile-circle', style: { color: '#4482FF' } })
  });
};

var close = function close() {};

var openNotificationWithConfirm = function openNotificationWithConfirm() {
  var key = 'open' + Date.now();
  var btnClick = function btnClick() {
    _notification2.default.close(key);
  };
  var btn = _react2.default.createElement(_button2.default, { type: 'primary', size: 'small', onClick: btnClick }, 'Confirm');
  _notification2.default.open({
    message: 'Notification Title',
    description: 'A function will be be called after the notification is closed (automatically after the "duration" time of manually).',
    btn: btn,
    key: key,
    onClose: close
  });
};

var _class = function (_Component) {
  (0, _inherits3.default)(_class, _Component);

  function _class() {
    (0, _classCallCheck3.default)(this, _class);

    return (0, _possibleConstructorReturn3.default)(this, (_class.__proto__ || (0, _getPrototypeOf2.default)(_class)).apply(this, arguments));
  }

  (0, _createClass3.default)(_class, [{
    key: 'render',
    value: function render() {
      var rowStyle = _basicStyle2.default.rowStyle,
          colStyle = _basicStyle2.default.colStyle,
          gutter = _basicStyle2.default.gutter;

      var marginStyle = { marginRight: '5px' };

      return _react2.default.createElement(_layoutWrapper2.default, null, _react2.default.createElement(_pageHeader2.default, null, _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.notification' })), _react2.default.createElement(_row2.default, { style: rowStyle, gutter: gutter, justify: 'start' }, _react2.default.createElement(_col2.default, { md: 12, sm: 12, xs: 24, style: colStyle }, _react2.default.createElement(_box2.default, {
        title: _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.notificationBasicTitle' }),
        subtitle: _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.notificationBasicSubTitle' })
      }, _react2.default.createElement(_contentHolder2.default, null, _react2.default.createElement(_button2.default, { type: 'primary', onClick: openNotification }, _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.notificationBasicDescription' }))))), _react2.default.createElement(_col2.default, { md: 12, sm: 12, xs: 24, style: colStyle }, _react2.default.createElement(_box2.default, {
        title: _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.notificationDurationTitle' }),
        subtitle: _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.notificationDurationSubTitle' })
      }, _react2.default.createElement(_contentHolder2.default, null, _react2.default.createElement(_button2.default, { type: 'primary', onClick: customDurationNotification }, _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.notificationBasicDescription' })))))), _react2.default.createElement(_row2.default, { style: rowStyle, gutter: gutter, justify: 'start' }, _react2.default.createElement(_col2.default, { md: 12, sm: 12, xs: 24, style: colStyle }, _react2.default.createElement(_box2.default, {
        title: _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.notificationwithIconTitle' }),
        subtitle: _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.notificationwithIconSubTitle' })
      }, _react2.default.createElement(_contentHolder2.default, null, _react2.default.createElement(_button2.default, {
        onClick: function onClick() {
          return openNotificationWithIcon('success');
        },
        style: marginStyle
      }, _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.successTitle' })), _react2.default.createElement(_button2.default, {
        onClick: function onClick() {
          return openNotificationWithIcon('info');
        },
        style: marginStyle
      }, _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.infoTitle' })), _react2.default.createElement(_button2.default, {
        onClick: function onClick() {
          return openNotificationWithIcon('warning');
        },
        style: marginStyle
      }, _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.warningTitle' })), _react2.default.createElement(_button2.default, { onClick: function onClick() {
          return openNotificationWithIcon('error');
        } }, _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.errorTitle' }))))), _react2.default.createElement(_col2.default, { md: 12, sm: 12, xs: 24, style: colStyle }, _react2.default.createElement(_box2.default, {
        title: _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.notificationwithCustomIconTitle' }),
        subtitle: _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.notificationwithCustomIconSubTitle' })
      }, _react2.default.createElement(_contentHolder2.default, null, _react2.default.createElement(_button2.default, { type: 'primary', onClick: openNotificationCustomIcon }, _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.notificationBasicDescription' })))))), _react2.default.createElement(_row2.default, { style: rowStyle, gutter: gutter, justify: 'start' }, _react2.default.createElement(_col2.default, { md: 12, sm: 12, xs: 24, style: colStyle }, _react2.default.createElement(_box2.default, {
        title: _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.notificationwithCustomButtonTitle' }),
        subtitle: _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.notificationwithCustomButtonSubTitle' })
      }, _react2.default.createElement(_contentHolder2.default, null, _react2.default.createElement(_button2.default, { type: 'primary', onClick: openNotificationWithConfirm }, _react2.default.createElement(_intlMessages2.default, { id: 'feedback.alert.notificationBasicDescription' })))))));
    }
  }]);

  return _class;
}(_react.Component);

exports.default = _class;