'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _loader = require('../../components/utility/loader');

var _loader2 = _interopRequireDefault(_loader);

var _helperText = require('../../components/utility/helper-text');

var _helperText2 = _interopRequireDefault(_helperText);

var _pagination = require('../../components/uielements/pagination');

var _pagination2 = _interopRequireDefault(_pagination);

var _sagas = require('../../redux/githubSearch/sagas');

var _githubResult = require('./githubResult.style');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function SearchList(result) {
  return _react2.default.createElement(_githubResult.GithubResultListStyleWrapper, { className: 'isoGithubResultList' }, result.map(function (item) {
    var onClick = function onClick() {
      window.open(item.html_url, '_blank');
    };
    var updateDate = new Date(item.updated_at).toDateString();
    return _react2.default.createElement('div', { key: item.id, className: 'isoSingleRepository' }, _react2.default.createElement('div', { className: 'titleAndLanguage' }, _react2.default.createElement('h3', null, _react2.default.createElement('a', { href: '#', onClick: onClick }, item.full_name + ' ')), item.language ? _react2.default.createElement('span', { className: 'language' }, item.language) : '', item.stargazers_count ? _react2.default.createElement('span', { className: 'totalStars' }, item.stargazers_count) : ''), item.description ? _react2.default.createElement('p', null, item.description) : '', _react2.default.createElement('span', { className: 'updateDate' }, 'Updated on ', updateDate));
  }));
}

exports.default = function (_ref) {
  var GitSearch = _ref.GitSearch,
      onPageChange = _ref.onPageChange;
  var searcText = GitSearch.searcText,
      result = GitSearch.result,
      loading = GitSearch.loading,
      error = GitSearch.error,
      page = GitSearch.page,
      total_count = GitSearch.total_count;

  if (!searcText) {
    return _react2.default.createElement('div', null);
  }
  if (loading) {
    return _react2.default.createElement(_loader2.default, null);
  }
  if (error || !total_count) {
    return _react2.default.createElement(_helperText2.default, { text: 'THERE ARE SOME ERRORS' });
  }
  if (result.length === 0) {
    return _react2.default.createElement(_helperText2.default, { text: 'No Result Found' });
  }
  var visibleItem = total_count > 1000 ? 1000 : total_count;
  var pageCount = Math.floor(visibleItem / _sagas.per_page);
  return _react2.default.createElement(_githubResult.GithubResultStyleWrapper, { className: 'isoGithubSearchResult' }, _react2.default.createElement('p', { className: 'isoTotalRepository' }, _react2.default.createElement('span', null, '' + total_count, ' repository results')), SearchList(result), _react2.default.createElement('div', { className: 'githubSearchPagination' }, _react2.default.createElement(_pagination2.default, {
    defaultCurrent: page,
    total: pageCount,
    onChange: function onChange(page) {
      onPageChange(searcText, page);
    }
  })));
};