'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCurrentLanguage = getCurrentLanguage;

var _index = require('../../config/index');

var englishLang = '/static/image/flag/uk.svg';
var chineseLang = '/static/image/flag/china.svg';
var spanishLang = '/static/image/flag/spain.svg';
var frenchLang = '/static/image/flag/france.svg';
var italianLang = '/static/image/flag/italy.svg';
var config = {
  defaultLanguage: _index.language,
  options: [{
    languageId: 'english',
    locale: 'en',
    text: 'English',
    icon: englishLang
  }, {
    languageId: 'chinese',
    locale: 'zh',
    text: 'Chinese',
    icon: chineseLang
  }, {
    languageId: 'spanish',
    locale: 'es',
    text: 'Spanish',
    icon: spanishLang
  }, {
    languageId: 'french',
    locale: 'fr',
    text: 'French',
    icon: frenchLang
  }, {
    languageId: 'italian',
    locale: 'it',
    text: 'Italian',
    icon: italianLang
  }]
};

function getCurrentLanguage(lang) {
  var selecetedLanguage = config.options[0];
  config.options.forEach(function (language) {
    if (language.languageId === lang) {
      selecetedLanguage = language;
    }
  });
  return selecetedLanguage;
}
exports.default = config;