'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _layout = require('antd/lib/layout');

var _layout2 = _interopRequireDefault(_layout);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _reactWindowSizeListener = require('react-window-size-listener');

var _reactWindowSizeListener2 = _interopRequireDefault(_reactWindowSizeListener);

var _reactThrottle = require('react-throttle');

var _styledComponents = require('styled-components');

var _analytics = require('../helpers/analytics');

var _themes = require('../config/themes');

var _themes2 = _interopRequireDefault(_themes);

var _index = require('../config/index');

var _actions = require('../redux/auth/actions');

var _actions2 = _interopRequireDefault(_actions);

var _actions3 = require('../redux/app/actions');

var _actions4 = _interopRequireDefault(_actions3);

var _languageProvider = require('../languageProvider');

var _languageProvider2 = _interopRequireDefault(_languageProvider);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var logout = _actions2.default.logout;
var toggleAll = _actions4.default.toggleAll;
var Content = _layout2.default.Content,
    Footer = _layout2.default.Footer;

var Header = function (_Component) {
  (0, _inherits3.default)(Header, _Component);

  function Header() {
    (0, _classCallCheck3.default)(this, Header);

    return (0, _possibleConstructorReturn3.default)(this, (Header.__proto__ || (0, _getPrototypeOf2.default)(Header)).apply(this, arguments));
  }

  (0, _createClass3.default)(Header, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      var selectedTheme = this.props.selectedTheme;

      if (this.props.App.height === 0) {
        return _react2.default.createElement('div', null, _react2.default.createElement(_reactThrottle.Debounce, { time: '1000', handler: 'onResize' }, _react2.default.createElement(_reactWindowSizeListener2.default, {
          onResize: function onResize(windowSize) {
            return _this2.props.toggleAll(windowSize.windowWidth, windowSize.windowHeight);
          }
        })));
      }
      return _react2.default.createElement('div', null, _react2.default.createElement('header', null, _react2.default.createElement(_styledComponents.ThemeProvider, { theme: _themes2.default[selectedTheme] }, this.props.children)));
    }
  }]);

  return Header;
}(_react.Component);

var mapStateToProps = function mapStateToProps(state) {
  return {
    auth: state.Auth.toJS(),
    App: state.App.toJS(),
    selectedTheme: state.ThemeSwitcher.toJS().changeThemes.themeName
  };
};
exports.default = (0, _reactRedux.connect)(mapStateToProps, { logout: logout, toggleAll: toggleAll })(Header);