'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _reactCustomScrollbars = require('react-custom-scrollbars');

var _input = require('../../components/uielements/input');

var _maiilList = require('../../components/mail/maiilList');

var _maiilList2 = _interopRequireDefault(_maiilList);

var _mailBuckets = require('../../components/mail/mailBuckets');

var _mailBuckets2 = _interopRequireDefault(_mailBuckets);

var _mailTags = require('../../components/mail/mailTags');

var _mailTags2 = _interopRequireDefault(_mailTags);

var _singleMail = require('../../components/mail/singleMail');

var _singleMail2 = _interopRequireDefault(_singleMail);

var _mailComposeBtn = require('../../components/mail/mailComposeBtn');

var _mailComposeBtn2 = _interopRequireDefault(_mailComposeBtn);

var _composeMail = require('../../components/mail/composeMail');

var _composeMail2 = _interopRequireDefault(_composeMail);

var _actions = require('../../redux/mail/actions');

var _actions2 = _interopRequireDefault(_actions);

var _mailPagination = require('../../components/mail/mailPagination');

var _mailPagination2 = _interopRequireDefault(_mailPagination);

var _intlMessages = require('../../components/utility/intlMessages');

var _intlMessages2 = _interopRequireDefault(_intlMessages);

var _selector = require('../../redux/mail/selector');

var _selector2 = _interopRequireDefault(_selector);

var _mailBox = require('./mailBox.style');

var _mailBox2 = _interopRequireDefault(_mailBox);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var filterAction = _actions2.default.filterAction,
    selectMail = _actions2.default.selectMail,
    changeComposeMail = _actions2.default.changeComposeMail,
    changeReplyMail = _actions2.default.changeReplyMail,
    changeSearchString = _actions2.default.changeSearchString;

var DesktopView = function (_Component) {
  (0, _inherits3.default)(DesktopView, _Component);

  function DesktopView(props) {
    (0, _classCallCheck3.default)(this, DesktopView);

    var _this = (0, _possibleConstructorReturn3.default)(this, (DesktopView.__proto__ || (0, _getPrototypeOf2.default)(DesktopView)).call(this, props));

    _this.state = {
      search: _this.props.searchString
    };
    return _this;
  }

  (0, _createClass3.default)(DesktopView, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          allMails = _props.allMails,
          filterAttr = _props.filterAttr,
          filterMails = _props.filterMails,
          selectedMail = _props.selectedMail,
          composeMail = _props.composeMail,
          replyMail = _props.replyMail,
          selectMail = _props.selectMail,
          filterAction = _props.filterAction,
          changeComposeMail = _props.changeComposeMail,
          changeReplyMail = _props.changeReplyMail,
          changeSearchString = _props.changeSearchString;
      var search = this.state.search;

      var singleMailComponent = _react2.default.createElement('p', { className: 'isoNoMailMsg' }, _react2.default.createElement(_intlMessages2.default, { id: 'email.noMessage' }));
      var index = allMails.findIndex(function (mail) {
        return mail.id === selectedMail;
      });
      if (index !== -1) {
        singleMailComponent = (0, _singleMail2.default)(allMails, filterMails, index, replyMail, changeReplyMail, selectMail);
      }
      return _react2.default.createElement(_mailBox2.default, { className: 'isomorphicMailBox' }, _react2.default.createElement('div', { className: 'isoLeftWrapper' }, _react2.default.createElement(_mailComposeBtn2.default, { changeComposeMail: changeComposeMail }), _react2.default.createElement('div', { className: 'isoMailOptions' }, _react2.default.createElement(_reactCustomScrollbars.Scrollbars, { style: { height: this.props.height - 70 } }, (0, _mailBuckets2.default)(allMails, filterAction, filterAttr), (0, _mailTags2.default)(allMails, filterAction, filterAttr)))), composeMail ? '' : _react2.default.createElement('div', { className: 'isoMiddleWrapper' }, _react2.default.createElement('div', { className: 'isoBucketLabel' }, _react2.default.createElement('h3', null, filterAttr.bucket), _react2.default.createElement(_mailPagination2.default, null)), _react2.default.createElement('div', { className: 'isoSearchMailWrapper' }, _react2.default.createElement(_input.InputSearch, {
        placeholder: 'Search Email',
        value: search,
        className: 'isoSearchEmail',
        onChange: function onChange(event) {
          return _this2.setState({ search: event.target.value });
        },
        onSearch: function onSearch(value) {
          return changeSearchString(value);
        }
      })), _react2.default.createElement(_reactCustomScrollbars.Scrollbars, { style: { height: this.props.height - 70 } }, (0, _maiilList2.default)(filterMails, selectMail, selectedMail))), _react2.default.createElement('div', { className: 'isoSingleMailWrapper' }, _react2.default.createElement(_reactCustomScrollbars.Scrollbars, { style: { height: this.props.height - 70 } }, composeMail ? _react2.default.createElement(_composeMail2.default, { allMails: allMails }) : singleMailComponent)));
    }
  }]);

  return DesktopView;
}(_react.Component);

function mapStateToProps(state) {
  var _state$Mails$toJS = state.Mails.toJS(),
      allMails = _state$Mails$toJS.allMails,
      tag = _state$Mails$toJS.tag,
      selectedMail = _state$Mails$toJS.selectedMail,
      filterAttr = _state$Mails$toJS.filterAttr,
      composeMail = _state$Mails$toJS.composeMail,
      replyMail = _state$Mails$toJS.replyMail,
      searchString = _state$Mails$toJS.searchString;

  return {
    allMails: allMails,
    tag: tag,
    selectedMail: selectedMail,
    filterAttr: filterAttr,
    composeMail: composeMail,
    replyMail: replyMail,
    searchString: searchString,
    filterMails: (0, _selector2.default)(state.Mails)
  };
}
exports.default = (0, _reactRedux.connect)(mapStateToProps, {
  filterAction: filterAction,
  selectMail: selectMail,
  changeComposeMail: changeComposeMail,
  changeReplyMail: changeReplyMail,
  changeSearchString: changeSearchString
})(DesktopView);