'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _config = require('../config.js');

var _config2 = require('../../../../config');

var _googleMapsReact = require('google-maps-react');

var _marker = require('../marker');

var _map = require('./map.style');

var _map2 = _interopRequireDefault(_map);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var BasicMarkerMap = function (_Component) {
  (0, _inherits3.default)(BasicMarkerMap, _Component);

  function BasicMarkerMap(props) {
    (0, _classCallCheck3.default)(this, BasicMarkerMap);

    var _this = (0, _possibleConstructorReturn3.default)(this, (BasicMarkerMap.__proto__ || (0, _getPrototypeOf2.default)(BasicMarkerMap)).call(this, props));

    _this.loadMap = _this.loadMap.bind(_this);
    _this.state = {
      center: { lat: 40.78306, lng: -73.971249 }, // 40.783060, -73.971249
      zoom: 13,
      posts: _config.posts,
      infoWindow: null
    };
    return _this;
  }

  (0, _createClass3.default)(BasicMarkerMap, [{
    key: 'loadMap',
    value: function loadMap(element) {
      var google = this.props.google;

      if (!element || !google) return;
      var self = this;
      var Map = new google.maps.Map(element, {
        zoom: this.state.zoom,
        center: this.state.center,
        scrollwheel: false,
        mapTypeControlOptions: {
          style: google.maps.MapTypeControlStyle.HORIZONTAL_BAR,
          position: google.maps.ControlPosition.TOP_RIGHT
        }
      });
      var RichMarker = require('js-rich-marker');
      var InfoBubble = require('js-info-bubble');
      _config.posts.map(function (post) {
        var marker = RichMarker ? new RichMarker.RichMarker({
          map: Map,
          animation: google.maps.Animation.DROP,
          flat: true,
          content: (0, _marker.Marker)(post.marker),
          position: new google.maps.LatLng(post.lat, post.lng)
        }) : new google.maps.Marker({
          position: new google.maps.LatLng(post.lat, post.lng),
          map: Map,
          flat: true,
          animation: google.maps.Animation.DROP,
          content: (0, _marker.Marker)(post.marker)
        });
        var infoBubble = new InfoBubble({
          maxWidth: 280,
          minWidth: 280,
          maxHeight: 255,
          minHeight: 255,
          shadowStyle: 0,
          padding: 0,
          backgroundColor: '#ffffff',
          position: new google.maps.LatLng(post.lat, post.lng),
          borderRadius: 0,
          arrowSize: 10,
          borderWidth: 0,
          disableAnimation: true,
          autopanMargin: 0,
          hideCloseButton: false,
          arrowStyle: 0,
          content: (0, _marker.MarkerInfoWindow)(post)
        });
        marker.addListener('click', function () {
          if (self.infowindow) {
            self.infowindow.close();
          }
          infoBubble.open(Map, marker);
          self.infowindow = infoBubble;
        });
        return true;
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var loaded = this.props.loaded;

      return _react2.default.createElement('div', null, loaded ? _react2.default.createElement(_map2.default, null, _react2.default.createElement('div', {
        className: 'isoGoogleMap',
        style: { height: '650px', width: '100%' },
        ref: this.loadMap
      })) : _react2.default.createElement('span', null, 'API is Loading'));
    }
  }]);

  return BasicMarkerMap;
}(_react.Component);

exports.default = (0, _googleMapsReact.GoogleApiWrapper)({
  apiKey: _config2.googleConfig.apiKey
})(BasicMarkerMap);