'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var customIcon = '/static/image/map-pin-2.svg';
var customIconShadow = '/static/image/marker-shadow.png';
var infoWindowImg1 = '/static/image/image1.jpg';
var infoWindowImg2 = '/static/image/image3.jpg';
var infoWindowImg3 = '/static/image/image4.jpg';
var infoWindowImg4 = '/static/image/image5.jpg';

var basicMarkers = [{
  position: [40.68792, -74.01626],
  popupText: '\n      <div class="isoInfoWindowImage">\n        <img src=' + infoWindowImg1 + ' alt="" />\n      </div>\n      <div class="isoInfoWindowDetails">\n        <h3>Washington Square Park</h3>\n      </div>'
}, {
  position: [40.72143, -74.05729],
  popupText: '\n      <div class="isoInfoWindowImage">\n        <img src=' + infoWindowImg2 + ' alt="" />\n      </div>\n      <div class="isoInfoWindowDetails">\n        <h3>Washington Square Village</h3>\n      </div>'
}, {
  position: [40.7215, -73.999],
  popupText: '\n      <div class="isoInfoWindowImage">\n        <img src=' + infoWindowImg3 + ' alt="" />\n      </div>\n      <div class="isoInfoWindowDetails">\n        <h3>Washington Square</h3>\n      </div>'
}, {
  position: [40.696518, -73.95352],
  popupText: '\n      <div class="isoInfoWindowImage">\n        <img src=' + infoWindowImg4 + ' alt="" />\n      </div>\n      <div class="isoInfoWindowDetails">\n        <h3>New York University</h3>\n      </div>'
}, {
  position: [40.6943, -74.074201],
  popupText: '\n      <div class="isoInfoWindowImage">\n        <img src=' + infoWindowImg2 + ' alt="" />\n      </div>\n      <div class="isoInfoWindowDetails">\n        <h3>Library Golf Club</h3>\n      </div>'
}];

var customIconMarkers = [{
  position: [40.68792, -74.01626],
  iconUrl: customIcon,
  shadowUrl: customIconShadow,
  popupText: '\n      <div class="isoInfoWindowImage">\n        <img src=' + infoWindowImg2 + ' alt="" />\n      </div>\n      <div class="isoInfoWindowDetails">\n        <h3>Washington Square Village</h3>\n      </div>'
}];

var customHtmlMarker = [{
  position: [40.68792, -74.01626],
  html: '\n      <MarkerWrapper class="marker-icon-wrapper">\n        <i class="ion-flame" />\n      </MarkerWrapper>',
  className: 'marker-icon',
  popupText: '\n      <div class="isoInfoWindowImage">\n        <img src=' + infoWindowImg2 + ' alt="" />\n      </div>\n      <div class="isoInfoWindowDetails">\n        <h3>Washington Square Village</h3>\n      </div>'
}];

var markerCluster = [{
  position: [40.68792, -74.01626],
  iconUrl: customIcon,
  iconSize: [40, 40],
  popupText: '\n      <div class="isoInfoWindowImage">\n        <img src=' + infoWindowImg2 + ' alt="" />\n      </div>\n      <div class="isoInfoWindowDetails">\n        <h3>Washington Square Village</h3>\n      </div>'
}, {
  position: [40.72143, -74.05729],
  iconUrl: customIcon,
  popupText: '\n      <div class="isoInfoWindowImage">\n        <img src=' + infoWindowImg2 + ' alt="" />\n      </div>\n      <div class="isoInfoWindowDetails">\n        <h3>Washington Square Village</h3>\n      </div>'
}, {
  position: [40.7215, -73.999],
  iconUrl: customIcon,
  popupText: '\n      <div class="isoInfoWindowImage">\n        <img src=' + infoWindowImg1 + ' alt="" />\n      </div>\n      <div class="isoInfoWindowDetails">\n        <h3>Washington Square</h3>\n      </div>'
}, {
  position: [40.696518, -73.95352],
  iconUrl: customIcon,
  popupText: '\n      <div class="isoInfoWindowImage">\n        <img src=' + infoWindowImg3 + ' alt="" />\n      </div>\n      <div class="isoInfoWindowDetails">\n        <h3>New York University</h3>\n      </div>'
}, {
  position: [40.6943, -74.074201],
  iconUrl: customIcon,
  popupText: '\n      <div class="isoInfoWindowImage">\n        <img src=' + infoWindowImg4 + ' alt="" />\n      </div>\n      <div class="isoInfoWindowDetails">\n        <h3>Library Golf Club</h3>\n      </div>'
}, {
  position: [40.6943, -74.074201],
  iconUrl: customIcon,
  popupText: '\n      <div class="isoInfoWindowImage">\n        <img src=' + infoWindowImg1 + ' alt="" />\n      </div>\n      <div class="isoInfoWindowDetails">\n        <h3>Library Golf Club Old Portion</h3>\n      </div>'
}];

var markerRouting = {
  postion_start: [40.72143, -74.05729],
  iconUrl: customIcon,
  postion_end: [40.6943, -74.074201]
};

exports.basicMarkers = basicMarkers;
exports.customIconMarkers = customIconMarkers;
exports.customHtmlMarker = customHtmlMarker;
exports.markerCluster = markerCluster;
exports.markerRouting = markerRouting;