'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _layout = require('antd/lib/layout');

var _layout2 = _interopRequireDefault(_layout);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _actions = require('../../redux/notes/actions');

var _actions2 = _interopRequireDefault(_actions);

var _noteList = require('./noteList');

var _noteList2 = _interopRequireDefault(_noteList);

var _components = require('../../components/');

var _button = require('../../components/uielements/button');

var _button2 = _interopRequireDefault(_button);

var _intlMessages = require('../../components/utility/intlMessages');

var _intlMessages2 = _interopRequireDefault(_intlMessages);

var _noteComponent = require('./noteComponent.style');

var _noteComponent2 = _interopRequireDefault(_noteComponent);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var changeNote = _actions2.default.changeNote,
    addNote = _actions2.default.addNote,
    editNote = _actions2.default.editNote,
    deleteNote = _actions2.default.deleteNote,
    changeColor = _actions2.default.changeColor;
var Header = _layout2.default.Header,
    Sider = _layout2.default.Sider,
    Content = _layout2.default.Content;

var Notes = function (_Component) {
  (0, _inherits3.default)(Notes, _Component);

  function Notes(props) {
    (0, _classCallCheck3.default)(this, Notes);

    var _this = (0, _possibleConstructorReturn3.default)(this, (Notes.__proto__ || (0, _getPrototypeOf2.default)(Notes)).call(this, props));

    _this.updateNote = _this.updateNote.bind(_this);
    return _this;
  }

  (0, _createClass3.default)(Notes, [{
    key: 'updateNote',
    value: function updateNote(event) {
      var _props = this.props,
          editNote = _props.editNote,
          selectedId = _props.selectedId;

      editNote(selectedId, event.target.value);
    }
  }, {
    key: 'render',
    value: function render() {
      var _props2 = this.props,
          notes = _props2.notes,
          selectedId = _props2.selectedId,
          changeNote = _props2.changeNote,
          deleteNote = _props2.deleteNote,
          addNote = _props2.addNote,
          colors = _props2.colors,
          seectedColor = _props2.seectedColor,
          changeColor = _props2.changeColor;

      var selectedNote = selectedId !== undefined ? notes.filter(function (note) {
        return note.id === selectedId;
      })[0] : null;
      return _react2.default.createElement(_noteComponent2.default, { className: 'isomorphicNoteComponent' }, _react2.default.createElement(Sider, { width: '340', className: 'isoNoteListSidebar' }, _react2.default.createElement(_noteList2.default, {
        notes: notes,
        selectedId: selectedId,
        changeNote: changeNote,
        deleteNote: deleteNote,
        colors: colors
      })), _react2.default.createElement(_layout2.default, { className: 'isoNotepadWrapper' }, _react2.default.createElement(Header, { className: 'isoHeader' }, selectedId !== undefined ? _react2.default.createElement('div', { className: 'isoColorChooseWrapper' }, _react2.default.createElement(_components.ColorChoser, {
        colors: colors,
        changeColor: changeColor,
        seectedColor: seectedColor
      }), ' ', _react2.default.createElement('span', null, _react2.default.createElement(_intlMessages2.default, { id: 'notes.ChoseColor' }))) : '', _react2.default.createElement(_button2.default, { type: 'primary', className: 'isoAddNoteBtn', onClick: addNote }, _react2.default.createElement(_intlMessages2.default, { id: 'notes.addNote' }))), _react2.default.createElement(Content, { className: 'isoNoteEditingArea' }, selectedId !== undefined ? _react2.default.createElement('textarea', {
        className: 'isoNoteTextbox',
        value: selectedNote.note,
        onChange: this.updateNote,
        autoFocus: true
      }) : '')));
    }
  }]);

  return Notes;
}(_react.Component);

function mapStateToProps(state) {
  var _state$Notes$toJS = state.Notes.toJS(),
      notes = _state$Notes$toJS.notes,
      selectedId = _state$Notes$toJS.selectedId,
      colors = _state$Notes$toJS.colors,
      seectedColor = _state$Notes$toJS.seectedColor;

  return {
    notes: notes,
    selectedId: selectedId,
    colors: colors,
    seectedColor: seectedColor
  };
}
exports.default = (0, _reactRedux.connect)(mapStateToProps, {
  addNote: addNote,
  editNote: editNote,
  deleteNote: deleteNote,
  changeNote: changeNote,
  changeColor: changeColor
})(Notes);