'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _utility = require('../../helpers/utility');

var _button = require('../../components/uielements/button');

var _button2 = _interopRequireDefault(_button);

var _input = require('../../components/uielements/input');

var _noteComponent = require('./noteComponent.style');

var _customScrollBar = require('../../components/utility/customScrollBar.js');

var _customScrollBar2 = _interopRequireDefault(_customScrollBar);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function filterNotes(notes, search) {
  search = search.toUpperCase();
  if (search) {
    return notes.filter(function (note) {
      return note.note.toUpperCase().includes(search);
    });
  }
  return notes;
}

var _class = function (_Component) {
  (0, _inherits3.default)(_class, _Component);

  function _class(props) {
    (0, _classCallCheck3.default)(this, _class);

    var _this = (0, _possibleConstructorReturn3.default)(this, (_class.__proto__ || (0, _getPrototypeOf2.default)(_class)).call(this, props));

    _this.singleNote = _this.singleNote.bind(_this);
    _this.onChange = _this.onChange.bind(_this);
    _this.state = {
      search: ''
    };
    return _this;
  }

  (0, _createClass3.default)(_class, [{
    key: 'singleNote',
    value: function singleNote(note) {
      var _props = this.props,
          selectedId = _props.selectedId,
          deleteNote = _props.deleteNote,
          changeNote = _props.changeNote,
          colors = _props.colors;

      var activeClass = selectedId === note.id ? 'active' : '';
      var onChange = function onChange() {
        return changeNote(note.id);
      };
      var onDelete = function onDelete() {
        return deleteNote(note.id);
      };
      return _react2.default.createElement('div', { className: 'isoList ' + activeClass, key: note.id }, _react2.default.createElement('div', {
        className: 'isoNoteBGColor',
        style: { width: '5px', background: colors[note.color] }
      }), _react2.default.createElement('div', { className: 'isoNoteText', onClick: onChange }, _react2.default.createElement('h3', null, note.note), _react2.default.createElement('span', { className: 'isoNoteCreatedDate' }, (0, _utility.timeDifference)(note.createTime))), _react2.default.createElement(_button2.default, {
        className: 'isoDeleteBtn',
        icon: 'close',
        type: 'button',
        onClick: onDelete
      }));
    }
  }, {
    key: 'onChange',
    value: function onChange(event) {
      this.setState({ search: event.target.value });
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var search = this.state.search;

      var notes = filterNotes(this.props.notes, search);
      return _react2.default.createElement(_noteComponent.NoteListWrapper, { className: 'isoNoteListWrapper' }, _react2.default.createElement(_input.InputSearch, {
        placeholder: 'Search Notes',
        className: 'isoSearchNotes',
        value: search,
        onChange: this.onChange
      }), _react2.default.createElement('div', { className: 'isoNoteList' }, _react2.default.createElement(_customScrollBar2.default, null, notes && notes.length > 0 ? notes.map(function (note) {
        return _this2.singleNote(note);
      }) : _react2.default.createElement('span', { className: 'isoNotlistNotice' }, 'No note found'))));
    }
  }]);

  return _class;
}(_react.Component);

exports.default = _class;