'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _icon = require('antd/lib/icon');

var _icon2 = _interopRequireDefault(_icon);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

var _shuffle = require('lodash/shuffle');

var _shuffle2 = _interopRequireDefault(_shuffle);

var _throttle = require('lodash/throttle');

var _throttle2 = _interopRequireDefault(_throttle);

var _config = require('./config');

var _config2 = _interopRequireDefault(_config);

var _reactFlipMove = require('react-flip-move');

var _reactFlipMove2 = _interopRequireDefault(_reactFlipMove);

var _Toggle = require('./Toggle.js');

var _Toggle2 = _interopRequireDefault(_Toggle);

var _intlMessages = require('../../components/utility/intlMessages');

var _intlMessages2 = _interopRequireDefault(_intlMessages);

var _shuffle3 = require('./shuffle.style');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ListItem = function (_Component) {
  (0, _inherits3.default)(ListItem, _Component);

  function ListItem() {
    (0, _classCallCheck3.default)(this, ListItem);

    return (0, _possibleConstructorReturn3.default)(this, (ListItem.__proto__ || (0, _getPrototypeOf2.default)(ListItem)).apply(this, arguments));
  }

  (0, _createClass3.default)(ListItem, [{
    key: 'render',
    value: function render() {
      var listClass = 'isoSingleCard card ' + this.props.view;
      var style = { zIndex: 100 - this.props.index };

      return _react2.default.createElement(_shuffle3.SingleCardWrapper, { id: this.props.id, className: listClass, style: style }, _react2.default.createElement('div', { className: 'isoCardImage' }, _react2.default.createElement('img', { alt: '#', src: this.props.img })), _react2.default.createElement('div', { className: 'isoCardContent' }, _react2.default.createElement('h3', { className: 'isoCardTitle' }, this.props.desc), _react2.default.createElement('span', { className: 'isoCardDate' }, (0, _moment2.default)(this.props.timestamp).format('MMM Do, YYYY'))), _react2.default.createElement('button', { className: 'isoDeleteBtn', onClick: this.props.clickHandler }, _react2.default.createElement(_icon2.default, { type: 'close' })));
    }
  }]);

  return ListItem;
}(_react.Component);

var Shuffle = function (_Component2) {
  (0, _inherits3.default)(Shuffle, _Component2);

  function Shuffle(props) {
    (0, _classCallCheck3.default)(this, Shuffle);

    var _this2 = (0, _possibleConstructorReturn3.default)(this, (Shuffle.__proto__ || (0, _getPrototypeOf2.default)(Shuffle)).call(this, props));

    _this2.state = {
      removedArticles: [],
      view: 'grid',
      order: 'asc',
      sortingMethod: 'chronological',
      enterLeaveAnimation: 'accordionVertical',
      articles: _config2.default
    };

    _this2.toggleList = _this2.toggleList.bind(_this2);
    _this2.toggleGrid = _this2.toggleGrid.bind(_this2);
    _this2.toggleSort = _this2.toggleSort.bind(_this2);
    _this2.sortRotate = _this2.sortRotate.bind(_this2);
    _this2.sortShuffle = _this2.sortShuffle.bind(_this2);
    return _this2;
  }

  (0, _createClass3.default)(Shuffle, [{
    key: 'toggleList',
    value: function toggleList() {
      this.setState({
        view: 'list',
        enterLeaveAnimation: 'accordionVertical'
      });
    }
  }, {
    key: 'toggleGrid',
    value: function toggleGrid() {
      this.setState({
        view: 'grid',
        enterLeaveAnimation: 'accordionHorizontal'
      });
    }
  }, {
    key: 'toggleSort',
    value: function toggleSort() {
      var sortAsc = function sortAsc(a, b) {
        return a.timestamp - b.timestamp;
      };
      var sortDesc = function sortDesc(a, b) {
        return b.timestamp - a.timestamp;
      };

      this.setState({
        order: this.state.order === 'asc' ? 'desc' : 'asc',
        sortingMethod: 'chronological',
        articles: this.state.articles.sort(this.state.order === 'asc' ? sortDesc : sortAsc)
      });
    }
  }, {
    key: 'sortShuffle',
    value: function sortShuffle() {
      this.setState({
        sortingMethod: 'shuffle',
        articles: (0, _shuffle2.default)(this.state.articles)
      });
    }
  }, {
    key: 'moveArticle',
    value: function moveArticle(source, dest, id) {
      var _setState;

      var sourceArticles = this.state[source].slice();
      var destArticles = this.state[dest].slice();

      if (!sourceArticles.length) return;

      // Find the index of the article clicked.
      // If no ID is provided, the index is 0
      var i = id ? sourceArticles.findIndex(function (article) {
        return article.id === id;
      }) : 0;

      // If the article is already removed, do nothing.
      if (i === -1) return;

      destArticles = [].concat(sourceArticles.splice(i, 1), destArticles);

      this.setState((_setState = {}, (0, _defineProperty3.default)(_setState, source, sourceArticles), (0, _defineProperty3.default)(_setState, dest, destArticles), _setState));
    }
  }, {
    key: 'sortRotate',
    value: function sortRotate() {
      var articles = this.state.articles.slice();
      articles.unshift(articles.pop());

      this.setState({
        sortingMethod: 'rotate',
        articles: articles
      });
    }
  }, {
    key: 'renderArticles',
    value: function renderArticles() {
      var _this3 = this;

      return this.state.articles.map(function (article, i) {
        return _react2.default.createElement(ListItem, (0, _extends3.default)({
          key: article.id,
          view: _this3.state.view,
          index: i,
          clickHandler: (0, _throttle2.default)(function () {
            return _this3.moveArticle('articles', 'removedArticles', article.id);
          }, 800)
        }, article));
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var _this4 = this;

      return _react2.default.createElement(_shuffle3.SortableCardWrapper, {
        id: 'shuffle',
        className: 'isomorphicSortableCardsHolder ' + this.state.view
      }, _react2.default.createElement('header', { className: 'isoControlBar' }, _react2.default.createElement('div', { className: 'isoViewBtnGroup' }, _react2.default.createElement(_Toggle2.default, {
        clickHandler: this.toggleList,
        text: _react2.default.createElement(_intlMessages2.default, { id: 'toggle.list' }),
        icon: 'bars',
        active: this.state.view === 'list'
      }), _react2.default.createElement(_Toggle2.default, {
        clickHandler: this.toggleGrid,
        text: _react2.default.createElement(_intlMessages2.default, { id: 'toggle.grid' }),
        icon: 'appstore',
        active: this.state.view === 'grid'
      })), _react2.default.createElement('div', { className: 'isoControlBtnGroup' }, _react2.default.createElement(_Toggle2.default, {
        clickHandler: this.toggleSort,
        text: this.state.order === 'asc' ? _react2.default.createElement(_intlMessages2.default, { id: 'toggle.ascending' }) : _react2.default.createElement(_intlMessages2.default, { id: 'toggle.descending' }),
        icon: this.state.order === 'asc' ? 'up' : 'down',
        active: this.state.sortingMethod === 'chronological'
      }), _react2.default.createElement(_Toggle2.default, {
        clickHandler: this.sortShuffle,
        text: _react2.default.createElement(_intlMessages2.default, { id: 'toggle.shuffle' }),
        icon: 'shake',
        active: this.state.sortingMethod === 'shuffle'
      }), _react2.default.createElement(_Toggle2.default, {
        clickHandler: this.sortRotate,
        text: _react2.default.createElement(_intlMessages2.default, { id: 'toggle.rotate' }),
        icon: 'reload',
        active: this.state.sortingMethod === 'rotate'
      }))), _react2.default.createElement('div', { className: 'isoSortableCardsContainer' }, _react2.default.createElement(_reactFlipMove2.default, {
        staggerDurationBy: '30',
        duration: 500,
        enterAnimation: this.state.enterLeaveAnimation,
        leaveAnimation: this.state.enterLeaveAnimation,
        typeName: 'ul'
      }, this.renderArticles(), _react2.default.createElement('footer', { key: 'foot', className: 'isoAddRemoveControlBar' }, _react2.default.createElement('div', { className: 'isoControlBtnGroup' }, _react2.default.createElement(_Toggle2.default, {
        clickHandler: function clickHandler() {
          return _this4.moveArticle('removedArticles', 'articles');
        },
        text: _react2.default.createElement(_intlMessages2.default, { id: 'toggle.addItem' }),
        icon: 'plus',
        active: this.state.removedArticles.length > 0
      }), _react2.default.createElement(_Toggle2.default, {
        clickHandler: function clickHandler() {
          return _this4.moveArticle('articles', 'removedArticles');
        },
        text: _react2.default.createElement(_intlMessages2.default, { id: 'toggle.removeItem' }),
        icon: 'close',
        active: this.state.articles.length > 0
      }))))));
    }
  }]);

  return Shuffle;
}(_react.Component);

exports.default = Shuffle;