'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _layout = require('antd/lib/layout');

var _layout2 = _interopRequireDefault(_layout);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _clone = require('clone');

var _clone2 = _interopRequireDefault(_clone);

var _link = require('next/dist/lib/link.js');

var _link2 = _interopRequireDefault(_link);

var _customScrollBar = require('../../components/utility/customScrollBar.js');

var _customScrollBar2 = _interopRequireDefault(_customScrollBar);

var _menu = require('../../components/uielements/menu');

var _menu2 = _interopRequireDefault(_menu);

var _intlMessages = require('../../components/utility/intlMessages');

var _intlMessages2 = _interopRequireDefault(_intlMessages);

var _sidebar = require('./sidebar.style');

var _sidebar2 = _interopRequireDefault(_sidebar);

var _actions = require('../../redux/app/actions');

var _actions2 = _interopRequireDefault(_actions);

var _logo = require('../../components/utility/logo');

var _logo2 = _interopRequireDefault(_logo);

var _withDirection = require('../../config/withDirection');

var _config = require('../../config');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SubMenu = _menu2.default.SubMenu;
// import getDevSidebar from '../../customApp/sidebar';

var MenuItemGroup = _menu2.default.ItemGroup;
var Sider = _layout2.default.Sider;
var toggleOpenDrawer = _actions2.default.toggleOpenDrawer,
    changeOpenKeys = _actions2.default.changeOpenKeys,
    changeCurrent = _actions2.default.changeCurrent,
    toggleCollapsed = _actions2.default.toggleCollapsed;

var Sidebar = function (_Component) {
  (0, _inherits3.default)(Sidebar, _Component);

  function Sidebar(props) {
    (0, _classCallCheck3.default)(this, Sidebar);

    var _this = (0, _possibleConstructorReturn3.default)(this, (Sidebar.__proto__ || (0, _getPrototypeOf2.default)(Sidebar)).call(this, props));

    _this.getAncestorKeys = function (key) {
      var map = {
        sub3: ['sub2']
      };
      return map[key] || [];
    };

    _this.handleClick = _this.handleClick.bind(_this);
    _this.onOpenChange = _this.onOpenChange.bind(_this);
    return _this;
  }

  (0, _createClass3.default)(Sidebar, [{
    key: 'handleClick',
    value: function handleClick(e) {
      var _this2 = this;

      this.props.changeCurrent([e.key]);
      if (this.props.app.view === 'MobileView') {
        setTimeout(function () {
          _this2.props.toggleCollapsed();
          _this2.props.toggleOpenDrawer();
        }, 100);
      }
    }
  }, {
    key: 'onOpenChange',
    value: function onOpenChange(newOpenKeys) {
      var _props = this.props,
          app = _props.app,
          changeOpenKeys = _props.changeOpenKeys;

      var latestOpenKey = newOpenKeys.find(function (key) {
        return !(app.openKeys.indexOf(key) > -1);
      });
      var latestCloseKey = app.openKeys.find(function (key) {
        return !(newOpenKeys.indexOf(key) > -1);
      });
      var nextOpenKeys = [];
      if (latestOpenKey) {
        nextOpenKeys = this.getAncestorKeys(latestOpenKey).concat(latestOpenKey);
      }
      if (latestCloseKey) {
        nextOpenKeys = this.getAncestorKeys(latestCloseKey);
      }
      changeOpenKeys(nextOpenKeys);
    }
  }, {
    key: 'renderView',
    value: function renderView(_ref) {
      var style = _ref.style,
          props = (0, _objectWithoutProperties3.default)(_ref, ['style']);

      var viewStyle = {
        marginRight: _withDirection.rtl === 'rtl' ? '0' : '-17px',
        paddingRight: _withDirection.rtl === 'rtl' ? '0' : '9px',
        marginLeft: _withDirection.rtl === 'rtl' ? '-17px' : '0',
        paddingLeft: _withDirection.rtl === 'rtl' ? '9px' : '0'
      };
      return _react2.default.createElement('div', (0, _extends3.default)({ className: 'box', style: (0, _extends3.default)({}, style, viewStyle) }, props));
    }
  }, {
    key: 'render',
    value: function render() {
      var _props2 = this.props,
          app = _props2.app,
          toggleOpenDrawer = _props2.toggleOpenDrawer,
          customizedTheme = _props2.customizedTheme;

      var collapsed = (0, _clone2.default)(app.collapsed) && !(0, _clone2.default)(app.openDrawer);
      var openDrawer = app.openDrawer;

      var mode = collapsed === true ? 'vertical' : 'inline';
      var onMouseEnter = function onMouseEnter(event) {
        if (openDrawer === false) {
          toggleOpenDrawer();
        }
        return;
      };
      var onMouseLeave = function onMouseLeave() {
        if (openDrawer === true) {
          toggleOpenDrawer();
        }
        return;
      };
      var scrollheight = app.height;
      var styling = {
        backgroundColor: customizedTheme.backgroundColor
      };
      var submenuStyle = {
        backgroundColor: 'rgba(0,0,0,0.3)',
        color: customizedTheme.textColor
      };
      var submenuColor = {
        color: customizedTheme.textColor
      };
      var url = _config.siteConfig.dashboard;
      return _react2.default.createElement(_sidebar2.default, null, _react2.default.createElement(Sider, {
        trigger: null,
        collapsible: true,
        collapsed: collapsed,
        width: '240',
        className: 'isomorphicSidebar',
        onMouseEnter: onMouseEnter,
        onMouseLeave: onMouseLeave,
        style: styling
      }, _react2.default.createElement(_logo2.default, { collapsed: collapsed }), _react2.default.createElement(_customScrollBar2.default, {
        style: { height: scrollheight - 70 }
      }, _react2.default.createElement(_menu2.default, {
        onClick: this.handleClick,
        theme: 'dark',
        mode: mode,
        openKeys: collapsed ? [] : app.openKeys,
        selectedKeys: app.current,
        onOpenChange: this.onOpenChange,
        className: 'isoDashboardMenu'
      }, _react2.default.createElement(_menu2.default.Item, { key: 'mailbox' }, _react2.default.createElement(_link2.default, { href: url + '/mailbox' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('i', { className: 'ion-android-mail' }), _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.email' }))))), _react2.default.createElement(_menu2.default.Item, { key: 'contacts' }, _react2.default.createElement(_link2.default, { href: url + '/contacts' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('i', { className: 'ion-android-person-add' }), _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.contacts' }))))), _react2.default.createElement(SubMenu, {
        key: 'ecommerce',
        title: _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('i', { className: 'ion-bag' }), _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.ecommerce' })))
      }, _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'shop' }, _react2.default.createElement(_link2.default, { href: url + '/shop' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.shop' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'cart' }, _react2.default.createElement(_link2.default, { href: url + '/cart' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.cart' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'checkout' }, _react2.default.createElement(_link2.default, { href: url + '/checkout' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.checkout' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'card' }, _react2.default.createElement(_link2.default, { href: url + '/card' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.cards' })))))), _react2.default.createElement(SubMenu, {
        key: 'map',
        title: _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('i', { className: 'ion-map' }), _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.maps' })))
      }, _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'googlemap' }, _react2.default.createElement(_link2.default, { href: url + '/googlemap' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.googleMap' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'leafletmap' }, _react2.default.createElement(_link2.default, { href: url + '/leafletmap' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.leafletMap' })))))), _react2.default.createElement(_menu2.default.Item, { key: 'youtubeSearch' }, _react2.default.createElement(_link2.default, { href: url + '/youtubeSearch' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('i', { className: 'ion-social-youtube' }), _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.youtubeSearch' }))))), _react2.default.createElement(_menu2.default.Item, { key: 'calendar' }, _react2.default.createElement(_link2.default, { href: url + '/calendar' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('i', { className: 'ion-calendar' }), _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.calendar' }))))), _react2.default.createElement(_menu2.default.Item, { key: 'notes' }, _react2.default.createElement(_link2.default, { href: url + '/notes' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('i', { className: 'ion-clipboard' }), _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.notes' }))))), _react2.default.createElement(_menu2.default.Item, { key: 'todo' }, _react2.default.createElement(_link2.default, { href: url + '/todo' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('i', { className: 'ion-android-list' }), _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.todos' }))))), _react2.default.createElement(_menu2.default.Item, { key: 'shuffle' }, _react2.default.createElement(_link2.default, { href: url + '/shuffle' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('i', { className: 'ion-grid' }), _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.shuffle' }))))), _react2.default.createElement(SubMenu, {
        key: 'charts',
        title: _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('i', { className: 'ion-arrow-graph-up-right' }), _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.charts' })))
      }, _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'googleChart' }, _react2.default.createElement(_link2.default, { href: url + '/googleChart' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.googleCharts' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'reecharts' }, _react2.default.createElement(_link2.default, { href: url + '/reecharts' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.recharts' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'reactVis' }, _react2.default.createElement(_link2.default, { href: url + '/reactVis' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.reactVis' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'reactChart2' }, _react2.default.createElement(_link2.default, { href: url + '/reactChart2' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.reactChart2' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'reactTrend' }, _react2.default.createElement(_link2.default, { href: url + '/reactTrend' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.reactTrend' })))))), _react2.default.createElement(SubMenu, {
        key: 'Forms',
        title: _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('i', { className: 'ion-android-mail' }), _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.forms' })))
      }, _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'inputField' }, _react2.default.createElement(_link2.default, { href: url + '/inputField' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.input' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'editor' }, _react2.default.createElement(_link2.default, { href: url + '/editor' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.editor' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'FormsWithValidation' }, _react2.default.createElement(_link2.default, { href: url + '/FormsWithValidation' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.formsWithValidation' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'progress' }, _react2.default.createElement(_link2.default, { href: url + '/progress' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.progress' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'button' }, _react2.default.createElement(_link2.default, { href: url + '/button' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.button' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'tab' }, _react2.default.createElement(_link2.default, { href: url + '/tab' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.tab' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'checkbox' }, _react2.default.createElement(_link2.default, { href: url + '/checkbox' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.checkbox' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'radiobox' }, _react2.default.createElement(_link2.default, { href: url + '/radiobox' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.radiobox' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'selectbox' }, _react2.default.createElement(_link2.default, { href: url + '/selectbox' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.selectbox' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'transfer' }, _react2.default.createElement(_link2.default, { href: url + '/transfer' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.transfer' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'autocomplete' }, _react2.default.createElement(_link2.default, { href: url + '/autocomplete' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.autocomplete' })))))), _react2.default.createElement(SubMenu, {
        key: 'uielements',
        title: _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('i', { className: 'ion-leaf' }), _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.uiElements' })))
      }, _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'op_badge' }, _react2.default.createElement(_link2.default, { href: url + '/op_badge' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.badge' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'op_card' }, _react2.default.createElement(_link2.default, { href: url + '/op_card' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.card2' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'op_carousel' }, _react2.default.createElement(_link2.default, { href: url + '/op_carousel' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.corusel' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'op_collapse' }, _react2.default.createElement(_link2.default, { href: url + '/op_collapse' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.collapse' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'op_popover' }, _react2.default.createElement(_link2.default, { href: url + '/op_popover' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.popover' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'op_tooltip' }, _react2.default.createElement(_link2.default, { href: url + '/op_tooltip' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.tooltip' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'op_tag' }, _react2.default.createElement(_link2.default, { href: url + '/op_tag' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.tag' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'op_timeline' }, _react2.default.createElement(_link2.default, { href: url + '/op_timeline' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.timeline' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'dropdown' }, _react2.default.createElement(_link2.default, { href: url + '/dropdown' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.dropdown' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'pagination' }, _react2.default.createElement(_link2.default, { href: url + '/pagination' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.pagination' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'rating' }, _react2.default.createElement(_link2.default, { href: url + '/rating' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.rating' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'tree' }, _react2.default.createElement(_link2.default, { href: url + '/tree' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.tree' })))))), _react2.default.createElement(SubMenu, {
        key: 'advancedUielements',
        title: _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('i', { className: 'ion-flash' }), _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.advancedElements' })))
      }, _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'reactDates' }, _react2.default.createElement(_link2.default, { href: url + '/reactDates' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.reactDates' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'codeMirror' }, _react2.default.createElement(_link2.default, { href: url + '/codeMirror' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.codeMirror' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'uppy' }, _react2.default.createElement(_link2.default, { href: url + '/uppy' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.uppy' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'dropzone' }, _react2.default.createElement(_link2.default, { href: url + '/dropzone' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.dropzone' })))))), _react2.default.createElement(SubMenu, {
        key: 'feedback',
        title: _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('i', { className: 'ion-thumbsup' }), _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.feedback' })))
      }, _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'alert' }, _react2.default.createElement(_link2.default, { href: url + '/alert' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.alert' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'modal' }, _react2.default.createElement(_link2.default, { href: url + '/modal' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.modal' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'message' }, _react2.default.createElement(_link2.default, { href: url + '/message' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.message' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'notification' }, _react2.default.createElement(_link2.default, { href: url + '/notification' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.notification' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'popconfirm' }, _react2.default.createElement(_link2.default, { href: url + '/popconfirm' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.popConfirm' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'spin' }, _react2.default.createElement(_link2.default, { href: url + '/spin' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.spin' })))))), _react2.default.createElement(SubMenu, {
        key: 'table',
        title: _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('i', { className: 'ion-android-menu' }), _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.tables' })))
      }, _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'table_ant' }, _react2.default.createElement(_link2.default, { href: url + '/table_ant' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.antTables' })))))), _react2.default.createElement(SubMenu, {
        key: 'pages',
        title: _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('i', { className: 'ion-document' }), _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.pages' })))
      }, _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: '404' }, _react2.default.createElement(_link2.default, { href: '/404' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.404' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: '500' }, _react2.default.createElement(_link2.default, { href: '/500' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.500' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'signin' }, _react2.default.createElement(_link2.default, { href: '/signin' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.signIn' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'signup' }, _react2.default.createElement(_link2.default, { href: '/signup' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.signUp' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'forgotpassword' }, _react2.default.createElement(_link2.default, { href: '/forgotpassword' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.forgotPw' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'resetpassword' }, _react2.default.createElement(_link2.default, { href: '/resetpassword' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.resetPw' }))))), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: 'invoice' }, _react2.default.createElement(_link2.default, { href: url + '/invoice' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.invoice' })))))), _react2.default.createElement(SubMenu, {
        key: 'sub1',
        title: _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('i', { className: 'ion-android-options' }), _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.menuLevels' })))
      }, _react2.default.createElement(MenuItemGroup, {
        key: 'g1',
        title: _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.item1' })
      }, _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: '1' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.option1' })), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: '2' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.option2' }))), _react2.default.createElement(MenuItemGroup, {
        key: 'g2',
        title: _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.item2' })
      }, _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: '3' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.option3' })), _react2.default.createElement(_menu2.default.Item, { style: submenuStyle, key: '4' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.option4' })))), _react2.default.createElement(_menu2.default.Item, { key: 'githubSearch' }, _react2.default.createElement(_link2.default, { href: url + '/githubSearch' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('i', { className: 'ion-social-github' }), _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.githubSearch' }))))), _react2.default.createElement(_menu2.default.Item, { key: 'blank_page' }, _react2.default.createElement(_link2.default, { href: url + '/blank_page' }, _react2.default.createElement('span', { className: 'isoMenuHolder', style: submenuColor }, _react2.default.createElement('i', { className: 'ion-document' }), _react2.default.createElement('span', { className: 'nav-text' }, _react2.default.createElement(_intlMessages2.default, { id: 'sidebar.blankPage' })))))))));
    }
  }]);

  return Sidebar;
}(_react.Component);

exports.default = (0, _reactRedux.connect)(function (state) {
  return {
    app: state.App.toJS(),
    customizedTheme: state.ThemeSwitcher.toJS().sidebarTheme
  };
}, { toggleOpenDrawer: toggleOpenDrawer, changeOpenKeys: changeOpenKeys, changeCurrent: changeCurrent, toggleCollapsed: toggleCollapsed })(Sidebar);