'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CustomizedTableWrapper = undefined;

var _table = require('../../../components/uielements/table');

var _table2 = _interopRequireDefault(_table);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _styledTheme = require('styled-theme');

var _styleUtil = require('../../../config/style-util');

var _withDirection = require('../../../config/withDirection');

var _withDirection2 = _interopRequireDefault(_withDirection);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TableWrapper = /*#__PURE__*/(0, _styledComponents2.default)(_table2.default).withConfig({
  displayName: 'antTablestyle__TableWrapper',
  componentId: 's1tm9b4k-0'
})(['overflow:hidden;overflow-x:auto;background-color:#ffffff;.ant-table-thead > tr > th{color:', ';font-size:13px;background-color:', ';border-bottom:0;&.ant-table-column-sort{background:', ';margin:', ';}}.ant-table-thead > tr > th,.ant-table-tbody > tr > td{padding:16px 15px;white-space:nowrap;text-align:', ';}.ant-table-tbody > tr > td{font-size:12px;color:', ';border-bottom:1px solid ', ';a{color:', ';', ';&:hover{color:', ';}}}.ant-table-thead > tr.ant-table-row-hover > td,.ant-table-tbody > tr.ant-table-row-hover > td,.ant-table-thead > tr:hover > td,.ant-table-tbody > tr:hover > td{background-color:transparent;}.ant-table-bordered .ant-table-thead > tr > th{border-bottom:1px solid ', ';}.ant-table-bordered .ant-table-thead > tr > th,.ant-table-bordered .ant-table-tbody > tr > td{border-right:1px solid ', ';}.ant-table-pagination{float:', ';}.ant-pagination-prev,.ant-pagination-next{border:1px solid ', ';}.ant-pagination-disabled,.ant-pagination-prev.ant-pagination-disabled,.ant-pagination-next.ant-pagination-disabled{border:1px solid ', ';a{border:0;}}.ant-pagination-prev,.ant-pagination-next,.ant-pagination-jump-prev,.ant-pagination-jump-next{transform:', ';}.ant-pagination-prev,.ant-pagination-jump-prev,.ant-pagination-jump-next{margin:', ';}.ant-pagination-item{margin:', ';}.ant-pagination-item-active{background-color:', ';border-color:', ';}.ant-table-expanded-row{background:', ';p{color:', ';}}.ant-spin-nested-loading > div > .ant-spin{max-height:none;.ant-spin-dot i{color:', ';}}.ant-table-header{background-color:transparent;}.ant-table-title{background:', ';color:', ';font-size:13px;font-weight:500;padding:16px 30px;', ';}.ant-table-footer{background:', ';color:', ';font-size:12px;font-weight:400;padding:16px 30px;', ';}.ant-table-content{overflow-x:auto;}.ant-table-column-sorter-up.on .anticon-caret-up,.ant-table-column-sorter-down.on .anticon-caret-up,.ant-table-column-sorter-up.on .anticon-caret-down,.ant-table-column-sorter-down.on .anticon-caret-down{color:', ';}&.isoSearchableTable{.isoTableSearchBox{padding:20px;display:flex;background:#ffffff;border:1px solid ', ';', ';input{font-size:14px;font-weight:400;color:', ';line-height:inherit;height:36px;width:100%;padding:0 15px;margin:0;border:1px solid ', ';outline:0 !important;overflow:hidden;background-color:#ffffff;', ';', ';', ';&:focus,&:hover{border-color:', ';', ';}&::-webkit-input-placeholder{color:', ';}&:-moz-placeholder{color:', ';}&::-moz-placeholder{color:', ';}&:-ms-input-placeholder{color:', ';}}button{font-size:12px;font-weight:400;padding:0;text-transform:uppercase;color:#ffffff;background-color:', ';border:0;outline:0;height:36px;padding:0 15px;margin-left:-1px;cursor:pointer;border-radius:', ';', ';&:hover{background-color:', ';}}}.ant-table-thead > tr > th{word-break:keep-all;span{display:flex;justify-content:flex-start;align-items:center;i{margin:', ';order:-1;}}}}&.isoGroupTable{.ant-table-thead > tr{th{border:1px solid ', ';border-left:0;&[rowspan]{text-align:center;}&.isoImageCell{padding:3px;}}&:first-child{th{&:first-child{border-left:', ' solid ', ';}}}&:last-child{th{border-top:0;}}}.ant-table-tbody{.ant-table-row{td{border-right:1px solid ', ';&:first-child{border-left:', ' solid ', ';}&:last-child{border-left:', ' solid ', ';}&.isoImageCell{padding:3px;}}}}}&.isoEditableTable{.isoEditData{.isoEditDataWrapper{display:flex;align-items:center;input{font-size:12px;font-weight:400;color:', ';line-height:inherit;padding:7px 10px;margin:', ';border:1px solid ', ';outline:0 !important;overflow:hidden;background-color:#ffffff;', ';', ';', ';&:focus,&:hover{border-color:', ';', ';}&::-webkit-input-placeholder{color:', ';}&:-moz-placeholder{color:', ';}&::-moz-placeholder{color:', ';}&:-ms-input-placeholder{color:', ';}}.isoEditIcon{cursor:pointer;}}.isoDataWrapper{display:flex;align-items:center;.isoEditIcon{margin:', ';cursor:pointer;flex-shrink:0;}}}}'], (0, _styledTheme.palette)('secondary', 2), (0, _styledTheme.palette)('secondary', 1), (0, _styledTheme.palette)('secondary', 1), function (props) {
  return props['data-rtl'] === 'rtl' ? '0 4px 0 0' : '0 0 0 4px';
}, function (props) {
  return props['data-rtl'] === 'rtl' ? 'right' : 'left';
}, (0, _styledTheme.palette)('text', 3), (0, _styledTheme.palette)('border', 0), (0, _styledTheme.palette)('primary', 0), (0, _styleUtil.transition)(), (0, _styledTheme.palette)('primary', 4), (0, _styledTheme.palette)('border', 0), (0, _styledTheme.palette)('border', 0), function (props) {
  return props['data-rtl'] === 'rtl' ? 'left' : 'right';
}, (0, _styledTheme.palette)('border', 0), (0, _styledTheme.palette)('border', 0), function (props) {
  return props['data-rtl'] === 'rtl' ? 'rotate(180deg)' : 'rotate(0)';
}, function (props) {
  return props['data-rtl'] === 'rtl' ? '0 0 0 8px' : '0 8px 0 0';
}, function (props) {
  return props['data-rtl'] === 'rtl' ? '0 0 0 8px' : '0 8px 0 0';
}, (0, _styledTheme.palette)('primary', 0), (0, _styledTheme.palette)('primary', 0), (0, _styledTheme.palette)('grayscale', 6), (0, _styledTheme.palette)('text', 3), (0, _styledTheme.palette)('primary', 0), (0, _styledTheme.palette)('secondary', 1), (0, _styledTheme.palette)('secondary', 2), (0, _styleUtil.borderRadius)(), (0, _styledTheme.palette)('secondary', 1), (0, _styledTheme.palette)('secondary', 2), (0, _styleUtil.borderRadius)(), (0, _styledTheme.palette)('primary', 0), (0, _styledTheme.palette)('border', 0), (0, _styleUtil.boxShadow)('0 1px 6px rgba(0,0,0,0.2)'), (0, _styledTheme.palette)('text', 3), (0, _styledTheme.palette)('secondary', 7), (0, _styleUtil.borderRadius)('3px 0 0 3px'), (0, _styleUtil.transition)(), (0, _styleUtil.boxShadow)('none'), (0, _styledTheme.palette)('secondary', 7), (0, _styleUtil.boxShadow)('none'), (0, _styledTheme.palette)('grayscale', 0), (0, _styledTheme.palette)('grayscale', 0), (0, _styledTheme.palette)('grayscale', 0), (0, _styledTheme.palette)('grayscale', 0), (0, _styledTheme.palette)('primary', 0), function (props) {
  return props['data-rtl'] === 'rtl' ? '3px 0 0 3px' : '0 3px 3px 0';
}, (0, _styleUtil.transition)(), (0, _styledTheme.palette)('primary', 1), function (props) {
  return props['data-rtl'] === 'rtl' ? '0 0 0 10px' : '0 10px 0 0';
}, (0, _styledTheme.palette)('border', 0), function (props) {
  return props['data-rtl'] === 'rtl' ? '0' : '1px';
}, (0, _styledTheme.palette)('border', 0), (0, _styledTheme.palette)('border', 0), function (props) {
  return props['data-rtl'] === 'rtl' ? '0' : '1px';
}, (0, _styledTheme.palette)('border', 0), function (props) {
  return props['data-rtl'] === 'rtl' ? '1px' : '0';
}, (0, _styledTheme.palette)('border', 0), (0, _styledTheme.palette)('text', 3), function (props) {
  return props['data-rtl'] === 'rtl' ? '0 0 0 10px' : '0 10px 0 0';
}, (0, _styledTheme.palette)('border', 0), (0, _styleUtil.borderRadius)('3px'), (0, _styleUtil.boxShadow)(), (0, _styleUtil.transition)(), (0, _styledTheme.palette)('border', 0), (0, _styleUtil.boxShadow)(), (0, _styledTheme.palette)('grayscale', 0), (0, _styledTheme.palette)('grayscale', 0), (0, _styledTheme.palette)('grayscale', 0), (0, _styledTheme.palette)('grayscale', 0), function (props) {
  return props['data-rtl'] === 'rtl' ? '0 auto 0 0' : '0 0 0 auto';
});

var WDCustomizedTableWrapper = /*#__PURE__*/_styledComponents2.default.div.withConfig({
  displayName: 'antTablestyle__WDCustomizedTableWrapper',
  componentId: 's1tm9b4k-1'
})(['.isoCustomizedTableControlBar{margin-bottom:40px;.ant-form-item{margin:', ';}.ant-form-item-label{label{color:', ';&:after{margin:', ';}}}.ant-switch-checked{border-color:', ';background-color:', ';}}'], function (props) {
  return props['data-rtl'] === 'rtl' ? '0 0 0 16px' : '0 16px 0 0';
}, (0, _styledTheme.palette)('secondary', 2), function (props) {
  return props['data-rtl'] === 'rtl' ? '0 2px 0 8px' : '0 8px 0 2px';
}, (0, _styledTheme.palette)('primary', 0), (0, _styledTheme.palette)('primary', 0));

var CustomizedTableWrapper = (0, _withDirection2.default)(WDCustomizedTableWrapper);

exports.CustomizedTableWrapper = CustomizedTableWrapper;
exports.default = (0, _withDirection2.default)(TableWrapper);