'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.tableinfos = exports.columns = undefined;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _clone = require('clone');

var _clone2 = _interopRequireDefault(_clone);

var _intlMessages = require('../../../components/utility/intlMessages');

var _intlMessages2 = _interopRequireDefault(_intlMessages);

var _helperCells = require('./helperCells');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var renderCell = function renderCell(object, type, key) {
  var value = object[key];
  switch (type) {
    case 'ImageCell':
      return (0, _helperCells.ImageCell)(value);
    case 'DateCell':
      return (0, _helperCells.DateCell)(value);
    case 'LinkCell':
      return (0, _helperCells.LinkCell)(value);
    default:
      return (0, _helperCells.TextCell)(value);
  }
};

var columns = [{
  title: _react2.default.createElement(_intlMessages2.default, { id: 'antTable.title.image' }),
  key: 'avatar',
  width: '1%',
  className: 'isoImageCell',
  render: function render(object) {
    return renderCell(object, 'ImageCell', 'avatar');
  }
}, {
  title: _react2.default.createElement(_intlMessages2.default, { id: 'antTable.title.firstName' }),
  key: 'firstName',
  width: 100,
  render: function render(object) {
    return renderCell(object, 'TextCell', 'firstName');
  }
}, {
  title: _react2.default.createElement(_intlMessages2.default, { id: 'antTable.title.lastName' }),
  key: 'lastName',
  width: 100,
  render: function render(object) {
    return renderCell(object, 'TextCell', 'lastName');
  }
}, {
  title: _react2.default.createElement(_intlMessages2.default, { id: 'antTable.title.city' }),
  key: 'city',
  width: 200,
  render: function render(object) {
    return renderCell(object, 'TextCell', 'city');
  }
}, {
  title: _react2.default.createElement(_intlMessages2.default, { id: 'antTable.title.street' }),
  key: 'street',
  width: 200,
  render: function render(object) {
    return renderCell(object, 'TextCell', 'street');
  }
}, {
  title: _react2.default.createElement(_intlMessages2.default, { id: 'antTable.title.email' }),
  key: 'email',
  width: 200,
  render: function render(object) {
    return renderCell(object, 'LinkCell', 'email');
  }
}, {
  title: _react2.default.createElement(_intlMessages2.default, { id: 'antTable.title.dob' }),
  key: 'date',
  width: 200,
  render: function render(object) {
    return renderCell(object, 'DateCell', 'date');
  }
}];
var smallColumns = [columns[1], columns[2], columns[3], columns[4]];
var sortColumns = [(0, _extends3.default)({}, columns[1], { sorter: true }), (0, _extends3.default)({}, columns[2], { sorter: true }), (0, _extends3.default)({}, columns[3], { sorter: true }), (0, _extends3.default)({}, columns[4], { sorter: true })];
var editColumns = [(0, _extends3.default)({}, columns[1], { width: 300 }), (0, _extends3.default)({}, columns[2], { width: 300 }), columns[3], columns[4]];
var groupColumns = [columns[0], {
  title: 'Name',
  children: [columns[1], columns[2]]
}, {
  title: 'Address',
  children: [columns[3], columns[4]]
}];
var tableinfos = [{
  title: 'Simple Table',
  value: 'simple',
  columns: (0, _clone2.default)(smallColumns)
}, {
  title: 'Sortable Table',
  value: 'sortView',
  columns: (0, _clone2.default)(sortColumns)
}, {
  title: 'Search Text',
  value: 'filterView',
  columns: (0, _clone2.default)(smallColumns)
}, {
  title: 'Editable View',
  value: 'editView',
  columns: (0, _clone2.default)(editColumns)
}, {
  title: 'Grouping View',
  value: 'groupView',
  columns: (0, _clone2.default)(groupColumns)
}, {
  title: 'Customized View',
  value: 'customizedView',
  columns: (0, _clone2.default)(columns)
}];
exports.columns = columns;
exports.tableinfos = tableinfos;