'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DeleteCell = exports.EditableCell = exports.TextCell = exports.LinkCell = exports.ImageCell = exports.DateCell = undefined;

var _popconfirm = require('antd/lib/popconfirm');

var _popconfirm2 = _interopRequireDefault(_popconfirm);

var _icon = require('antd/lib/icon');

var _icon2 = _interopRequireDefault(_icon);

var _input = require('antd/lib/input');

var _input2 = _interopRequireDefault(_input);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _imageCell = require('./imageCell');

var _imageCell2 = _interopRequireDefault(_imageCell);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DateCell = function DateCell(data) {
  return _react2.default.createElement('p', null, data.toLocaleString());
};
var ImageCell = function ImageCell(src) {
  return _react2.default.createElement(_imageCell2.default, { src: src });
};
var LinkCell = function LinkCell(link, href) {
  return _react2.default.createElement('a', { href: href ? href : '#' }, link);
};
var TextCell = function TextCell(text) {
  return _react2.default.createElement('p', null, text);
};

var EditableCell = function (_Component) {
  (0, _inherits3.default)(EditableCell, _Component);

  function EditableCell(props) {
    (0, _classCallCheck3.default)(this, EditableCell);

    var _this = (0, _possibleConstructorReturn3.default)(this, (EditableCell.__proto__ || (0, _getPrototypeOf2.default)(EditableCell)).call(this, props));

    _this.handleChange = _this.handleChange.bind(_this);
    _this.check = _this.check.bind(_this);
    _this.edit = _this.edit.bind(_this);
    _this.state = {
      value: _this.props.value,
      editable: false
    };
    return _this;
  }

  (0, _createClass3.default)(EditableCell, [{
    key: 'handleChange',
    value: function handleChange(event) {
      var value = event.target.value;
      this.setState({ value: value });
    }
  }, {
    key: 'check',
    value: function check() {
      this.setState({ editable: false });
      if (this.props.onChange) {
        this.props.onChange(this.state.value, this.props.columnsKey, this.props.index);
      }
    }
  }, {
    key: 'edit',
    value: function edit() {
      this.setState({ editable: true });
    }
  }, {
    key: 'render',
    value: function render() {
      var _state = this.state,
          value = _state.value,
          editable = _state.editable;

      return _react2.default.createElement('div', { className: 'isoEditData' }, editable ? _react2.default.createElement('div', { className: 'isoEditDataWrapper' }, _react2.default.createElement(_input2.default, {
        value: value,
        onChange: this.handleChange,
        onPressEnter: this.check
      }), _react2.default.createElement(_icon2.default, { type: 'check', className: 'isoEditIcon', onClick: this.check })) : _react2.default.createElement('p', { className: 'isoDataWrapper' }, value || ' ', _react2.default.createElement(_icon2.default, { type: 'edit', className: 'isoEditIcon', onClick: this.edit })));
    }
  }]);

  return EditableCell;
}(_react.Component);

var DeleteCell = function (_Component2) {
  (0, _inherits3.default)(DeleteCell, _Component2);

  function DeleteCell() {
    (0, _classCallCheck3.default)(this, DeleteCell);

    return (0, _possibleConstructorReturn3.default)(this, (DeleteCell.__proto__ || (0, _getPrototypeOf2.default)(DeleteCell)).apply(this, arguments));
  }

  (0, _createClass3.default)(DeleteCell, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          index = _props.index,
          onDeleteCell = _props.onDeleteCell;

      return _react2.default.createElement(_popconfirm2.default, {
        title: 'Sure to delete?',
        okText: 'DELETE',
        cancelText: 'No',
        onConfirm: function onConfirm() {
          return onDeleteCell(index);
        }
      }, _react2.default.createElement('a', null, 'Delete'));
    }
  }]);

  return DeleteCell;
}(_react.Component);

exports.DateCell = DateCell;
exports.ImageCell = ImageCell;
exports.LinkCell = LinkCell;
exports.TextCell = TextCell;
exports.EditableCell = EditableCell;
exports.DeleteCell = DeleteCell;