'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var PendingPool = {};
var ReadyPool = {};

var ImageCell = function (_Component) {
  (0, _inherits3.default)(ImageCell, _Component);

  function ImageCell(props) {
    (0, _classCallCheck3.default)(this, ImageCell);

    var _this = (0, _possibleConstructorReturn3.default)(this, (ImageCell.__proto__ || (0, _getPrototypeOf2.default)(ImageCell)).call(this, props));

    _this.loadImage = _this.loadImage.bind(_this);
    _this.onLoadImage = _this.onLoadImage.bind(_this);
    _this.state = {
      ready: false
    };
    return _this;
  }

  (0, _createClass3.default)(ImageCell, [{
    key: 'componentWillMount',
    value: function componentWillMount() {
      this.loadImage(this.props.src);
    }
  }, {
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(nextProps) {
      if (nextProps.src !== this.props.src) {
        this.setState({ src: null });
        this.loadImage(nextProps.src);
      }
    }
  }, {
    key: 'loadImage',
    value: function loadImage(src) {
      if (ReadyPool[src]) {
        this.setState({ src: src });
        return;
      }

      if (PendingPool[src]) {
        PendingPool[src].push(this.onLoadImage);
        return;
      }
      PendingPool[src] = [this.onLoadImage];

      var img = new Image();
      img.onload = function () {
        PendingPool[src].forEach(function (callback) {
          callback(src);
        });
        delete PendingPool[src];
        img.onload = null;
        src = undefined;
      };
      img.src = src;
    }
  }, {
    key: 'onLoadImage',
    value: function onLoadImage(src) {
      ReadyPool[src] = true;
      if (src === this.props.src) {
        this.setState({
          src: src
        });
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var style = this.state.src ? {
        backgroundImage: 'url(' + this.state.src + ')',
        width: '70px',
        height: '70px',
        backgroundSize: 'cover'
      } : undefined;
      return _react2.default.createElement('div', { className: 'exampleImage', style: style });
    }
  }]);

  return ImageCell;
}(_react.Component);

exports.default = ImageCell;