'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _actions = require('../../redux/themeSwitcher/actions.js');

var _actions2 = _interopRequireDefault(_actions);

var _themeSwitcher = require('../../components/themeSwitcher/themeSwitcher');

var _themeSwitcher2 = _interopRequireDefault(_themeSwitcher);

var _LanguageSwitcher = require('../LanguageSwitcher');

var _LanguageSwitcher2 = _interopRequireDefault(_LanguageSwitcher);

var _config = require('./config');

var _config2 = _interopRequireDefault(_config);

var _intlMessages = require('../../components/utility/intlMessages');

var _intlMessages2 = _interopRequireDefault(_intlMessages);

var _themeSwitcher3 = require('./themeSwitcher.style');

var _themeSwitcher4 = _interopRequireDefault(_themeSwitcher3);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var switchActivation = _actions2.default.switchActivation,
    changeTheme = _actions2.default.changeTheme;

var bucketSVG = '/static/image/bucket.svg';

var ThemeSwitcher = function (_Component) {
  (0, _inherits3.default)(ThemeSwitcher, _Component);

  function ThemeSwitcher() {
    (0, _classCallCheck3.default)(this, ThemeSwitcher);

    return (0, _possibleConstructorReturn3.default)(this, (ThemeSwitcher.__proto__ || (0, _getPrototypeOf2.default)(ThemeSwitcher)).apply(this, arguments));
  }

  (0, _createClass3.default)(ThemeSwitcher, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          isActivated = _props.isActivated,
          topbarTheme = _props.topbarTheme,
          sidebarTheme = _props.sidebarTheme,
          layoutTheme = _props.layoutTheme,
          switchActivation = _props.switchActivation,
          changeTheme = _props.changeTheme;

      var styleButton = { background: sidebarTheme.buttonColor };

      return _react2.default.createElement(_themeSwitcher4.default, {
        className: isActivated ? 'isoThemeSwitcher active' : 'isoThemeSwitcher'
      }, _react2.default.createElement('div', { className: 'componentTitleWrapper', style: styleButton }, _react2.default.createElement('h3', { className: 'componentTitle' }, _react2.default.createElement(_intlMessages2.default, { id: 'themeSwitcher.settings' }))), _react2.default.createElement('div', { className: 'SwitcherBlockWrapper' }, _react2.default.createElement(_themeSwitcher2.default, {
        config: _config2.default.sidebarTheme,
        changeTheme: changeTheme,
        selectedId: sidebarTheme.themeName
      }), _react2.default.createElement(_themeSwitcher2.default, {
        config: _config2.default.topbarTheme,
        changeTheme: changeTheme,
        selectedId: topbarTheme.themeName
      }), _react2.default.createElement(_themeSwitcher2.default, {
        config: _config2.default.layoutTheme,
        changeTheme: changeTheme,
        selectedId: layoutTheme.themeName
      }), _react2.default.createElement(_LanguageSwitcher2.default, null)), _react2.default.createElement('div', { className: 'purchaseBtnWrapper' }, _react2.default.createElement('a', {
        href: 'https://themeforest.net/item/isomorphic-react-redux-admin-dashboard/20262330?ref=redqteam',
        className: 'purchaseBtn',
        style: styleButton
      }, _react2.default.createElement(_intlMessages2.default, { id: 'themeSwitcher.purchase' }))), _react2.default.createElement('button', {
        type: 'primary',
        className: 'switcherToggleBtn',
        style: styleButton,
        onClick: function onClick() {
          switchActivation();
        }
      }, _react2.default.createElement('img', { src: bucketSVG, alt: 'bucket' })));
    }
  }]);

  return ThemeSwitcher;
}(_react.Component);

function mapStateToProps(state) {
  return (0, _extends3.default)({}, state.ThemeSwitcher.toJS(), {
    LanguageSwitcher: state.LanguageSwitcher.toJS()
  });
}
exports.default = (0, _reactRedux.connect)(mapStateToProps, {
  switchActivation: switchActivation,
  changeTheme: changeTheme
})(ThemeSwitcher);