'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _layout = require('antd/lib/layout');

var _layout2 = _interopRequireDefault(_layout);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _input = require('../../components/uielements/input');

var _input2 = _interopRequireDefault(_input);

var _actions = require('../../redux/todos/actions.js');

var _actions2 = _interopRequireDefault(_actions);

var _todoList = require('./todoList');

var _todoList2 = _interopRequireDefault(_todoList);

var _todo = require('./todo.style');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var addTodo = _actions2.default.addTodo,
    edittodo = _actions2.default.edittodo,
    deleteTodo = _actions2.default.deleteTodo,
    allCompleted = _actions2.default.allCompleted,
    deleteCompleted = _actions2.default.deleteCompleted;
var Header = _layout2.default.Header,
    Content = _layout2.default.Content;

var ToDo = function (_Component) {
  (0, _inherits3.default)(ToDo, _Component);

  function ToDo(props) {
    (0, _classCallCheck3.default)(this, ToDo);

    var _this = (0, _possibleConstructorReturn3.default)(this, (ToDo.__proto__ || (0, _getPrototypeOf2.default)(ToDo)).call(this, props));

    _this.state = {
      newTodo: ''
    };
    return _this;
  }

  (0, _createClass3.default)(ToDo, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          todos = _props.todos,
          colors = _props.colors,
          addTodo = _props.addTodo,
          edittodo = _props.edittodo,
          deleteTodo = _props.deleteTodo,
          allCompleted = _props.allCompleted,
          deleteCompleted = _props.deleteCompleted;

      return _react2.default.createElement(_layout2.default, { style: { background: 'none' } }, _react2.default.createElement(_todo.TodoWrapper, { className: 'isomorphicTodoComponent' }, _react2.default.createElement(Header, { className: 'isoTodoHeader' }, _react2.default.createElement(_input2.default, {
        placeholder: 'Type here for add a new todo',
        value: this.state.newTodo,
        className: 'isoTodoInput',
        onChange: function onChange(event) {
          return _this2.setState({ newTodo: event.target.value });
        },
        onPressEnter: function onPressEnter(event) {
          _this2.setState({ newTodo: '' });
          addTodo(event.target.value);
        }
      })), _react2.default.createElement(Content, { className: 'isoTodoContentBody' }, _react2.default.createElement(_todoList2.default, {
        todos: todos,
        deleteTodo: deleteTodo,
        edittodo: edittodo,
        colors: colors,
        allCompleted: allCompleted,
        deleteCompleted: deleteCompleted
      }))));
    }
  }]);

  return ToDo;
}(_react.Component);

function mapStateToProps(state) {
  var _state$Todos$toJS = state.Todos.toJS(),
      todos = _state$Todos$toJS.todos,
      colors = _state$Todos$toJS.colors;

  return {
    todos: todos,
    colors: colors
  };
}
exports.default = (0, _reactRedux.connect)(mapStateToProps, {
  addTodo: addTodo,
  edittodo: edittodo,
  deleteTodo: deleteTodo,
  deleteCompleted: deleteCompleted,
  allCompleted: allCompleted
})(ToDo);