'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _button = require('../../components/uielements/button');

var _button2 = _interopRequireDefault(_button);

var _checkbox = require('../../components/uielements/checkbox');

var _checkbox2 = _interopRequireDefault(_checkbox);

var _radio = require('../../components/uielements/radio');

var _utility = require('../../helpers/utility');

var _components = require('../../components/');

var _todo = require('./todo.style');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function filterTodos(todos, search) {
  var selectedTodos = search === 'All' ? todos : todos.filter(function (todo) {
    return todo.completed === (search === 'Completed');
  });
  var completed = 0;
  selectedTodos.forEach(function (todo) {
    if (todo.completed) {
      completed += 1;
    }
  });
  return { selectedTodos: selectedTodos, completed: completed };
}

var TodoList = function (_Component) {
  (0, _inherits3.default)(TodoList, _Component);

  function TodoList(props) {
    (0, _classCallCheck3.default)(this, TodoList);

    var _this = (0, _possibleConstructorReturn3.default)(this, (TodoList.__proto__ || (0, _getPrototypeOf2.default)(TodoList)).call(this, props));

    _this.singleTodo = _this.singleTodo.bind(_this);
    _this.onChange = _this.onChange.bind(_this);
    _this.state = {
      search: 'All'
    };
    return _this;
  }

  (0, _createClass3.default)(TodoList, [{
    key: 'singleTodo',
    value: function singleTodo(todo) {
      var _this2 = this;

      var _props = this.props,
          deleteTodo = _props.deleteTodo,
          colors = _props.colors;

      var onDelete = function onDelete() {
        return deleteTodo(todo.id);
      };
      var updateTodo = function updateTodo(key, value) {
        todo[key] = value;
        _this2.props.edittodo(todo);
      };
      return _react2.default.createElement('div', { className: 'isoTodoList', key: todo.id }, _react2.default.createElement(_components.ColorChoser, {
        colors: colors,
        changeColor: function changeColor(value) {
          return updateTodo('color', value);
        },
        seectedColor: todo.color
      }), _react2.default.createElement(_checkbox2.default, {
        className: 'isoTodoCheck',
        checked: todo.completed,
        onChange: function onChange(event) {
          return updateTodo('completed', !todo.completed);
        }
      }), _react2.default.createElement('div', { className: 'isoTodoContentWrapper' }, _react2.default.createElement('span', { className: 'isoTodoDate' }, (0, _utility.timeDifference)(todo.createTime)), _react2.default.createElement(_components.EditableComponent, {
        value: todo.todo,
        itemKey: 'todo',
        onChange: updateTodo
      })), _react2.default.createElement(_button2.default, {
        className: 'isoTodoDelete',
        icon: 'close',
        type: 'button',
        onClick: onDelete
      }));
    }
  }, {
    key: 'onChange',
    value: function onChange(event) {
      this.setState({ search: event.target.value });
    }
  }, {
    key: 'render',
    value: function render() {
      var _this3 = this;

      var search = this.state.search;

      var _filterTodos = filterTodos(this.props.todos, search),
          selectedTodos = _filterTodos.selectedTodos,
          completed = _filterTodos.completed;

      return _react2.default.createElement(_todo.TodoListWrapper, { className: 'isoTodoContent' }, _react2.default.createElement('div', { className: 'isoTodoStatusTab' }, _react2.default.createElement(_radio.RadioGroup, {
        value: this.state.search,
        onChange: this.onChange,
        className: 'isoTodoStatus'
      }, _react2.default.createElement(_radio.RadioButton, { value: 'All' }, 'All'), _react2.default.createElement(_radio.RadioButton, { value: 'Uncompleted' }, 'Uncompleted'), _react2.default.createElement(_radio.RadioButton, { value: 'Completed' }, 'Completed'))), _react2.default.createElement('div', { className: 'isoTodoListWrapper' }, selectedTodos.length > 0 ? selectedTodos.map(function (note) {
        return _this3.singleTodo(note);
      }) : _react2.default.createElement('h3', { className: 'isoNoTodoFound' }, 'No todo found')), _react2.default.createElement('div', { className: 'isoTodoFooter' }, _react2.default.createElement(_checkbox2.default, {
        className: 'isoTodoCheckAll',
        checked: completed === selectedTodos.length,
        disabled: completed === selectedTodos.length,
        onChange: function onChange(event) {
          (0, _components.notification)('success', 'All Todos are Completed!!!', '');
          _this3.props.allCompleted();
        }
      }, 'Mark all as completed'), selectedTodos.length > 0 && completed === selectedTodos.length ? _react2.default.createElement(_button2.default, {
        type: 'button',
        className: 'isoDeleteAll',
        onClick: function onClick(event) {
          (0, _components.notification)('success', 'All Completed Todos are Deleted', '');
          _this3.props.deleteCompleted();
        }
      }, 'Delete Completed (' + completed + ')') : ''));
    }
  }]);

  return TodoList;
}(_react.Component);

exports.default = TodoList;