'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _link = require('next/dist/lib/link.js');

var _link2 = _interopRequireDefault(_link);

var _reactRedux = require('react-redux');

var _popover = require('../../components/uielements/popover');

var _popover2 = _interopRequireDefault(_popover);

var _singleCartModal = require('../../components/cart/singleCartModal');

var _singleCartModal2 = _interopRequireDefault(_singleCartModal);

var _actions = require('../../redux/ecommerce/actions');

var _actions2 = _interopRequireDefault(_actions);

var _topbarDropdown = require('./topbarDropdown.style');

var _topbarDropdown2 = _interopRequireDefault(_topbarDropdown);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var changeViewTopbarCart = _actions2.default.changeViewTopbarCart,
    changeProductQuantity = _actions2.default.changeProductQuantity;

var totalPrice = void 0;

var TopbarAddtoCart = function (_Component) {
  (0, _inherits3.default)(TopbarAddtoCart, _Component);

  function TopbarAddtoCart(props) {
    (0, _classCallCheck3.default)(this, TopbarAddtoCart);

    var _this = (0, _possibleConstructorReturn3.default)(this, (TopbarAddtoCart.__proto__ || (0, _getPrototypeOf2.default)(TopbarAddtoCart)).call(this, props));

    _this.handleVisibleChange = _this.handleVisibleChange.bind(_this);
    _this.hide = _this.hide.bind(_this);
    _this.renderProducts = _this.renderProducts.bind(_this);
    _this.changeQuantity = _this.changeQuantity.bind(_this);
    _this.cancelQuantity = _this.cancelQuantity.bind(_this);
    return _this;
  }

  (0, _createClass3.default)(TopbarAddtoCart, [{
    key: 'hide',
    value: function hide() {
      this.props.changeViewTopbarCart(false);
    }
  }, {
    key: 'handleVisibleChange',
    value: function handleVisibleChange() {
      this.props.changeViewTopbarCart(!this.props.viewTopbarCart);
    }
  }, {
    key: 'renderProducts',
    value: function renderProducts() {
      var _this2 = this;

      var _props = this.props,
          productQuantity = _props.productQuantity,
          products = _props.products;

      totalPrice = 0;
      if (!productQuantity || productQuantity.length === 0) {
        return _react2.default.createElement('div', { className: 'isoNoItemMsg' }, _react2.default.createElement('span', null, 'No item found'));
      }
      return productQuantity.map(function (product) {
        totalPrice += product.quantity * products[product.objectID].price;
        return _react2.default.createElement(_singleCartModal2.default, (0, _extends3.default)({
          key: product.objectID,
          quantity: product.quantity,
          changeQuantity: _this2.changeQuantity,
          cancelQuantity: _this2.cancelQuantity
        }, products[product.objectID]));
      });
    }
  }, {
    key: 'changeQuantity',
    value: function changeQuantity(objectID, quantity) {
      var productQuantity = this.props.productQuantity;

      var newProductQuantity = [];
      productQuantity.forEach(function (product) {
        if (product.objectID !== objectID) {
          newProductQuantity.push(product);
        } else {
          newProductQuantity.push({
            objectID: objectID,
            quantity: quantity
          });
        }
      });
      this.props.changeProductQuantity(newProductQuantity);
    }
  }, {
    key: 'cancelQuantity',
    value: function cancelQuantity(objectID) {
      var productQuantity = this.props.productQuantity;

      var newProductQuantity = [];
      productQuantity.forEach(function (product) {
        if (product.objectID !== objectID) {
          newProductQuantity.push(product);
        }
      });
      this.props.changeProductQuantity(newProductQuantity);
    }
  }, {
    key: 'render',
    value: function render() {
      var _props2 = this.props,
          url = _props2.url,
          productQuantity = _props2.productQuantity,
          viewTopbarCart = _props2.viewTopbarCart,
          customizedTheme = _props2.customizedTheme;

      var content = _react2.default.createElement(_topbarDropdown2.default, { className: 'topbarAddtoCart' }, _react2.default.createElement('div', { className: 'isoDropdownHeader' }, _react2.default.createElement('h3', null, 'Cart')), _react2.default.createElement('div', { className: 'isoDropdownBody isoCartItemsWrapper' }, this.renderProducts()), _react2.default.createElement('div', { className: 'isoDropdownFooterLinks', onClick: this.hide }, _react2.default.createElement(_link2.default, { href: '/dashboard/cart' }, 'View Cart'), _react2.default.createElement('h3', null, 'Total Price: ', _react2.default.createElement('span', null, '$', totalPrice.toFixed(2)))));
      return _react2.default.createElement(_popover2.default, {
        content: content,
        trigger: 'click',
        visible: viewTopbarCart,
        onVisibleChange: this.handleVisibleChange,
        placement: 'bottomLeft'
      }, _react2.default.createElement('div', { className: 'isoIconWrapper' }, _react2.default.createElement('i', {
        className: 'ion-android-cart',
        style: { color: customizedTheme.textColor }
      }), productQuantity.length === 0 ? '' : _react2.default.createElement('span', null, productQuantity.length)));
    }
  }]);

  return TopbarAddtoCart;
}(_react.Component);

function mapStateToProps(state) {
  return (0, _extends3.default)({}, state.Ecommerce.toJS(), {
    customizedTheme: state.ThemeSwitcher.toJS().topbarTheme
  });
}
exports.default = (0, _reactRedux.connect)(mapStateToProps, {
  changeViewTopbarCart: changeViewTopbarCart,
  changeProductQuantity: changeProductQuantity
})(TopbarAddtoCart);