'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _row = require('antd/lib/row');

var _row2 = _interopRequireDefault(_row);

var _col = require('antd/lib/col');

var _col2 = _interopRequireDefault(_col);

var _toConsumableArray2 = require('babel-runtime/helpers/toConsumableArray');

var _toConsumableArray3 = _interopRequireDefault(_toConsumableArray2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _tag = require('../../../components/uielements/tag');

var _tag2 = _interopRequireDefault(_tag);

var _input = require('../../../components/uielements/input');

var _input2 = _interopRequireDefault(_input);

var _tooltip = require('../../../components/uielements/tooltip');

var _tooltip2 = _interopRequireDefault(_tooltip);

var _button = require('../../../components/uielements/button');

var _button2 = _interopRequireDefault(_button);

var _pageHeader = require('../../../components/utility/pageHeader');

var _pageHeader2 = _interopRequireDefault(_pageHeader);

var _box = require('../../../components/utility/box');

var _box2 = _interopRequireDefault(_box);

var _layoutWrapper = require('../../../components/utility/layoutWrapper');

var _layoutWrapper2 = _interopRequireDefault(_layoutWrapper);

var _contentHolder = require('../../../components/utility/contentHolder');

var _contentHolder2 = _interopRequireDefault(_contentHolder);

var _basicStyle = require('../../../config/basicStyle');

var _basicStyle2 = _interopRequireDefault(_basicStyle);

var _intlMessages = require('../../../components/utility/intlMessages');

var _intlMessages2 = _interopRequireDefault(_intlMessages);

var _tag3 = require('./tag.style');

var _tag4 = _interopRequireDefault(_tag3);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CheckableTag = _tag2.default.CheckableTag;

var Tag = function Tag(props) {
  return _react2.default.createElement(_tag4.default, null, _react2.default.createElement(_tag2.default, props, props.children));
};

var tagsFromServer = ['Movie', 'Books', 'Music'];

var _class = function (_Component) {
  (0, _inherits3.default)(_class, _Component);

  function _class() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, _class);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = _class.__proto__ || (0, _getPrototypeOf2.default)(_class)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      selectedTags: [],
      tags: ['Unremovable', 'Tag 2', 'Tag 3'],
      inputVisible: false,
      inputValue: ''
    }, _this.log = function (e) {}, _this.handleChange = function (tag, checked) {
      var selectedTags = _this.state.selectedTags;

      var nextSelectedTags = checked ? [].concat((0, _toConsumableArray3.default)(selectedTags), [tag]) : selectedTags.filter(function (t) {
        return t !== tag;
      });
      _this.setState({ selectedTags: nextSelectedTags });
    }, _this.preventDefault = function (e) {
      e.preventDefault();
    }, _this.handleClose = function (removedTag) {
      var tags = _this.state.tags.filter(function (tag) {
        return tag !== removedTag;
      });
      _this.setState({ tags: tags });
    }, _this.showInput = function () {
      _this.setState({ inputVisible: true }, function () {
        document.getElementById('newTagsInput').focus();
      });
    }, _this.handleInputChange = function (e) {
      _this.setState({ inputValue: e.target.value });
    }, _this.handleInputConfirm = function () {
      var state = _this.state;
      var inputValue = state.inputValue;
      var tags = state.tags;
      if (inputValue && tags.indexOf(inputValue) === -1) {
        tags = [].concat((0, _toConsumableArray3.default)(tags), [inputValue]);
      }
      _this.setState({
        tags: tags,
        inputVisible: false,
        inputValue: ''
      });
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(_class, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _state = this.state,
          selectedTags = _state.selectedTags,
          tags = _state.tags,
          inputVisible = _state.inputVisible,
          inputValue = _state.inputValue;
      var rowStyle = _basicStyle2.default.rowStyle,
          colStyle = _basicStyle2.default.colStyle,
          gutter = _basicStyle2.default.gutter;

      return _react2.default.createElement(_layoutWrapper2.default, null, _react2.default.createElement(_pageHeader2.default, null, _react2.default.createElement(_intlMessages2.default, { id: 'uiElements.tags.tags' })), _react2.default.createElement(_row2.default, { style: rowStyle, gutter: gutter, justify: 'start' }, _react2.default.createElement(_col2.default, { md: 12, sm: 12, xs: 24, style: colStyle }, _react2.default.createElement(_box2.default, {
        title: _react2.default.createElement(_intlMessages2.default, { id: 'uiElements.tags.basicExample' }),
        subtitle: _react2.default.createElement(_intlMessages2.default, { id: 'uiElements.tags.basicExampleSubTitle' })
      }, _react2.default.createElement(_contentHolder2.default, null, _react2.default.createElement(Tag, null, _react2.default.createElement(_intlMessages2.default, { id: 'uiElements.tags.tagOne' })), _react2.default.createElement(Tag, null, _react2.default.createElement('a', { href: 'https://isomorphic.redq.io/dashboard/op_tag' }, _react2.default.createElement(_intlMessages2.default, { id: 'uiElements.tags.link' }))), _react2.default.createElement(Tag, { closable: true, onClose: this.log }, _react2.default.createElement(_intlMessages2.default, { id: 'uiElements.tags.tagTwo' })), _react2.default.createElement(Tag, { closable: true, onClose: this.preventDefault }, _react2.default.createElement(_intlMessages2.default, { id: 'uiElements.tags.preventDefault' }))))), _react2.default.createElement(_col2.default, { md: 12, sm: 12, xs: 24, style: colStyle }, _react2.default.createElement(_box2.default, { title: _react2.default.createElement(_intlMessages2.default, { id: 'uiElements.tags.colorfulTag' }) }, _react2.default.createElement(_contentHolder2.default, null, _react2.default.createElement(Tag, { color: '#f50' }, '#f50'), _react2.default.createElement(Tag, { color: '#2db7f5' }, '#2db7f5'), _react2.default.createElement(Tag, { color: '#87d068' }, '#87d068'), _react2.default.createElement(Tag, { color: '#108ee9' }, '#108ee9'))))), _react2.default.createElement(_row2.default, { style: rowStyle, gutter: gutter, justify: 'start' }, _react2.default.createElement(_col2.default, { md: 12, sm: 12, xs: 24, style: colStyle }, _react2.default.createElement(_box2.default, {
        title: _react2.default.createElement(_intlMessages2.default, { id: 'uiElements.tags.hotTags' }),
        subtitle: _react2.default.createElement(_intlMessages2.default, { id: 'uiElements.tags.hotTagsSubTitle' })
      }, _react2.default.createElement(_contentHolder2.default, null, _react2.default.createElement('strong', null, _react2.default.createElement(_intlMessages2.default, { id: 'uiElements.tags.hots' }), ' '), tagsFromServer.map(function (tag) {
        return _react2.default.createElement(CheckableTag, {
          key: tag,
          checked: selectedTags.indexOf(tag) > -1,
          onChange: function onChange(checked) {
            return _this2.handleChange(tag, checked);
          }
        }, tag);
      })))), _react2.default.createElement(_col2.default, { md: 12, sm: 12, xs: 24, style: colStyle }, _react2.default.createElement(_box2.default, {
        title: _react2.default.createElement(_intlMessages2.default, { id: 'uiElements.tags.addRemoveDynamically' }),
        subtitle: _react2.default.createElement(_intlMessages2.default, { id: 'uiElements.tags.addRemoveDynamicallySubTitle' })
      }, _react2.default.createElement(_contentHolder2.default, null, tags.map(function (tag, index) {
        var isLongTag = tag.length > 20;
        var tagElem = _react2.default.createElement(Tag, {
          key: tag,
          closable: index !== 0,
          afterClose: function afterClose() {
            return _this2.handleClose(tag);
          }
        }, isLongTag ? tag.slice(0, 20) + '...' : tag);
        return isLongTag ? _react2.default.createElement(_tooltip2.default, { title: tag }, tagElem) : tagElem;
      }), inputVisible && _react2.default.createElement(_input2.default, {
        id: 'newTagsInput',
        type: 'text',
        size: 'small',
        style: { width: 78 },
        value: inputValue,
        onChange: this.handleInputChange,
        onBlur: this.handleInputConfirm,
        onPressEnter: this.handleInputConfirm
      }), !inputVisible && _react2.default.createElement(_button2.default, { size: 'small', type: 'dashed', onClick: this.showInput }, _react2.default.createElement(_intlMessages2.default, { id: 'uiElements.tags.newTag' })))))));
    }
  }]);

  return _class;
}(_react.Component);

exports.default = _class;