'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _tree = require('../../../components/uielements/tree');

var _tree2 = _interopRequireDefault(_tree);

var _input = require('../../../components/uielements/input');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var x = 3;
var y = 2;
var z = 1;
var gData = [];

var generateData = function generateData(_level, _preKey, _tns) {
  var preKey = _preKey || '0';
  var tns = _tns || gData;

  var children = [];
  for (var i = 0; i < x; i++) {
    var key = preKey + '-' + i;
    tns.push({ title: key, key: key });
    if (i < y) {
      children.push(key);
    }
  }
  if (_level < 0) {
    return tns;
  }
  var level = _level - 1;
  children.forEach(function (key, index) {
    tns[index].children = [];
    return generateData(level, key, tns[index].children);
  });
};
generateData(z);

var dataList = [];
var generateList = function generateList(data) {
  for (var i = 0; i < data.length; i++) {
    var node = data[i];
    var key = node.key;
    dataList.push({ key: key, title: key });
    if (node.children) {
      generateList(node.children, node.key);
    }
  }
};
generateList(gData);

var getParentKey = function getParentKey(key, tree) {
  var parentKey = void 0;
  for (var i = 0; i < tree.length; i++) {
    var node = tree[i];
    if (node.children) {
      if (node.children.some(function (item) {
        return item.key === key;
      })) {
        parentKey = node.key;
      } else if (getParentKey(key, node.children)) {
        parentKey = getParentKey(key, node.children);
      }
    }
  }
  return parentKey;
};

var _class = function (_Component) {
  (0, _inherits3.default)(_class, _Component);

  function _class() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, _class);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = _class.__proto__ || (0, _getPrototypeOf2.default)(_class)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      expandedKeys: [],
      searchValue: '',
      autoExpandParent: true
    }, _this.onExpand = function (expandedKeys) {
      _this.setState({
        expandedKeys: expandedKeys,
        autoExpandParent: false
      });
    }, _this.onChange = function (e) {
      var value = e.target.value;
      var expandedKeys = dataList.map(function (item) {
        if (item.key.indexOf(value) > -1) {
          return getParentKey(item.key, gData);
        }
        return null;
      }).filter(function (item, i, self) {
        return item && self.indexOf(item) === i;
      });
      _this.setState({
        expandedKeys: expandedKeys,
        searchValue: value,
        autoExpandParent: true
      });
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(_class, [{
    key: 'render',
    value: function render() {
      var _state = this.state,
          searchValue = _state.searchValue,
          expandedKeys = _state.expandedKeys,
          autoExpandParent = _state.autoExpandParent;

      var loop = function loop(data) {
        return data.map(function (item) {
          var index = item.key.search(searchValue);
          var beforeStr = item.key.substr(0, index);
          var afterStr = item.key.substr(index + searchValue.length);
          var title = index > -1 ? _react2.default.createElement('span', null, beforeStr, _react2.default.createElement('span', { style: { color: '#f50' } }, searchValue), afterStr) : _react2.default.createElement('span', null, item.key);
          if (item.children) {
            return _react2.default.createElement(_tree.TreeNode, { key: item.key, title: title }, loop(item.children));
          }
          return _react2.default.createElement(_tree.TreeNode, { key: item.key, title: title });
        });
      };
      return _react2.default.createElement('div', null, _react2.default.createElement(_input.InputSearch, {
        style: { width: 300 },
        placeholder: 'Search',
        onChange: this.onChange
      }), _react2.default.createElement(_tree2.default, {
        onExpand: this.onExpand,
        expandedKeys: expandedKeys,
        autoExpandParent: autoExpandParent
      }, loop(gData)));
    }
  }]);

  return _class;
}(_react.Component);

exports.default = _class;