'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _auth0Lock = require('auth0-lock');

var _auth0Lock2 = _interopRequireDefault(_auth0Lock);

var _config = require('../../config');

var _components = require('../../components');

var _session = require('../session');

var _session2 = _interopRequireDefault(_session);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Auth0Helper = function () {
  function Auth0Helper() {
    (0, _classCallCheck3.default)(this, Auth0Helper);

    this.isValid = _config.Auth0Config.clientID && _config.Auth0Config.domain;
    this.lock = null;

    this.login = this.login.bind(this);
  }

  (0, _createClass3.default)(Auth0Helper, [{
    key: 'login',
    value: function login(handleLogin) {
      this.lock = this.isValid ? new _auth0Lock2.default(_config.Auth0Config.clientID, _config.Auth0Config.domain, _config.Auth0Config.options) : null;

      this.lock.on('authenticated', function (authResult) {
        if (authResult && authResult.accessToken) {
          (0, _session.setCookie)('access_token', authResult.accessToken);
          handleLogin();
          return;
        }
      });
      this.lock.show();
    }
  }]);

  return Auth0Helper;
}();

exports.default = new Auth0Helper();