'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _firebase = require('firebase');

var _firebase2 = _interopRequireDefault(_firebase);

var _config = require('../../config');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var valid = _config.firebaseConfig && _config.firebaseConfig.apiKey && _config.firebaseConfig.projectId;

try {
  _firebase2.default.initializeApp(_config.firebaseConfig);
} catch (e) {}
var firebaseAuth = _firebase2.default.auth;

var FirebaseHelper = function () {
  function FirebaseHelper() {
    (0, _classCallCheck3.default)(this, FirebaseHelper);

    this.isValid = valid;
    this.EMAIL = 'email';
    this.FACEBOOK = 'facebook';
    this.GOOGLE = 'google';
    this.GITHUB = 'github';
    this.TWITTER = 'twitter';

    this.login = this.login.bind(this);
    this.logout = this.logout.bind(this);
    this.isAuthenticated = this.isAuthenticated.bind(this);
  }

  (0, _createClass3.default)(FirebaseHelper, [{
    key: 'login',
    value: function login(provider, info) {
      switch (provider) {
        case this.EMAIL:
          return firebaseAuth().signInWithEmailAndPassword(info.email, info.password);
        case this.FACEBOOK:
          return firebaseAuth().FacebookAuthProvider();
        case this.GOOGLE:
          return firebaseAuth().GoogleAuthProvider();
        case this.GITHUB:
          return firebaseAuth().GithubAuthProvider();
        case this.TWITTER:
          return firebaseAuth().TwitterAuthProvider();
        default:
      }
    }
  }, {
    key: 'logout',
    value: function logout() {
      return firebaseAuth().signOut();
    }
  }, {
    key: 'isAuthenticated',
    value: function isAuthenticated() {
      firebaseAuth().onAuthStateChanged(function (user) {
        return user ? true : false;
      });
    }
  }, {
    key: 'resetPassword',
    value: function resetPassword(email) {
      return firebaseAuth().sendPasswordResetEmail(email);
    }
  }]);

  return FirebaseHelper;
}();

exports.default = new FirebaseHelper();