'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _config = require('../config');

var _jwtDecode = require('jwt-decode');

var _jwtDecode2 = _interopRequireDefault(_jwtDecode);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var JwtAuth = function JwtAuth() {
  var _this = this;

  (0, _classCallCheck3.default)(this, JwtAuth);

  this.login = function () {
    var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(userInfo) {
      return _regenerator2.default.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              if (!(!userInfo.username || !userInfo.password)) {
                _context.next = 2;
                break;
              }

              return _context.abrupt('return', { error: 'please fill in the input' });

            case 2:
              _context.next = 4;
              return fetch(_config.jwtConfig.fetchUrl, {
                method: 'post',
                headers: {
                  Accept: 'application/json',
                  'Content-Type': 'application/json'
                },
                body: (0, _stringify2.default)(userInfo)
              }).then(function (response) {
                return response.json();
              }).then(function (res) {
                var result = {};
                if (res.token) {
                  result.profile = (0, _jwtDecode2.default)(res.token);
                  result.token = res.token;
                  return result;
                } else {
                  return res;
                }
              }).catch(function (error) {
                return { error: error };
              });

            case 4:
              return _context.abrupt('return', _context.sent);

            case 5:
            case 'end':
              return _context.stop();
          }
        }
      }, _callee, _this);
    }));

    return function (_x) {
      return _ref.apply(this, arguments);
    };
  }();
};

exports.default = new JwtAuth();