'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCookie = exports.removeCookie = exports.setCookie = undefined;

var _jsCookie = require('js-cookie');

var _jsCookie2 = _interopRequireDefault(_jsCookie);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var setCookie = exports.setCookie = function setCookie(key, value) {
  if (process.browser) {
    _jsCookie2.default.set(key, value, {
      expires: 1,
      path: '/'
    });
  }
};

var removeCookie = exports.removeCookie = function removeCookie(key) {
  if (process.browser) {
    _jsCookie2.default.remove(key, {
      expires: 1
    });
  }
};

var getCookie = exports.getCookie = function getCookie(key, req) {
  return process.browser ? getCookieFromBrowser(key) : getCookieFromServer(key, req);
};

var getCookieFromBrowser = function getCookieFromBrowser(key) {
  return _jsCookie2.default.get(key);
};

var getCookieFromServer = function getCookieFromServer(key, req) {
  if (!req.headers.cookie) {
    return undefined;
  }
  var rawCookie = req.headers.cookie.split(';').find(function (c) {
    return c.trim().startsWith(key + '=');
  });
  if (!rawCookie) {
    return undefined;
  }
  return rawCookie.split('=')[1];
};