'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getInitData = getInitData;
exports.setUrl = setUrl;
exports.getDefaultPath = getDefaultPath;

var _keys = require('babel-runtime/core-js/object/keys');

var _keys2 = _interopRequireDefault(_keys);

var _qs = require('qs');

var _qs2 = _interopRequireDefault(_qs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var parents = {
  ecommerce: ['shop', 'cart', 'checkout', 'card'],
  map: ['googlemap', 'leafletmap'],
  charts: ['googleChart', 'reecharts', 'reactVis', 'reactChart2', 'reactTrend', 'echart'],
  Forms: ['InputField', 'editor', 'FormsWithValidation', 'progress', 'button', 'tab', 'checkbox', 'radiobox', 'transfer', 'autocomplete'],
  uielements: ['op_badge', 'op_card', 'op_carousel', 'op_collapse', 'op_popover', 'op_tooltip', 'op_tag', 'op_timeline', 'dropdown', 'pagination', 'rating', 'tree'],
  advancedUielements: ['reactDates', 'codeMirror', 'uppy', 'dropzone'],
  feedback: ['alert', 'modal', 'message', 'notification', 'popconfirm', 'spin'],
  table: ['table_ant'],
  pages: ['404', '500', 'signin', 'signup', 'forgotpassword', 'resetpassword', 'invoice', 'comingSoon']
};

function getInitData() {
  var initData = _qs2.default.parse(window.location.search.slice(1));
  if (initData.toggle) initData.toggle.free_shipping = initData.toggle.free_shipping === 'true' ? true : undefined;
  return initData;
}
function setUrl(searchState) {
  var search = searchState ? window.location.pathname + '?' + _qs2.default.stringify(searchState) : '';
  window.history.pushState(searchState, null, search);
}

function getDefaultPath() {
  var getParent = function getParent(lastRoute) {
    var parent = void 0;
    (0, _keys2.default)(parents).forEach(function (key) {
      parents[key].forEach(function (p) {
        if (p === lastRoute) {
          parent = key;
        }
      });
    });
    return parent ? [parent, lastRoute] : [lastRoute];
  };
  return [];
}