'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.clearToken = clearToken;
exports.getToken = getToken;
exports.timeDifference = timeDifference;

var _immutable = require('immutable');

function clearToken() {
  return undefined;
}

function getToken() {
  return undefined;
}

function timeDifference(givenTime) {
  givenTime = new Date(givenTime);
  var milliseconds = new Date().getTime() - givenTime.getTime();
  var numberEnding = function numberEnding(number) {
    return number > 1 ? 's' : '';
  };
  var number = function number(num) {
    return num > 9 ? '' + num : '0' + num;
  };
  var getTime = function getTime() {
    var temp = Math.floor(milliseconds / 1000);
    var years = Math.floor(temp / 31536000);
    if (years) {
      var month = number(givenTime.getUTCMonth() + 1);
      var day = number(givenTime.getUTCDate());
      var year = givenTime.getUTCFullYear() % 100;
      return day + '-' + month + '-' + year;
    }
    var days = Math.floor((temp %= 31536000) / 86400);
    if (days) {
      if (days < 28) {
        return days + ' day' + numberEnding(days);
      } else {
        var months = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'];
        var _month = months[givenTime.getUTCMonth()];
        var _day = number(givenTime.getUTCDate());
        return _day + ' ' + _month;
      }
    }
    var hours = Math.floor((temp %= 86400) / 3600);
    if (hours) {
      return hours + ' hour' + numberEnding(hours) + ' ago';
    }
    var minutes = Math.floor((temp %= 3600) / 60);
    if (minutes) {
      return minutes + ' minute' + numberEnding(minutes) + ' ago';
    }
    return 'a few seconds ago';
  };
  return getTime();
}