'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getView = getView;
function getView(width) {
  var newView = 'MobileView';
  if (width > 1220) {
    newView = 'DesktopView';
  } else if (width > 767) {
    newView = 'TabView';
  }
  return newView;
}
var actions = {
  COLLPSE_CHANGE: 'COLLPSE_CHANGE',
  COLLPSE_OPEN_DRAWER: 'COLLPSE_OPEN_DRAWER',
  CHANGE_OPEN_KEYS: 'CHANGE_OPEN_KEYS',
  TOGGLE_ALL: 'TOGGLE_ALL',
  CHANGE_CURRENT: 'CHANGE_CURRENT',
  toggleCollapsed: function toggleCollapsed() {
    return {
      type: actions.COLLPSE_CHANGE
    };
  },
  toggleAll: function toggleAll(width, height) {
    var view = getView(width);
    var collapsed = view !== 'DesktopView';
    return {
      type: actions.TOGGLE_ALL,
      collapsed: collapsed,
      view: view,
      height: height
    };
  },
  toggleOpenDrawer: function toggleOpenDrawer() {
    return {
      type: actions.COLLPSE_OPEN_DRAWER
    };
  },
  changeOpenKeys: function changeOpenKeys(openKeys) {
    return {
      type: actions.CHANGE_OPEN_KEYS,
      openKeys: openKeys
    };
  },
  changeCurrent: function changeCurrent(current) {
    return {
      type: actions.CHANGE_CURRENT,
      current: current
    };
  }
};
exports.default = actions;