'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = appReducer;

var _immutable = require('immutable');

var _urlSync = require('../../helpers/urlSync');

var _actions = require('./actions');

var _actions2 = _interopRequireDefault(_actions);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var preKeys = []; //getDefaultPath();
var initState = new _immutable.Map({
  collapsed: false,
  view: (0, _actions.getView)(0),
  height: 0,
  openDrawer: false,
  openKeys: preKeys,
  current: preKeys
});
function appReducer() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initState;
  var action = arguments[1];

  switch (action.type) {
    case _actions2.default.COLLPSE_CHANGE:
      return state.set('collapsed', !state.get('collapsed'));
    case _actions2.default.COLLPSE_OPEN_DRAWER:
      return state.set('openDrawer', !state.get('openDrawer'));
    case _actions2.default.TOGGLE_ALL:
      if (state.get('view') !== action.view || action.height !== state.height) {
        var height = action.height ? action.height : state.height;
        return state.set('collapsed', action.collapsed).set('view', action.view).set('height', height);
      }
      break;
    case _actions2.default.CHANGE_OPEN_KEYS:
      return state.set('openKeys', action.openKeys);
    case _actions2.default.CHANGE_CURRENT:
      return state.set('current', action.current);
    default:
      return state;
  }
  return state;
}