'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var actions = {
  LOGIN_REQUEST: 'LOGIN_REQUEST',
  JWT_LOGIN_REQUEST: 'JWT_LOGIN_REQUEST',
  LOGOUT: 'LOGOUT',
  LOGIN_SUCCESS: 'LOGIN_SUCCESS',
  LOGIN_ERROR: 'LOGIN_ERROR',
  login: function login(history) {
    return {
      type: actions.LOGIN_REQUEST,
      payload: { history: history }
    };
  },
  jwtLogin: function jwtLogin(history, userInfo) {
    return {
      type: actions.JWT_LOGIN_REQUEST,
      payload: { history: history, userInfo: userInfo }
    };
  },
  logout: function logout() {
    return {
      type: actions.LOGOUT
    };
  }
};
exports.default = actions;