'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _toConsumableArray2 = require('babel-runtime/helpers/toConsumableArray');

var _toConsumableArray3 = _interopRequireDefault(_toConsumableArray2);

var _config = require('../../containers/Ecommerce/card/config');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var cardActions = {
  CHANGE_CARDS: 'CHANGE_CARDS',
  addCard: function addCard(card) {
    return function (dispatch, getState) {
      var cards = [card].concat((0, _toConsumableArray3.default)(getState().Cards.get('cards')));
      dispatch({
        type: cardActions.CHANGE_CARDS,
        cards: cards
      });
    };
  },
  editCard: function editCard(_editCard) {
    return function (dispatch, getState) {
      var oldCards = getState().Cards.get('cards');
      var cards = [];
      oldCards.forEach(function (card) {
        if (card.id !== _editCard.id) {
          cards.push(card);
        } else {
          cards.push(_editCard);
        }
      });
      dispatch({
        type: cardActions.CHANGE_CARDS,
        cards: cards
      });
    };
  },
  deleteCard: function deleteCard(deletedCard) {
    return function (dispatch, getState) {
      var oldCards = getState().Cards.get('cards');
      var cards = [];
      oldCards.forEach(function (card) {
        if (card.id !== deletedCard.id) {
          cards.push(card);
        }
      });
      dispatch({
        type: cardActions.CHANGE_CARDS,
        cards: cards
      });
    };
  },
  restoreCards: function restoreCards() {
    return {
      type: cardActions.CHANGE_CARDS,
      cards: _config.fakedata
    };
  }
};
exports.default = cardActions;