'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _toConsumableArray2 = require('babel-runtime/helpers/toConsumableArray');

var _toConsumableArray3 = _interopRequireDefault(_toConsumableArray2);

var _reducer = require('./reducer');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ascendingSort(contact1, contact2) {
  var name1 = contact1.name ? contact1.name.toUpperCase() : '~';
  var name2 = contact2.name ? contact2.name.toUpperCase() : '~';
  return name1 > name2 ? 1 : name1 === name2 ? 0 : -1;
}

var contactActions = {
  ADD_CONTACT: 'ADD_CONTACT',
  EDIT_CONTACT: 'EDIT_CONTACT',
  DELETE__CONTACT: 'DELETE__CONTACT',
  CHANGE_CONTACT: 'CHANGE_CONTACT',
  EDIT_VIEW: 'EDIT_VIEW',
  changeContact: function changeContact(id) {
    return {
      type: contactActions.CHANGE_CONTACT,
      id: id
    };
  },
  addContact: function addContact() {
    var newContact = {
      id: new Date(),
      firstName: '',
      avatar: _reducer.contacts[new Date() % 10].avatar,
      LastName: '',
      mobile: '',
      home: '',
      name: '',
      company: '',
      work: '',
      note: ''
    };
    return function (dispatch, getState) {
      dispatch({
        type: contactActions.ADD_CONTACT,
        contacts: [].concat((0, _toConsumableArray3.default)(getState().Contacts.get('contacts')), [newContact]),
        selectedId: newContact.id
      });
    };
  },
  editContact: function editContact(newContact) {
    return function (dispatch, getState) {
      var contacts = getState().Contacts.get('contacts');
      var newContacts = [];
      contacts.forEach(function (contact) {
        if (contact.id === newContact.id) {
          newContacts.push(newContact);
        } else {
          newContacts.push(contact);
        }
      });
      dispatch({
        type: contactActions.EDIT_CONTACT,
        contacts: newContacts.sort(ascendingSort)
      });
    };
  },
  deleteContact: function deleteContact(id) {
    return function (dispatch, getState) {
      var contacts = getState().Contacts.get('contacts');
      var seectedId = getState().Contacts.get('seectedId');
      var newContacts = [];
      contacts.forEach(function (contact) {
        if (contact.id === id) {} else {
          newContacts.push(contact);
        }
      });
      dispatch({
        type: contactActions.DELETE__CONTACT,
        contacts: newContacts,
        seectedId: id === seectedId ? undefined : seectedId
      });
    };
  },
  viewChange: function viewChange(view) {
    return {
      type: contactActions.EDIT_VIEW,
      view: view
    };
  }
};
exports.default = contactActions;