"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.contacts = undefined;
exports.default = contactReducer;

var _immutable = require("immutable");

var _fakeData = require("../../containers/Contacts/fakeData");

var _fakeData2 = _interopRequireDefault(_fakeData);

var _actions = require("./actions");

var _actions2 = _interopRequireDefault(_actions);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var contacts = new _fakeData2.default(10).getAll();

var initState = new _immutable.Map({
  contacts: contacts,
  seectedId: contacts[0].id,
  editView: false
});

function contactReducer() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initState;
  var action = arguments[1];

  switch (action.type) {
    case _actions2.default.CHANGE_CONTACT:
      return state.set("seectedId", action.id).set("editView", false);
    case _actions2.default.ADD_CONTACT:
      return state.set("contacts", action.contacts).set("seectedId", action.selectedId).set("editView", true);
    case _actions2.default.EDIT_CONTACT:
      return state.set("contacts", action.contacts);
    case _actions2.default.DELETE__CONTACT:
      return state.set("contacts", action.contacts).set("seectedId", action.seectedId);
    case _actions2.default.EDIT_VIEW:
      return state.set("editView", action.view);
    default:
      return state;
  }
}

exports.contacts = contacts;