'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var actions = {
  INIT_DATA: 'ECOMMERCE_INIT_DATA',
  INIT_DATA_SAGA: 'ECOMMERCE_INIT_DATA_SAGA',
  UPDATE_DATA: 'ECOMMERCE_UPDATE_DATA',
  UPDATE_DATA_SAGA: 'ECOMMERCE_UPDATE_DATA_SAGA',
  CHANGE_VIEW: 'ECOMMERCE_CHANGE_VIEW',
  VIEW_TOPBAR_CART: 'ECOMMERCE_VIEW_TOPBAR_CART',
  initData: function initData() {
    return { type: actions.INIT_DATA_SAGA };
  },
  changeView: function changeView(view) {
    return {
      type: actions.CHANGE_VIEW,
      view: view
    };
  },
  changeViewTopbarCart: function changeViewTopbarCart(viewTopbarCart) {
    return {
      type: actions.VIEW_TOPBAR_CART,
      viewTopbarCart: viewTopbarCart
    };
  },
  changeProductQuantity: function changeProductQuantity(productQuantity) {
    return function (dispatch, getState) {
      var _getState$Ecommerce$t = getState().Ecommerce.toJS(),
          products = _getState$Ecommerce$t.products;

      dispatch({
        type: actions.UPDATE_DATA_SAGA,
        products: products,
        productQuantity: productQuantity
      });
    };
  },
  addToCart: function addToCart(product) {
    return function (dispatch, getState) {
      var _getState$Ecommerce$t2 = getState().Ecommerce.toJS(),
          products = _getState$Ecommerce$t2.products,
          productQuantity = _getState$Ecommerce$t2.productQuantity;

      var objectID = product.objectID;
      productQuantity.push({ objectID: objectID, quantity: 1 });
      products[objectID] = product;
      dispatch({
        type: actions.UPDATE_DATA_SAGA,
        products: products,
        productQuantity: productQuantity
      });
    };
  }
};
exports.default = actions;