'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _immutable = require('immutable');

var _clone = require('clone');

var _clone2 = _interopRequireDefault(_clone);

var _actions = require('./actions');

var _actions2 = _interopRequireDefault(_actions);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var initState = new _immutable.Map({
  loadingInitData: false,
  view: 'gridView',
  viewTopbarCart: false,
  productQuantity: [],
  products: {}
});

exports.default = function () {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initState;
  var action = arguments[1];

  switch (action.type) {
    case _actions2.default.INIT_DATA:
      return state.set('productQuantity', action.payload.productQuantity).set('products', action.payload.products).set('loadingInitData', true);
    case _actions2.default.CHANGE_VIEW:
      return state.set('view', action.view);
    case _actions2.default.VIEW_TOPBAR_CART:
      return state.set('viewTopbarCart', action.viewTopbarCart);

    case _actions2.default.UPDATE_DATA:
      return state.set('products', (0, _clone2.default)(action.products)).set('productQuantity', (0, _clone2.default)(action.productQuantity));
    default:
      return state;
  }
};