'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = reducer;

var _immutable = require('immutable');

var _actions = require('./actions');

var _actions2 = _interopRequireDefault(_actions);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var initState = new _immutable.Map({
  searcText: 'react',
  total_count: 0,
  page: 1,
  result: [],
  loading: false,
  error: false
});

function reducer() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initState;
  var action = arguments[1];

  switch (action.type) {
    case _actions2.default.GIT_SEARCH:
      return state.set('loading', true).set('searcText', action.payload.searcText);
    case _actions2.default.GIT_SUCCESS_RESULT:
      return state.set('result', action.result).set('total_count', action.total_count).set('page', action.page).set('loading', false).set('error', false);
    case _actions2.default.GIT_ERROR_RESULT:
      return state.set('result', []).set('loading', false).set('error', false);
    default:
      return state;
  }
}