'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function () {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initState;
  var action = arguments[1];

  switch (action.type) {
    case _actions2.default.ACTIVATE_LANG_MODAL:
      return state.set('isActivated', !state.get('isActivated'));
    case _actions2.default.CHANGE_LANGUAGE:
      return state.set('language', action.language);
    default:
      return state;
  }
};

var _immutable = require('immutable');

var _config = require('../../containers/LanguageSwitcher/config');

var _config2 = _interopRequireDefault(_config);

var _actions = require('./actions');

var _actions2 = _interopRequireDefault(_actions);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var initState = new _immutable.Map({
  isActivated: false,
  language: (0, _config.getCurrentLanguage)(_config2.default.defaultLanguage || 'english')
});