'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var mailActions = {
  FILTER_ATTRIBUTE: 'FILTER_ATTRIBUTE',
  SELECTED_MAIL: 'SELECTED_MAIL',
  COMPOSE_MAIL: 'COMPOSE_MAIL',
  REPLY_MAIL: 'REPLY_MAIL',
  SEARCH_STRING: 'SEARCH_STRING',
  filterAction: function filterAction(newFilterAttr) {
    return function (dispatch, getState) {
      var filterAttr = getState().Mails.get('filterAttr');
      if (newFilterAttr) {
        if (newFilterAttr.bucket) {
          filterAttr.bucket = newFilterAttr.bucket;
          filterAttr.tag = newFilterAttr.tag;
        } else if (newFilterAttr.tag) {
          filterAttr.tag = newFilterAttr.tag;
        }
      }
      dispatch({
        type: mailActions.FILTER_ATTRIBUTE,
        filterAttr: filterAttr
      });
    };
  },
  selectMail: function selectMail(selectedMail) {
    return function (dispatch, getState) {
      var allMails = getState().Mails.get('allMails');
      allMails[allMails.findIndex(function (mail) {
        return mail.id === selectedMail;
      })].read = true;
      dispatch({
        type: mailActions.SELECTED_MAIL,
        selectedMail: selectedMail,
        allMails: allMails
      });
    };
  },
  changeComposeMail: function changeComposeMail(composeMail) {
    return {
      type: mailActions.COMPOSE_MAIL,
      composeMail: composeMail
    };
  },
  changeReplyMail: function changeReplyMail(replyMail) {
    return {
      type: mailActions.REPLY_MAIL,
      replyMail: replyMail
    };
  },
  changeSearchString: function changeSearchString(searchString) {
    return {
      type: mailActions.SEARCH_STRING,
      searchString: searchString
    };
  }
};
exports.default = mailActions;