'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = mailReducer;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _immutable = require('immutable');

var _fakeData = require('../../containers/Mail/fakeData');

var _fakeData2 = _interopRequireDefault(_fakeData);

var _actions = require('./actions');

var _actions2 = _interopRequireDefault(_actions);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var initState = new _immutable.Map({
  allMails: _fakeData2.default,
  tag: undefined,
  selectedMail: -1,
  filterAttr: { bucket: 'Inbox' },
  composeMail: false,
  replyMail: false,
  searchString: ''
});

function mailReducer() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initState;
  var action = arguments[1];

  switch (action.type) {
    case _actions2.default.FILTER_ATTRIBUTE:
      return state.set('filterAttr', (0, _extends3.default)({}, action.filterAttr)).set('selectedMail', -1).set('composeMail', false).set('replyMail', false);
    case _actions2.default.SELECTED_MAIL:
      return state.set('selectedMail', action.selectedMail).set('allMails', action.allMails).set('replyMail', false);
    case _actions2.default.COMPOSE_MAIL:
      return state.set('composeMail', action.composeMail).set('replyMail', false);
    case _actions2.default.REPLY_MAIL:
      return state.set('replyMail', action.replyMail);
    case _actions2.default.SEARCH_STRING:
      return state.set('searchString', action.searchString);
    default:
      return state;
  }
}