'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reselect = require('reselect');

var allMailsSelector = function allMailsSelector(state) {
  return state.get('allMails');
};
var filterAttrSelector = function filterAttrSelector(state) {
  return state.get('filterAttr');
};
var searchStringSelector = function searchStringSelector(state) {
  return state.get('searchString');
};

var filterBucket = function filterBucket(mails, bucket) {
  var newMails = [];
  mails.forEach(function (mail) {
    if (bucket === mail.bucket) {
      newMails.push(mail);
    }
  });
  return newMails;
};
var filterTag = function filterTag(mails, tag) {
  var newMails = [];
  mails.forEach(function (mail) {
    if (mail.tags && mail.tags.indexOf(tag) !== -1) {
      newMails.push(mail);
    }
  });
  return newMails;
};
var filterMaiil = function filterMaiil(allMails, filterAttr, searchString) {
  var newMails = filterBucket(allMails, filterAttr.bucket);
  if (filterAttr.tag) {
    newMails = filterTag(allMails, filterAttr.tag);
  }
  if (searchString) {
    var search = searchString.toUpperCase();
    newMails = newMails.filter(function (mail) {
      return ('' + mail.email + mail.body + mail.subject).toUpperCase().includes(search);
    });
  }
  return newMails;
};

exports.default = (0, _reselect.createSelector)(allMailsSelector, filterAttrSelector, searchStringSelector, filterMaiil);