'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _toConsumableArray2 = require('babel-runtime/helpers/toConsumableArray');

var _toConsumableArray3 = _interopRequireDefault(_toConsumableArray2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var notesAction = {
  CHANGE_NOTE: 'CHANGE_NOTE',
  ADD_NOTE: 'ADD_NOTE',
  EDIT_NOTE: 'EDIT_NOTE',
  DELETE_NOTE: 'DELETE_NOTE',
  CHANGE_COLOR: 'CHANGE_COLOR',

  changeNote: function changeNote(id) {
    return function (dispatch, getState) {
      var notes = getState().Notes.get('notes');
      var seectedColor = notes[notes.findIndex(function (note) {
        return note.id === id;
      })].color;
      dispatch({
        type: notesAction.CHANGE_NOTE,
        selectedId: id,
        seectedColor: seectedColor
      });
    };
  },
  addNote: function addNote() {
    return function (dispatch, getState) {
      var newNote = {
        id: new Date().getTime(),
        note: 'New Note',
        createTime: new Date(),
        color: getState().Notes.get('seectedColor')
      };
      var notes = [newNote].concat((0, _toConsumableArray3.default)(getState().Notes.get('notes')));
      return dispatch({
        type: notesAction.ADD_NOTE,
        selectedId: newNote.id,
        notes: notes
      });
    };
  },
  editNote: function editNote(id, newNote) {
    return function (dispatch, getState) {
      var oldNotes = getState().Notes.get('notes');
      var notes = [];
      oldNotes.forEach(function (note) {
        if (note.id !== id) {
          notes.push(note);
        } else {
          note.note = newNote;
          notes.push(note);
        }
      });
      dispatch({
        type: notesAction.EDIT_NOTE,
        notes: notes
      });
    };
  },
  deleteNote: function deleteNote(id) {
    return function (dispatch, getState) {
      var oldNotes = getState().Notes.get('notes');
      var notes = [];
      oldNotes.forEach(function (note) {
        if (note.id !== id) {
          notes.push(note);
        }
      });
      var selectedId = getState().Notes.get('selectedId');
      if (selectedId === id) {
        if (notes.length === 0) {
          selectedId = undefined;
        } else {
          selectedId = notes[0].id;
        }
      }
      dispatch({
        type: notesAction.DELETE_NOTE,
        notes: notes,
        selectedId: selectedId
      });
    };
  },
  changeColor: function changeColor(seectedColor) {
    return function (dispatch, getState) {
      var oldNotes = getState().Notes.get('notes');
      var selectedId = getState().Notes.get('selectedId');
      var notes = [];
      oldNotes.forEach(function (note) {
        if (note.id !== selectedId) {
          notes.push(note);
        } else {
          note.color = seectedColor;
          notes.push(note);
        }
      });
      dispatch({
        type: notesAction.CHANGE_COLOR,
        notes: notes,
        seectedColor: seectedColor
      });
    };
  }
};
exports.default = notesAction;