'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = noteReducer;

var _immutable = require('immutable');

var _fakeData = require('../../containers/Notes/fakeData');

var _fakeData2 = _interopRequireDefault(_fakeData);

var _actions = require('./actions');

var _actions2 = _interopRequireDefault(_actions);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var colors = ['#7ED321', '#de1b1b', '#511E78', '#ff9009', '#42a5f5'];
var initState = new _immutable.Map({
  notes: _fakeData2.default,
  colors: colors,
  selectedId: _fakeData2.default[0].id,
  seectedColor: _fakeData2.default[0].color
});

function noteReducer() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initState;
  var action = arguments[1];

  switch (action.type) {
    case _actions2.default.CHANGE_NOTE:
      return state.set('selectedId', action.selectedId).set('seectedColor', action.seectedColor);
    case _actions2.default.ADD_NOTE:
      return state.set('notes', action.notes).set('selectedId', action.selectedId);
    case _actions2.default.EDIT_NOTE:
      return state.set('notes', action.notes);
    case _actions2.default.DELETE_NOTE:
      return state.set('notes', action.notes).set('selectedId', action.selectedId);
    case _actions2.default.CHANGE_COLOR:
      return state.set('notes', action.notes).set('seectedColor', action.seectedColor);
    default:
      return state;
  }
}