'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function () {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initState;
  var action = arguments[1];

  switch (action.type) {
    case _actions2.default.SWITCH_ACTIVATION:
      return state.set('isActivated', !state.get('isActivated'));
    case _actions2.default.CHANGE_THEME:
      return state.set(action.attribute, action.theme);
    default:
      return state;
  }
};

var _immutable = require('immutable');

var _config = require('../../containers/ThemeSwitcher/config');

var _config2 = _interopRequireDefault(_config);

var _actions = require('./actions');

var _actions2 = _interopRequireDefault(_actions);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var initState = new _immutable.Map({
  isActivated: false,
  changeThemes: (0, _config.getCurrentTheme)('changeThemes', _config2.default.changeThemes.defaultTheme || 'themedefault'),
  topbarTheme: (0, _config.getCurrentTheme)('topbarTheme', _config2.default.topbarTheme.defaultTheme || 'themedefault'),
  sidebarTheme: (0, _config.getCurrentTheme)('sidebarTheme', _config2.default.sidebarTheme.defaultTheme || 'themedefault'),
  layoutTheme: (0, _config.getCurrentTheme)('layoutTheme', _config2.default.layoutTheme.defaultTheme || 'themedefault')
});