'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _toConsumableArray2 = require('babel-runtime/helpers/toConsumableArray');

var _toConsumableArray3 = _interopRequireDefault(_toConsumableArray2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var todoActions = {
  CHANGE_TODO: 'CHANGE_TODO',
  ALL_COMPLETED: 'ALL_COMPLETED',
  DELETE_COMPLETED: 'DELETE_COMPLETED',

  addTodo: function addTodo(todo) {
    return function (dispatch, getState) {
      var newTodo = {
        id: new Date(),
        todo: todo,
        createTime: new Date(),
        color: 0,
        completed: false
      };
      var todos = [newTodo].concat((0, _toConsumableArray3.default)(getState().Todos.get('todos')));
      dispatch({
        type: todoActions.CHANGE_TODO,
        todos: todos
      });
    };
  },
  edittodo: function edittodo(editTodo) {
    return function (dispatch, getState) {
      var oldTodos = getState().Todos.get('todos');
      var todos = [];
      oldTodos.forEach(function (todo) {
        if (todo.id !== editTodo.id) {
          todos.push(todo);
        } else {
          todos.push(editTodo);
        }
      });
      dispatch({
        type: todoActions.CHANGE_TODO,
        todos: todos
      });
    };
  },
  deleteTodo: function deleteTodo(id) {
    return function (dispatch, getState) {
      var oldTodos = getState().Todos.get('todos');
      var todos = [];
      oldTodos.forEach(function (todo) {
        if (todo.id !== id) {
          todos.push(todo);
        }
      });
      dispatch({
        type: todoActions.CHANGE_TODO,
        todos: todos
      });
    };
  },
  allCompleted: function allCompleted() {
    return function (dispatch, getState) {
      var oldTodos = getState().Todos.get('todos');
      var todos = [];
      oldTodos.forEach(function (todo) {
        todo.completed = true;
        todos.push(todo);
      });
      dispatch({
        type: todoActions.CHANGE_TODO,
        todos: todos
      });
    };
  },
  deleteCompleted: function deleteCompleted() {
    return function (dispatch, getState) {
      var oldTodos = getState().Todos.get('todos');
      var todos = [];
      oldTodos.forEach(function (todo) {
        if (!todo.completed) {
          todos.push(todo);
        }
      });
      dispatch({
        type: todoActions.CHANGE_TODO,
        todos: todos
      });
    };
  }
};
exports.default = todoActions;