'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = todoReducer;

var _immutable = require('immutable');

var _fakeData = require('../../containers/Todo/fakeData');

var _fakeData2 = _interopRequireDefault(_fakeData);

var _actions = require('./actions');

var _actions2 = _interopRequireDefault(_actions);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var colors = ['#7ED321', '#de1b1b', '#511E78', '#ff9009', '#42a5f5'];
var todos = new _fakeData2.default(5, colors.length).getAll();

var initState = new _immutable.Map({
  todos: todos,
  colors: colors
});

function todoReducer() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initState;
  var action = arguments[1];

  var todos = state.get('todos');
  var newtodos = [];
  switch (action.type) {
    case _actions2.default.CHANGE_TODO:
      return state.set('todos', action.todos);
    case _actions2.default.ALL_COMPLETED:
      todos.forEach(function (todo) {
        todo.completed = true;
        newtodos.push(todo);
      });
      return state.set('todos', newtodos);
    case _actions2.default.DELETE_COMPLETED:
      todos.forEach(function (todo) {
        if (todo.completed !== true) {
          newtodos.push(todo);
        }
      });
      return state.set('todos', newtodos);
    default:
      return state;
  }
}