import Helmet from 'react-helmet';
import Page from '../../hocs/securedPage';
import Invoice from '../../containers/Invoice';
import SingleInvoice from '../../containers/Invoice/singleInvoice';

const getInvoiceId = props => {
	try {
		const { url } = props;
		return {
			invoiceId: url.query.id,
			redirectPath: url.pathname,
		};
	} catch (e) {}
};
export default Page(props => {
	let { invoiceId, redirectPath } = getInvoiceId(props);
	return (
		<div>
			<Helmet>
				<title>Invoice</title>
			</Helmet>
			<div>
				{invoiceId ? (
					<SingleInvoice invoiceId={invoiceId} redirectPath={redirectPath} />
				) : (
					<Invoice />
				)}
			</div>
		</div>
	);
});
